=== release 0.10.19 ===

2008-04-03  Jan Schmidt <jan.schmidt@sun.com>

	* configure.ac:
	  releasing 0.10.19, "Me again"

2008-04-03  Jan Schmidt  <jan.schmidt@sun.com>

	* plugins/elements/gstfdsink.c:
	* plugins/elements/gstfdsrc.c:
	Pull in patch from head to handle EAGAIN. Fixes: #524041

=== release 0.10.18 ===

2008-03-20  Jan Schmidt <jan.schmidt@sun.com>

	* configure.ac:
	  releasing 0.10.18, "So far away"

2008-03-18  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	* win32/common/config.h:
	0.10.17.4 pre-release

2008-03-18  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Ole André Vadla Ravnås
	    <ole dot andre dot ravnas at tandberg dot com>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstpoll.c: (gst_poll_winsock_error_to_errno),
	(gst_poll_update_winsock_event_mask),
	(gst_poll_prepare_winsock_active_sets),
	(gst_poll_collect_winsock_events), (gst_poll_new), (gst_poll_free),
	(gst_poll_add_fd_unlocked), (gst_poll_fd_ctl_write),
	(gst_poll_fd_ctl_read_unlocked), (gst_poll_fd_ignored),
	(gst_poll_fd_has_error), (gst_poll_fd_can_read_unlocked),
	(gst_poll_check_ctrl_commands), (gst_poll_wait):
	* gst/gstpoll.h:
	* win32/common/libgstreamer.def:
	Add new function gst_poll_fd_ignored() for improved Windows
	compatibility.
	Various minor fixes and cleanups. See #520808.

2008-03-17  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstindex.c: (gst_index_entry_free):
	* gst/gstindex.h:
	  Don't free key strings which we don't own. Fixes crash in
	  gst_index_entry_free() (#522741).

	* tests/check/Makefile.am:
	* tests/check/gst/.cvsignore:
	* tests/check/gst/gstindex.c: (test_index_entries),
	  (gst_index_suite), (gst_index):
	  Add unit test for the above.

2008-03-11  Sebastian Dröge  <slomo@circular-chaos.org>

	* win32/common/libgstreamer.def:
	Remove symbols that were removed recently. Fixes bug #521740.

2008-03-11  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	* win32/common/config.h:
	0.10.17.3 pre-release

2008-03-07  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Ole André Vadla Ravnås
	    <ole dot andre dot ravnas at tandberg dot com>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstpoll.c: (find_index), (gst_poll_free_winsock_event),
	(gst_poll_update_winsock_event_mask), (gst_poll_new),
	(gst_poll_free), (gst_poll_fd_init), (gst_poll_add_fd_unlocked),
	(gst_poll_remove_fd), (gst_poll_fd_ctl_write),
	(gst_poll_fd_ctl_read_unlocked), (gst_poll_fd_has_closed),
	(gst_poll_fd_has_error), (gst_poll_fd_can_read_unlocked),
	(gst_poll_fd_can_write), (gst_poll_wait),
	(gst_poll_set_controllable), (gst_poll_restart),
	(gst_poll_set_flushing):
	* gst/gstpoll.h:
	* libs/gst/net/gstnetclientclock.c: (gst_net_client_clock_new):
	* libs/gst/net/gstnettimeprovider.c: (gst_net_time_provider_start),
	(gst_net_time_provider_new):
	* plugins/elements/gstfdsink.c: (gst_fd_sink_start):
	* plugins/elements/gstfdsrc.c: (gst_fd_src_start):
	* tests/benchmarks/gstpollstress.c: (main):
	* tests/check/gst/gstpoll.c: (GST_START_TEST), (gst_poll_suite):
	Remove GstPollMode from the API, it does not make sense to let the
	application control this.
	Add support for Win32.
	Fix the testsuite. Fixes #520671.

2008-03-07  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Ole André Vadla Ravnås
	    <ole dot andre dot ravnas at tandberg dot com>

	* gst/gstregistrybinary.c:
	Include io.h for write() and close() when building with MSVC. Fixes
	bug #520877.

2008-03-07  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	* gst/gst_private.h:
	* gst/gstconfig.h.in:
	* gst/gstregistry.h:
	* gst/gstregistrybinary.c:
	* win32/common/gstconfig.h:
	  Move registry backend API to private headers where we can. Add
	  fixme-0.11 comments for the others. Add stubs for the xml backend when
	  using the binary to ensure they functions exists (they should not be
	  used though). Fixes #520756.

2008-03-04  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	* win32/common/config.h:
	0.10.17.2 prelease

2008-03-03  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst/gstregistrybinary.c: (gst_registry_binary_write),
	(gst_registry_binary_read_cache):
	* gst/gstregistryxml.c: (gst_registry_save):
	* gst/gsturi.c: (unescape_string), (gst_uri_has_protocol):
	* plugins/elements/gstfilesink.c: (gst_file_sink_open_file):
	* plugins/elements/gstfilesrc.c: (gst_file_src_map_region),
	(gst_file_src_map_small_region), (gst_file_src_create_mmap):
	Switch to using portabl gsize/gssize instead of size_t/ssize_t
	Fixes #520152

2008-03-03  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst/gstminiobject.c:
	Import gst_private.h before any other header that might include other
	glib headers. This fixes the build on windows using native compilers.

2008-03-03  Tim-Philipp Müller  <tim at centricular dot net>

	* win32/common/gstconfig.h:
	  Add here too, just for completeness.

2008-03-03  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	* gst/gstconfig.h.in:
	* gst/gstregistry.h:
	  Fix broken use of config.h-defined preprocessor directive in a public
	  header file. Add a corresponding define to gstconfig.h, since we can't
	  really remove those function declarations from the header file now
	  (or can we? and why are they there in the first place?).

2008-03-03  Andy Wingo  <wingo@pobox.com>

	* tests/check/gst/gststructure.c (GST_START_TEST): Add a check for
	the new warning.

	* gst/gststructure.c (gst_structure_from_string): Warn if
	structure_from_string didn't consume the whole string, but the
	caller did not provide an end pointer.

2008-03-01  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Fabrizio Gennari <fabrizio.ge at tiscali it>

	* gst/gstregistryxml.c: (read_string), (load_feature):
	  Strings allocated by libxml2 should be freed with xmlFree(), not
	  with g_free(). Fixes issues on windows in certain contexts (#519698).

2008-02-29  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstinterface.c: (gst_element_implements_interface):
	  Don't crash if the element supports the interface queried, but does
	  not implement GstImplementsInterface. Fixes #519584.

	* tests/check/Makefile.am:
	* tests/check/gst/.cvsignore:
	* tests/check/gst/gstinterface.c:
	  Add unit test for the above.

2008-02-29  Wim Taymans  <wim.taymans@collabora.co.uk>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_class_init):
	Small doc update.

2008-02-29  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/gstsegment.c: (gst_segment_set_seek),
	(gst_segment_to_stream_time):
	Improve some comment.
	Update variables where it makes more sense.

2008-02-29  Rene Stadler  <mail@renestadler.de>

	* gst/gsturi.c: (gst_uri_handler_get_protocols):
	Use the get_protocols_full vfunc if get_protocols is NULL.  Fixes
	URIHandlers implemented using language bindings.

2008-02-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gstelementfactory.h:
	* tests/check/elements/fakesink.c:
	* tests/check/elements/fakesrc.c: (setup_fakesrc):
	* tests/check/elements/fdsrc.c: (setup_fdsrc):
	* tests/check/elements/filesink.c: (setup_filesink):
	* tests/check/elements/filesrc.c: (setup_filesrc):
	* tests/check/elements/identity.c: (setup_identity):
	* tests/check/elements/tee.c:
	* tests/check/generic/sinks.c:
	* tests/check/generic/states.c: (setup), (teardown):
	* tests/check/gst/gst.c:
	* tests/check/gst/gstabi.c:
	* tests/check/gst/gstbin.c:
	* tests/check/gst/gstbus.c: (pull_messages):
	* tests/check/gst/gstcaps.c:
	* tests/check/gst/gstelement.c:
	* tests/check/gst/gstevent.c:
	* tests/check/gst/gstghostpad.c:
	* tests/check/gst/gstiterator.c:
	* tests/check/gst/gstmessage.c:
	* tests/check/gst/gstminiobject.c: (my_foo_init):
	* tests/check/gst/gstobject.c: (thread_name_object),
	(gst_object_suite):
	* tests/check/gst/gstpad.c:
	* tests/check/gst/gstplugin.c:
	* tests/check/gst/gstpoll.c:
	* tests/check/gst/gstquery.c:
	* tests/check/gst/gstsegment.c:
	* tests/check/gst/gststructure.c:
	* tests/check/gst/gstsystemclock.c:
	* tests/check/gst/gsttask.c:
	* tests/check/gst/gstutils.c:
	* tests/check/gst/gstvalue.c:
	* tests/check/gst/struct_hppa.h:
	* tests/check/gst/struct_i386.h:
	* tests/check/gst/struct_ppc32.h:
	* tests/check/gst/struct_ppc64.h:
	* tests/check/gst/struct_x86_64.h:
	* tests/check/libs/adapter.c: (create_and_fill_adapter):
	* tests/check/libs/basesrc.c:
	* tests/check/libs/controller.c: (GST_START_TEST):
	* tests/check/libs/gdp.c:
	* tests/check/libs/gstnetclientclock.c:
	* tests/check/libs/gstnettimeprovider.c:
	* tests/check/libs/libsabi.c:
	* tests/check/libs/struct_hppa.h:
	* tests/check/libs/struct_i386.h:
	* tests/check/libs/struct_ppc32.h:
	* tests/check/libs/struct_ppc64.h:
	* tests/check/libs/struct_x86_64.h:
	* tests/check/pipelines/cleanup.c:
	* tests/check/pipelines/simple-launch-lines.c:
	* tests/check/pipelines/stress.c:
	And correct even more valid sparse warnings.

	* win32/common/libgstreamer.def:
	Add gst_poll_fd_init to the list of symbols.

2008-02-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gstconfig.h.in:
	* libs/gst/base/gstcollectpads.c: (gst_collect_pads_read_buffer):
	* libs/gst/check/gstcheck.c: (gst_check_log_message_func),
	(gst_check_log_critical_func), (gst_check_drop_buffers),
	(gst_check_element_push_buffer_list):
	* libs/gst/controller/gstcontroller.c: (gst_controller_get),
	(gst_controller_get_type):
	* libs/gst/controller/gsthelper.c: (gst_object_control_properties),
	(gst_object_get_controller), (gst_object_get_control_source):
	* libs/gst/controller/gstinterpolationcontrolsource.c:
	(gst_interpolation_control_source_new):
	* libs/gst/controller/gstlfocontrolsource.c:
	(gst_lfo_control_source_new):
	* libs/gst/dataprotocol/dataprotocol.c:
	(gst_dp_event_from_packet_0_2):
	* plugins/elements/gstfdsrc.c:
	* plugins/elements/gstmultiqueue.c:
	* plugins/elements/gsttee.c:
	* plugins/elements/gsttypefindelement.c:
	* plugins/indexers/gstfileindex.c: (_file_index_id_save_xml),
	(gst_file_index_add_association):
	* plugins/indexers/gstmemindex.c:
	* tests/benchmarks/gstpollstress.c: (mess_some_more):
	* tests/check/elements/queue.c: (setup_queue):
	* tests/check/gst/gstpipeline.c:
	* tests/check/libs/collectpads.c: (setup), (teardown),
	(gst_collect_pads_suite):
	* tests/examples/adapter/adapter_test.c:
	* tests/examples/metadata/read-metadata.c: (make_pipeline):
	* tests/examples/xml/createxml.c:
	* tests/examples/xml/runxml.c:
	* tools/gst-inspect.c:
	* tools/gst-run.c:
	Correct all relevant warnings found by the sparse semantic code
	analyzer. This include marking several symbols static, using
	NULL instead of 0 for pointers, not using variable sized arrays
	on the stack, moving variable declarations to the beginning of
	a block and using "foo (void)" instead of "foo ()" for declarations.

2008-02-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* plugins/elements/gstfdsink.c: (gst_fd_sink_update_fd):
	* plugins/elements/gstfdsrc.c: (gst_fd_src_update_fd):
	Don't reset GstPollFDs, this is not necessary at all.

	* tests/check/gst/gstpoll.c: (test_poll_wait), (GST_START_TEST),
	(delayed_restart), (delayed_control):
	Use GST_POLL_FD_INIT.

2008-02-29  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/gstpoll.c: (gst_poll_fd_init):
	* gst/gstpoll.h:
	Added Since tags.

	* plugins/elements/gstfdsink.c: (gst_fd_sink_update_fd):
	Use some more init macros.

2008-02-29  Wim Taymans  <wim.taymans@collabora.co.uk>

	* plugins/elements/gstfdsink.c: (gst_fd_sink_start):
	* plugins/elements/gstfdsrc.c: (gst_fd_src_update_fd):
	Use init macros and functions.

2008-02-29  Wim Taymans  <wim.taymans@collabora.co.uk>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstpoll.c: (gst_poll_fd_init):
	* gst/gstpoll.h:
	Add INIT macro and _init method for initializing the GstPollFD.

2008-02-28  Sebastian Dröge  <slomo@circular-chaos.org>

	* plugins/elements/gstfdsink.c: (gst_fd_sink_start),
	(gst_fd_sink_update_fd):
	* plugins/elements/gstfdsrc.c: (gst_fd_src_update_fd):
	* tests/check/gst/gstpoll.c: (test_poll_wait), (GST_START_TEST),
	(delayed_restart), (delayed_control):
	Initialize some uninitialized variables as spotted by valgrind.

2008-02-28  Wim Taymans  <wim.taymans@collabora.co.uk>

	* tests/benchmarks/Makefile.am:
	* tests/benchmarks/gstpollstress.c: (mess_some_more), (run_test),
	(main):
	Add poll stress test.

2008-02-28  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Peter Kjellerstedt <pkj at axis dot com>

	* plugins/elements/gstfdsink.c: (gst_fd_sink_render),
	(gst_fd_sink_start), (gst_fd_sink_stop), (gst_fd_sink_unlock),
	(gst_fd_sink_unlock_stop), (gst_fd_sink_update_fd):
	* plugins/elements/gstfdsink.h:
	* plugins/elements/gstfdsrc.c: (gst_fd_src_update_fd),
	(gst_fd_src_start), (gst_fd_src_stop), (gst_fd_src_unlock),
	(gst_fd_src_unlock_stop), (gst_fd_src_create),
	(gst_fd_src_uri_set_uri):
	* plugins/elements/gstfdsrc.h:
	Port to GstPoll. See #505417.

2008-02-27  Jan Schmidt  <jan.schmidt@sun.com>

	* win32/common/libgstreamer.def:
	Add new gst_poll_ symbols to win32 defs.

2008-02-27  Wim Taymans  <wim.taymans@collabora.co.uk>

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/net/gstnetclientclock.c:
	(gst_net_client_clock_class_init), (gst_net_client_clock_init),
	(gst_net_client_clock_finalize), (gst_net_client_clock_do_select),
	(gst_net_client_clock_thread), (gst_net_client_clock_start),
	(gst_net_client_clock_stop), (gst_net_client_clock_new):
	* libs/gst/net/gstnetclientclock.h:
	* libs/gst/net/gstnettimeprovider.c:
	(gst_net_time_provider_class_init), (gst_net_time_provider_init),
	(gst_net_time_provider_finalize), (gst_net_time_provider_thread),
	(gst_net_time_provider_start), (gst_net_time_provider_stop),
	(gst_net_time_provider_new):
	* libs/gst/net/gstnettimeprovider.h:
	Use a private stuct to not break ABI.

2008-02-27  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Peter Kjellerstedt <pkj at axis dot com>

	* libs/gst/net/gstnetclientclock.c: (gst_net_client_clock_init),
	(gst_net_client_clock_finalize), (gst_net_client_clock_do_select),
	(gst_net_client_clock_thread), (gst_net_client_clock_start),
	(gst_net_client_clock_stop), (gst_net_client_clock_new):
	* libs/gst/net/gstnetclientclock.h:
	* libs/gst/net/gstnettimeprovider.c: (gst_net_time_provider_init),
	(gst_net_time_provider_finalize), (gst_net_time_provider_thread),
	(gst_net_time_provider_start), (gst_net_time_provider_stop),
	(gst_net_time_provider_new):
	* libs/gst/net/gstnettimeprovider.h:
	Massive code removal and cleanups because of GstPoll.
	Fixes #505417.

2008-02-27  Wim Taymans  <wim.taymans@collabora.co.uk>

	* configure.ac:
	Add checks for poll, ppoll and pselect.

	* docs/gst/gstreamer-docs.sgml:
	* docs/gst/gstreamer-sections.txt:
	Add docs for GstPoll.

	* gst/Makefile.am:
	* gst/gst.h:
	* gst/gstpoll.c: (find_index), (selectable_fds),
	(pollable_timeout), (choose_mode), (pollfd_to_fd_set),
	(fd_set_to_pollfd), (gst_poll_new), (gst_poll_free),
	(gst_poll_set_mode), (gst_poll_get_mode),
	(gst_poll_add_fd_unlocked), (gst_poll_add_fd),
	(gst_poll_remove_fd), (gst_poll_fd_ctl_write),
	(gst_poll_fd_ctl_read_unlocked), (gst_poll_fd_ctl_read),
	(gst_poll_fd_has_closed), (gst_poll_fd_has_error),
	(gst_poll_fd_can_read_unlocked), (gst_poll_fd_can_read),
	(gst_poll_fd_can_write), (gst_poll_wait),
	(gst_poll_set_controllable), (gst_poll_restart),
	(gst_poll_set_flushing):
	* gst/gstpoll.h:
	Add generic poll abstraction. We ideally don't want to have this in core
	here but in glib intead...
	This code will be used in various network elements and ultimately for
	the nanosecond precision monotonic clock (that's why it's here in core).
	It'll allow us to implement cancelable socket operations for windows too.

	* tests/check/Makefile.am:
	* tests/check/gst/gstpoll.c: (test_poll_wait), (GST_START_TEST),
	(delayed_stop), (delayed_restart), (delayed_flush),
	(delayed_control), (gst_poll_suite):
	Add GstPoll unit test.

2008-02-25  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstfilter.c:
	  Improve documentation of gst_filter_run(). Fixes #518627.

2008-02-23  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/README:
	  Add a few lines about the new 'check-inspected-versions' target.

2008-02-21  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/gst/gstevent.c:
	  Add qos to the event test. Rename tcase/tsuite; is not only about
	  custom events.

2008-02-21  Stefan Kost  <ensonic@users.sf.net>

	* plugins/elements/gstqueue.c:
	  Ensure that buffer metadata is writeable, before modifying. Spotted by
	  Mike.

2008-02-20  Stefan Kost  <ensonic@users.sf.net>

	* plugins/elements/gstqueue.c:
	* plugins/elements/gstqueue.h:
	  When dropping buffers in leaky modes, mark next buffers we sent as
	  DISCONT.

2008-02-20  Tim-Philipp Müller  <tim at centricular dot net>

	* plugins/elements/gstfilesrc.c: (gst_file_src_map_region):
	  Also, if mmap() fails that would be a READ error, not OPEN_READ.

2008-02-20  Tim-Philipp Müller  <tim at centricular dot net>

	* plugins/elements/Makefile.am:
	* plugins/elements/gstbufferstore.c:
	* plugins/elements/gstbufferstore.h:
	* plugins/elements/gsttypefindelement.h:
	  Remove GstBufferStore, no idea why we were still building it.
	  It's not used anywhere and superseded by GstAdapter.

	* plugins/elements/gstfilesrc.c: (gst_file_src_map_region),
	  (gst_file_src_create_mmap):
	* plugins/indexers/gstfileindex.c: (gst_file_index_add_association):
	  Printf format fixes for 64-bit integers.

2008-02-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	Don't set GST_CACHE_DIR and allow to set it by a configure parameter.
	We're not in 0.8 times anymore.

2008-02-19  Jan Schmidt  <Jan.Schmidt@sun.com>

	* libs/gst/check/gstcheck.c: (gst_check_drop_buffers),
	(gst_check_element_push_buffer_list):
	* libs/gst/check/gstcheck.h:
	Make the declaration in the header for
	gst_check_element_push_buffer_list match the implementation.

	Fix up spelling, grammar and wording of the documentation in a few
	places, and add the Since keyword to new API functions.
	Use g_list_delete_link instead of g_list_remove in
	gst_check_drop_buffers, since it's immeasurably more efficient.

	* tests/check/elements/fakesrc.c: (GST_START_TEST):
	Use new gst_check_drop_buffers function where appropriate.

	* win32/common/libgstbase.def:
	* win32/common/libgstreamer.def:
	Add new symbols gst_collect_pads_take_buffer, 
	gst_collect_pads_read_buffer, gst_index_set_resolver_full to the
	exports

	Changelog surgery to add API keyword to new gst_check API.

2008-02-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/parse/lex._gst_parse_yy.pre.c: (yy_get_next_buffer),
	(_gst_parse_yyensure_buffer_stack), (_gst_parse_yylex_init_extra):
	Update pre-generated flex files with flex 2.3.34.

2008-02-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gstminiobject.c:
	  Add FIXME for 0.11 to make GstMiniObjectClass::copy() a bit more
	  friendly to subclasses and not require them to know all internals
	  of their parent class.

2008-02-15  Stefan Kost  <ensonic@users.sf.net>

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/base/gstcollectpads.c:
	* libs/gst/base/gstcollectpads.h:
	  Add sub-buffer functions to collectpads. Fixes #516187.
	  API: gst_collect_pads_take_buffer(), gst_collect_pads_read_buffer()

2008-02-15  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstbuffer.c:
	  Copy selected buffer-flags when creating subbuffers.
	  Fixes #516395.

2008-02-12  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gstbuffer.c: (gst_buffer_class_init), (gst_buffer_finalize):
	* gst/gstevent.c: (gst_event_class_init), (gst_event_finalize):
	* gst/gstmessage.c: (gst_message_class_init),
	(gst_message_finalize):
	* gst/gstquery.c: (gst_query_class_init), (gst_query_finalize):
	* plugins/elements/gstfilesrc.c: (gst_mmap_buffer_class_init),
	(gst_mmap_buffer_finalize):
	Properly chain up finalize functions to the parent class.

2008-02-11  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Siavash Safi <siavash dot safi at gmail dot com>

	* gst/gstindex.c: (gst_index_finalize), (gst_index_set_resolver),
	(gst_index_set_resolver_full):
	* gst/gstindex.h:
	Add new function with option to dispose of user_data in resolver.
	Actually call the dispose function when finalizing the object and not
	just when changing the resolver/filter.
	API: GstIndex::gst_index_set_resolver_full()

	* docs/gst/gstreamer-sections.txt:
	Add new function to docs. Fixes #515469.

2008-02-11  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gstindex.c: (gst_index_finalize):
	Chain up finalize to the parent class. Fixes leaking the GstObject
	name and other things.

2008-02-08  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	Make DISABLE_DEPRECATED defined *only* during CVS, not during
	pre-releases or releases.

	* docs/faq/gst-uninstalled:
	Add gst-plugins-gl

	* docs/random/release:
	Change one of the steps - we only upload core & base to Gnome FTP

2008-02-06  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstconfig.h.in:
	  Add 'id' for example.

	* gst/gstpad.c:
	* gst/gstutils.c:
	* plugins/elements/gstfdsink.c:
	  Link to signals. Doc and comment fixes.

2008-02-05  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstpad.h: (GST_PAD_LINK_SUCCESSFUL):
	* gst/gstpluginfeature.h: (GstPluginFeatureClass):
	  Some minor docs fixes: fix typo, mention that GST_FLOW_RESEND is
	  unused and unimplemented; finally, it is plugin features, not
	  plugins, that have ranks.
	  
2008-02-05  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstpluginfeature.h:
	  Clarify GstRank range docs.

2008-02-05  David Schleef  <ds@schleef.org>

	* gst/gst.c: Add a separate gst_deinitialized that prevents
	  gst_init() from being called after gst_deinit().  Fixes #509559

2008-02-05  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gstbin.c: (gst_bin_get_type), (gst_bin_base_init),
	(gst_bin_class_init):
	* gst/gstelement.c: (gst_element_base_class_init),
	(gst_element_class_add_pad_template):
	* gst/gstpadtemplate.c: (gst_pad_template_init):
	* gst/gstpipeline.c: (gst_pipeline_get_type),
	(gst_pipeline_base_init), (gst_pipeline_class_init):
	* libs/gst/base/gstbasesink.c:
	* libs/gst/base/gstbasesrc.c: (gst_base_src_get_type),
	(gst_base_src_base_init), (gst_base_src_class_init):
	* plugins/elements/gstcapsfilter.c: (gst_capsfilter_base_init),
	(gst_capsfilter_class_init):
	* plugins/elements/gstfakesink.c: (gst_fake_sink_base_init),
	(gst_fake_sink_class_init):
	* plugins/elements/gstfakesrc.c: (gst_fake_src_base_init),
	(gst_fake_src_class_init):
	* plugins/elements/gstfdsink.c: (gst_fd_sink_base_init),
	(gst_fd_sink_class_init):
	* plugins/elements/gstfdsrc.c: (gst_fd_src_base_init),
	(gst_fd_src_class_init):
	* plugins/elements/gstfilesink.c: (gst_file_sink_base_init),
	(gst_file_sink_class_init):
	* plugins/elements/gstfilesrc.c: (gst_file_src_base_init),
	(gst_file_src_class_init):
	* plugins/elements/gstidentity.c: (gst_identity_base_init),
	(gst_identity_class_init):
	* plugins/elements/gstmultiqueue.c: (gst_multi_queue_base_init),
	(gst_multi_queue_class_init):
	* plugins/elements/gstqueue.c: (gst_queue_base_init),
	(gst_queue_class_init):
	* plugins/elements/gsttee.c: (gst_tee_base_init),
	(gst_tee_class_init):
	* plugins/elements/gsttypefindelement.c:
	(gst_type_find_element_base_init),
	(gst_type_find_element_class_init):
	* tests/check/gst/gstelement.c: (gst_element_suite):
	Revert previous changes to the behaviour of GstPadTemplates, etc
	and the possiblity to call them in class_init as it breaks too
	many elements. Reopens bug #491501.

	Should be applied again for 0.11, thus added a few FIXME 0.11 at
	several places.

2008-02-05  Stefan Kost  <ensonic@users.sf.net>

	* tools/gst-launch.c:
	Dump one graph per pipeline state-change and state change name
	(if GST_DEBUG_DUMP_DOT_DIR is set).

2008-02-04  Thijs Vermeir  <thijsvermeir@gmail.com>

	* gst/gstpad.c:
	* tests/check/gst/gstpad.c:
	Be sure that we have a new copy of the caps and not
	reffed caps from a template

2008-02-03  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gstbin.c: (gst_bin_get_type), (gst_bin_class_init):
	* gst/gstpipeline.c: (gst_pipeline_get_type),
	(gst_pipeline_class_init):
	* libs/gst/base/gstbasesink.c: (gst_base_sink_get_type),
	(gst_base_sink_class_init):
	* libs/gst/base/gstbasesrc.c: (gst_base_src_get_type),
	(gst_base_src_class_init):
	* libs/gst/base/gstbasetransform.c: (gst_base_transform_get_type),
	(gst_base_transform_class_init):
	* libs/gst/base/gstcollectpads.c: (gst_collect_pads_base_init),
	(gst_collect_pads_class_init):
	* libs/gst/base/gstdataqueue.c: (gst_data_queue_get_type):
	* libs/gst/net/gstnettimeprovider.c:
	(gst_net_time_provider_base_init),
	(gst_net_time_provider_class_init):
	* plugins/elements/gstcapsfilter.c: (gst_capsfilter_base_init),
	(gst_capsfilter_class_init):
	* plugins/elements/gstfakesink.c: (gst_fake_sink_base_init),
	(gst_fake_sink_class_init):
	* plugins/elements/gstfakesrc.c: (gst_fake_src_base_init),
	(gst_fake_src_class_init):
	* plugins/elements/gstfdsink.c: (gst_fd_sink_base_init),
	(gst_fd_sink_class_init):
	* plugins/elements/gstfdsrc.c: (gst_fd_src_base_init),
	(gst_fd_src_class_init):
	* plugins/elements/gstfilesink.c: (gst_file_sink_base_init),
	(gst_file_sink_class_init):
	* plugins/elements/gstfilesrc.c: (gst_file_src_base_init),
	(gst_file_src_class_init):
	* plugins/elements/gstidentity.c: (gst_identity_base_init),
	(gst_identity_class_init):
	* plugins/elements/gstmultiqueue.c: (gst_multi_queue_base_init),
	(gst_multi_queue_class_init):
	* plugins/elements/gstqueue.c: (gst_queue_base_init),
	(gst_queue_class_init):
	* plugins/elements/gsttee.c: (gst_tee_base_init),
	(gst_tee_class_init):
	* plugins/elements/gsttypefindelement.c:
	(gst_type_find_element_base_init),
	(gst_type_find_element_class_init):
	Don't use base_init where not absolutely necessary. For example it's
	not necessary anymore for adding pad templates or setting element
	details.

	Leave empty base_init functions in several places as GST_BOILERPLATE
	still defines and uses them.

2008-02-03  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gstelement.c: (gst_element_base_class_init),
	(gst_element_class_add_pad_template):
	* gst/gstpadtemplate.c:
	Make it possible (and recommended) to set element details and add
	pad templates in the class_init functions by copying the details/pad
	templates in GstElement's base_init.

	Also make it possible to replace existing pad templates by adding
	a new one with the same name. This was done in a hackish fashion
	in same elements before already.

	Don't reference pad templates that are added a second time. A
	new pad template has a refcount of one and is not floating anymore
	and to be owned by the element's class. Make this more explicit by
	mentioning it in the docs of gst_element_class_add_pad_template().

	These changes are backwards compatible. Fixes bug #491501.

	* tests/check/gst/gstelement.c:
	Add unit test for setting element details, adding pad templates and
	replacing them in a subclass.

2008-02-02  Sebastian Dröge  <slomo@circular-chaos.org>

	* tools/gst-inspect.c: (print_interfaces),
	(print_element_properties_info), (print_pad_info),
	(print_signal_info), (print_element_info):
	Fix a few memory leaks.

2008-02-01  Thijs Vermeir  <thijsvermeir@gmail.com>

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/check/gstcheck.c:
	* libs/gst/check/gstcheck.h:
	Add more functions for unit testing: gst_check_drop_buffers,
	gst_check_caps_equal, gst_check_element_push_buffer_list,
	gst_check_element_push_buffer
	API: gst_check_drop_buffers
	API: gst_check_caps_equal
	API: gst_check_element_push_buffer_list
	API: gst_check_element_push_buffer

2008-02-01  Julien Moutte  <julien@fluendo.com>

	* docs/gst/gstreamer-sections.txt: Add GST_CHECK_VERSION to the docs
	* gst/gstindex.c: (gst_index_class_init), (gst_index_free_writer),
	(gst_index_finalize), (gst_index_entry_free),
	(gst_index_add_association): Fix memory leaks.
	* gst/gstversion.h.in: Add GST_CHECK_VERSION macro.
	* plugins/indexers/gstmemindex.c: (gst_mem_index_class_init),
	(gst_mem_index_free_format), (gst_mem_index_free_id),
	(gst_mem_index_finalize): Fix memory leaks.
	* win32/common/config.h: Updated to CVS HEAD.

2008-02-01  Stefan Kost  <ensonic@users.sf.net>

	* docs/README:
	  Some more details about how the plugin docs works.

	* docs/plugins/gstreamer-plugins-sections.txt:
	  Whitespace cleanup.

2008-02-01  Stefan Kost  <ensonic@users.sf.net>

	* gst/parse/grammar.tab.pre.c:
	* gst/parse/grammar.tab.pre.h:
	* gst/parse/grammar.y:
	* gst/parse/lex._gst_parse_yy.pre.c:
	  Add delayed set-property. This allows to set properties on dynamicaly
	  created objects (pads in videomxer).

2008-02-01  Thijs Vermeir  <thijsvermeir@gmail.com>

	* gst/gstutils.c:
	Check if caps are not NULL (fix bug #510194)

2008-02-01  Wim Taymans  <wim.taymans@collabora.co.uk>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_loop),
	(gst_base_sink_get_position_paused):
	Add fixme regarding EOS in pull mode.
	Fix position reporting in PAUSED for negative rates.

2008-02-01  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/gstminiobject.c: (gst_mini_object_replace):
	When replacing a miniobject, do a quick equality check first so that we
	can avoid a ref/unref pair.

2008-02-01  Wim Taymans  <wim.taymans@collabora.co.uk>

	* docs/design/part-synchronisation.txt:
	Update some docs.

	* docs/plugins/Makefile.am:
	* docs/plugins/gstreamer-plugins-docs.sgml:
	* docs/plugins/gstreamer-plugins-sections.txt:
	* plugins/elements/gstmultiqueue.c:
	Add multiqueue to the docs.

2008-01-30  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	  Back to CVS

=== release 0.10.17 ===

2008-01-30  Jan Schmidt <jan.schmidt@sun.com>

	* configure.ac:
	  releasing 0.10.17, "Due Negligence"

2008-01-30  Jan Schmidt  <jan.schmidt@sun.com>

	* gst/gstutils.c:
	Revert caps != NULL check temporarily for 0.10.17 release.

2008-01-30  Thijs Vermeir  <thijsvermeir@gmail.com>

	* gst/gstutils.c:
	Check if caps are not NULL (fix bug #510194)

2008-01-30  Jan Schmidt  <jan.schmidt@sun.com>

	* gst/gstutils.c:
	Fix compilation on systems that have posix timers but no
	monotonic clock.
	Fixes: #512715
	Patch By: Cygwin Ports maintainer <yselkowitz at users dot sourceforge
	dot net>

2008-01-30  Jan Schmidt  <jan.schmidt@sun.com>

	* tools/gst-inspect.c:
	Revert previous commit in preparation for an impromptu 0.10.17 release

2008-01-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* tools/gst-inspect.c: (print_interfaces),
	(print_element_properties_info), (print_pad_info),
	(print_signal_info), (print_element_info):
	Fix a few memory leaks.

2008-01-28  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	Back to CVS

=== release 0.10.16 ===

2008-01-28  Jan Schmidt <thaytan@noraisin.net>

	* configure.ac:
	  releasing 0.10.16, "Special Dispensation"

2008-01-24  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	  Use AC_TRY_COMPILE instead of AC_TRY_RUN to check for
	  _POSIX_TIMER, _POSIX_MONOTONIC_CLOCK, etc. Makes configure
	  not fail when trying to crosscompile on OpenEmbedded (#511750).

2008-01-20  Sebastian Dröge  <slomo@circular-chaos.org>

	* docs/manuals.mak:
	Use $(MAKE) instead of make to fix the build if GNU make is
	called different. Fixes bug #510747.

2008-01-20  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstplugin.c: (_gst_plugin_initialize):
	  Fix old-style static plugins via GST_PLUGIN_DEFINE_STATIC
	  again, which I broke two commits ago when changing the API
	  of gst_plugin_register_static(): the g_list_foreach() in
	  _gst_plugin_register_static still assumed the old function
	  signature and would therefore fail (re-fixes #510187).

	* gst/gstplugin.c: (_num_static_plugins), (_static_plugins),
	  (_gst_plugin_register_static), (gst_plugin_register_static):
	  Revert the (technically correct) change to call g_thread_init() from
	  the pre-main() constructor. This will break programs which call
	  g_thread_init() without an if (!g_thread_supported()) guard in their
	  main function. We could just blame it on GLib or the application, but
	  it's probably best to just avoid this altogether and simply not use
	  any GLib functions here and use plain old malloc() with a simple
	  array to store the plugins to register later when gst_init() is
	  finally called (re-fixes #510187).

	* tests/check/gst/gstplugin.c: (GST_GNUC_CONSTRUCTOR_DEFINED),
	  (GST_GNUC_CONSTRUCTOR_DEFINED), (plugin_init_counter),
	  (plugin1_init), (plugin2_init), (plugin3_init), (GST_START_TEST),
	  (GST_START_TEST), (gst_plugin_suite):
	  Dumb unit test to make sure the old GST_PLUGIN_DEFINE_STATIC still
	  works.

2008-01-17  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstplugin.h: (GST_PLUGIN_DEFINE_STATIC):
	  Remove deprecation guards around GST_PLUGIN_DEFINE_STATIC.
	  This makes gtk-doc complain, but results in slightly better
	  compiler errors. The old _gst_plugin_register_static() is
	  still guarded, so there'll be a compiler warning about that
	  instead. Fixes #510187 too.

2008-01-17  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gst.c: (init_post):
	* gst/gstplugin.c: (_gst_plugin_register_static),
	  (gst_plugin_register_static), (_gst_plugin_initialize):
	* gst/gstplugin.h: (GstPluginFilter):
	  Change API of gst_plugin_register_static() to not take
	  a GstPluginDesc, but rather just take all the arguments
	  in a GstPluginDesc directly. This is more intuitive and
	  avoids certain mistakes when porting code from
	  GST_PLUGIN_DEFINE_STATIC to gst_plugin_register_static().
	  Fixes #510187.

	* tests/check/gst/gstplugin.c:
	  Fix up for changed API.

2008-01-17  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/faq/legal.xml:
	  Update FAQ, Totem actually has an exception these days.

2008-01-14  Jan Schmidt  <jan.schmidt@sun.com>

	* win32/common/libgstreamer.def:
	Add new API declarations

2008-01-14  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstminiobject.c:
	  Spelling fixes for the API docs.

2008-01-14  Stefan Kost  <ensonic@users.sf.net>

	* libs/gst/base/gstbasetransform.c:
	  Fix long property description for QoS.

2008-01-12  Jan Schmidt  <Jan.Schmidt@sun.com>

	* gst/gst.c:
	_gst_trace_on is already provided by gsttrace.h, no need to declare
	it ourselves.

	* docs/libs/gstreamer-libs-sections.txt:
	Add 'buffers', 'check_cond' and 'check_mutex' from libgstcheck
	and remove strange tcase_add_test which is outputting a warning.

	* libs/gst/check/gstcheck.c:
	* libs/gst/check/gstcheck.h:
	Properly declare 'buffers', 'check_cond', 'check_mutex' extern
	and define them in gstcheck.c instead of having every .c file whcih
	includes gstcheck.h be defining its own copy and relying on symbol
	interposing to marry them all, which doesn't work on Solaris.

	* tests/check/elements/identity.c: (GST_START_TEST):
	Don't define 'buffers' locally, it comes from libgstcheck.

	* tests/check/generic/sinks.c: (send_buffer):
	Fix type of variable (GstFlowReturn, not GstStateChangeReturn)

	* tests/check/gst/gststructure.c: (GST_START_TEST):
	* tests/check/gst/gstsystemclock.c: (GST_START_TEST):
	* tests/check/gst/gstutils.c: (GST_START_TEST):
	* tests/check/gst/gstvalue.c: (GST_START_TEST):
	Add a bunch of casts to make various constants fit the types
	they're being assigned to.

2008-01-10  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstchildproxy.c:
	  Improve docs and add some ideas for making this more general-purpose.

2008-01-10  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gst_private.h: (GST_CAT_TYPES):
	  Add GST_CAT_TYPES, for consistency, and so that the other
	  debug categories don't make fun of it. Spotted by Saur on IRC.

2008-01-10  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/parse/Makefile.am:
	  Move types.h from EXTRA_DIST to noinst_HEADERS.

2008-01-10  Sebastian Dröge  <slomo@circular-chaos.org>

	* autogen.sh:
	  Add -Wno-portability to the automake parameters to stop warnings
	  about GNU make extensions being used. We require GNU make in almost
	  every Makefile anyway.

	* configure.ac:
	  Use AM_PROG_CC_C_O as a compiler that accepts both -c and -o
	  at the same time is required for per target flags.

2008-01-09  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstmacros.h:
	  Include glib/gmacros.h for G_BEGIN_DECLS. Check if
	  __GNUC__ is defined before using it.

2008-01-09  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/gst/gstreamer-sections.txt:
	* gst/gst.c: (init_post):
	* gst/gstplugin.c: (_gst_plugin_register_static),
	  (gst_plugin_register_static), (_gst_plugin_initialize),
	  (gst_plugin_register_func):
	* gst/gstplugin.h: (GST_PLUGIN_DEFINE_STATIC):
	  API: add gst_plugin_register_static() and deprecate
	  GST_PLUGIN_DEFINE_STATIC, since it's not portable
	  (#498924).
	  Also, in _gst_plugin_register_static(), make sure to call
	  g_thread_init() before calling GLib functions such as
	  g_list_append() if we're not initialised yet, since that
	  may lead to random crashes with older GSlice/GLib versions.

	* tests/check/gst/gstplugin.c:
	  Adapt unit test to above changes.

2008-01-09  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gst_private.h: (STRUCTURE_ESTIMATED_STRING_LEN):
	* gst/gstcaps.c: (gst_caps_to_string):
	* gst/gststructure.c: (GST_ASCII_IS_STRING),
	  (priv_gst_structure_append_to_gstring), (gst_structure_to_string):
	  Yet another gratuitous GString micro-optimisation: add a (private)
	  function that serialises a structure appending to an existing
	  GString, so that when we serialise caps we don't need to alloc+free
	  a throwaway GString for each structure (each of which also entailing
	  multiple reallocs on the way); also use g_string_sized_new() in
	  various places with an approximate string length to avoid reallocs
	  within GString. See #500143.

2008-01-09  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gststructure.c: (gst_structure_id_set_value):
	  Always check UTF-8 conformance of structure strings and not only
	  if the debugging system is enabled; reasoning: the behaviour of
	  the actual code shouldn't really change depending on whether the
	  debugging system is enabled or not (#508291).

2008-01-09  Stefan Kost  <ensonic@users.sf.net>

	* Makefile.am:
	  Remove old coverage target in favour of "make lcov".

2008-01-09  Wim Taymans  <wim.taymans@collabora.co.uk>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_perform_seek),
	(gst_base_src_loop):
	The start segment for reverse playback goes from start to last_stop.

2008-01-09  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Peter Kjellerstedt <pkj axis com>

	* gst/gstclock.h:
	Cast the results from the timeval/spec_to_time macros to what the
	docs say it casts to, a GstClockTime. fixes #508175.

2008-01-09  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/gstbuffer.c:
	Update some comments.

	* tools/gst-inspect.c: (print_element_properties_info):
	Improve printing of flags.

2008-01-08  Tim-Philipp Müller  <tim at centricular dot net>

	* libs/gst/base/gstbasetransform.c:
	  (gst_base_transform_transform_size):
	  Print element name with g_warning() if there's a problem
	  with the unit size.

2008-01-07  David Schleef  <ds@schleef.org>

	Patch by: Damien Lespiau <damien.lespiau@gmail.com>

	* libs/gst/controller/gstcontroller.h:
	* libs/gst/controller/gstcontrolsource.h:
	* libs/gst/controller/gstinterpolationcontrolsource.h:
	* libs/gst/controller/gstlfocontrolsource.h:
	* libs/gst/dataprotocol/dataprotocol.h:
	  Fix empty prototypes.  Fixes bug #507957.

2008-01-07  David Schleef  <ds@schleef.org>

	* docs/faq/dependencies.xml: Fix typo.

2008-01-07  Wim Taymans  <wim.taymans@collabora.co.uk>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_default_do_seek),
	(gst_base_src_loop):
	Don't update the last_stop position in do_seek, that's the position we
	did a seek to.
	Read backwards when we have a negative rate.

	* tests/check/elements/filesrc.c: (event_func), (wait_eos),
	(setup_filesrc), (cleanup_filesrc), (GST_START_TEST),
	(filesrc_suite):
	Add check for reverse reading.

2008-01-07  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Alexis Ballier <aballier at gentoo org>

	* tests/check/gst/gstabi.c:
	* tests/check/gst/struct_ppc64.h:
	* tests/check/libs/libsabi.c:
	* tests/check/libs/struct_ppc64.h:
	  Decide which header to include based on the userland ABI target
	  and not the kernel/cpu. Fix up structure sizes of ppc64 header
	  for 64-bit userland (#503590).  Might need something similar for
	  x86 too.

2008-01-05  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstdebugutils.c: (_gst_debug_bin_to_dot_file):
	  Log the reason why fopen fails in addition to the fact that it failed.
	  
2008-01-04  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/parse/parse.l:
	Use "%option never-interactive" to prevent useless calls to isatty()
	on every input when parsing. Also use "%option noinput" to not define
	the static input/yyinput functions which we don't use anyway. This
	removes a compiler warning with gcc 4.3 and saves some bytes in the
	library.
	
	* gst/parse/lex._gst_parse_yy.pre.c:
	Regenerated for the above change.

2008-01-04  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/gstpad.c: (fixate_value):
	Don't crash when trying to fixate and empty list.
	Fixes #506643.

2008-01-03  Sebastian Dröge  <slomo@circular-chaos.org>

	* docs/faq/gst-uninstalled:
	Clarify the comments to make the usage of this script and what it
	does easier to understand.

2008-01-01  Thijs Vermeir  <thijsvermeir@gmail.com>

	* tools/gst-plot-timeline.py:
	Add more options to gst-plot-timeline

2007-12-31  Wim Taymans  <wim.taymans@collabora.co.uk>

	* docs/design/part-synchronisation.txt:
	Some more info on how the stream_time in GstBaseSink is done.

2007-12-30  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/generic/sinks.c: (gst_sinks_suite):
	  Put back the tcase_set_timeout(), apparently it's needed after
	  all; fix it up in a way that makes things work with valgrind too.

2007-12-30  Thijs Vermeir  <thijsvermeir@gmail.com>

	* gst/gstdebugutils.c:
	  Add warning when failed to open file for writing.

2007-12-28  Tim-Philipp Müller  <tim at centricular dot net>

	Based on patch by: Laurent Glayal  <spglegle yahoo fr>

	* gst/gstvalue.c: (gst_value_is_fixed):
	  Optimisation: bail out of the loop as early as possible (#500143).

2007-12-28  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstcaps.c: (gst_caps_to_string):
	* gst/gstinfo.c: (gst_debug_construct_term_color):
	* gst/gstparse.c: (gst_parse_launchv):
	* gst/gstutils.c: (gst_util_dump_mem):
	* gst/gstvalue.c: (gst_value_serialize_any_list),
	  (gst_value_transform_any_list_string):
	  Bunch of gratuitous nano-optimisations.

2007-12-28  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/generic/sinks.c: (async_done_func),
	  (async_done_eos_func):
	  Fix leak in unit test (bus sync handler must unref the message
	  if it returns GST_BUS_DROP). Don't fiddle with the default test
	  timeout, this is smaller than the current preconfigured value
	  via CK_DEFAULT_TIMEOUT, and also breaks things with valgrind
	  because it overrides the value specified in CK_DEFAULT_TIMEOUT.

2007-12-24  Wim Taymans  <wim.taymans@collabora.co.uk>

	Based on Patch by: Laurent Glayal <spglegle at yahoo dot fr>

	* configure.ac:
	Check for stdio_ext.h for the filesink changes.

	* plugins/elements/gstfilesink.c: (buffer_mode_get_type),
	(gst_file_sink_class_init), (gst_file_sink_init),
	(gst_file_sink_dispose), (gst_file_sink_set_property),
	(gst_file_sink_get_property), (gst_file_sink_open_file),
	(gst_file_sink_close_file):
	* plugins/elements/gstfilesink.h:
	Add two properties to control the buffering mode and size.
	API: GstFileSink::buffer-mode
	API: GstFileSink::buffer-size
	Fixes #500150.

2007-12-24  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/gstsystemclock.c: (gst_system_clock_id_wait_jitter_unlocked):
	Add some more docs to explain why a FIXME was wrongly added. 

2007-12-22  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gstobject.c:
	  Fix typo in the gst_object_{ref,unref} documentation.

2007-12-21  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/libs/controller.c:
	* tests/check/libs/typefindhelper.c:
	* tests/check/pipelines/parse-launch.c:
	  Don't use GST_PLUGIN_DEFINE_STATIC, it is not portable and is
	  going to be deprecated (see #498924).

2007-12-21  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gsttypefind.c: (gst_type_find_register):
	  Make gst_type_find_register work for static typefind functions,
	  ie. allow passing plugin == NULL (prerequisite for #498924).

	* gst/gstelementfactory.c: (gst_element_register):
	  Small docs addition.

2007-12-21  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/gstpad.c: (gst_pad_dispose):
	Really unlink the peer pad instead of setting the peer pointer to NULL
	when we dispose the pad.
	This correctly calls the unlink functions and makes sure that the peer
	does not have a handle to invalid memory. See #504671.

	* tests/check/gst/gstpad.c: (GST_START_TEST), (gst_pad_suite):
	Add testsuite for above case.

2007-12-20  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Peter Kjellerstedt <pkj axis com>

	* libs/gst/check/gstcheck.h:
	  Fix detection of the check version we're compiling against (would
	  otherwise break if check goes v0.10.0); correctly report the
	  name of the failed test again in case of failure, instead of
	  just 'tf' (fixes #504499).

2007-12-19  Wim Taymans  <wim.taymans@collabora.co.uk>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_send_event),
	(gst_base_src_get_range), (gst_base_src_pad_get_range),
	(gst_base_src_loop), (gst_base_src_set_flushing),
	(gst_base_src_change_state):
	Allow sending EOS to the source to make it send out an EOS event from
	the streaming thread.
	Update docs and deprecate the old NULL/READY shutdown method.

	* tests/check/libs/basesrc.c: (GST_START_TEST),
	(gst_basesrc_suite):
	Add unit test for controlled shutdown.

2007-12-19  Wim Taymans  <wim.taymans@collabora.co.uk>

	* docs/design/part-synchronisation.txt:
	Small updates.

	* gst/gstsegment.c: (gst_segment_set_seek),
	(gst_segment_set_newsegment_full), (gst_segment_to_stream_time),
	(gst_segment_to_running_time):
	The seek format can be different from the segment format when the start
	and stop values are not to be updated, when we only do a rate change for
	example.

	* tests/check/gst/gstsegment.c: (GST_START_TEST),
	(gst_segment_suite):
	Add a testcase for the rate-only seeks, checking that the format is
	correctly ignored when start and stop are not updated.

2007-12-18  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Matthias Bolte <photon at mail dot upb dot de>

	* win32/vs8/grammar.vcproj:
	* win32/vs8/libgstcontroller.vcproj:
	* win32/vs8/libgstreamer.vcproj:
	Fix compilation with VS8 and include some missing files.

2007-12-18  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gsttaglist.c:
	  Small docs addition: mention that the strings returned by
	  gst_tag_list_get_string*() are in UTF-8 encoding.

2007-12-17  Tim-Philipp Müller  <tim at centricular dot net>

	* Makefile.am:
	  The check-exports stuff moved to common/win32.mak, so include that.

2007-12-17  Wim Taymans  <wim.taymans@collabora.co.uk>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_wait_playing),
	(gst_base_src_perform_seek), (gst_base_src_get_range),
	(gst_base_src_set_playing), (gst_base_src_change_state):
	Make _wait_playing() not check any variables so that we can call this
	function from subclasses. Move the checks elsewhere similar to
	_wait_preroll() in basesink.
	Add some debugging.
	Only signal the LIVE cond when we are going back to PLAYING.

2007-12-16  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstregistrybinary.c: (gst_registry_binary_write_cache):
	  Use g_remove() and g_rename(). Check result of g_rename(), and
	  don't leak the open file descriptor if we error out when writing.

	* gst/gstregistryxml.c: (load_plugin), (gst_registry_xml_write_cache):
	  Must check the return value of close() after writing out the new
	  registry file.  Sometimes write problems such as out-of-diskspace
	  are only reported when the file is closed and not already during
	  the write.  This may have caused partial/broken registry files in
	  some rare circumstances. Should fix #503675.

2007-12-16  Edward Hervey  <edward.hervey@collabora.co.uk>

	* docs/gst/.cvsignore:
	* docs/libs/.cvsignore:
	* docs/plugins/.cvsignore:
	Ignore files generated by new common/* modifications

2007-12-15  Stefan Kost  <ensonic@users.sf.net>

	* win32/common/libgstbase.def:
	  Yes, you can also have a <TAB> if you want.

2007-12-15  Stefan Kost  <ensonic@users.sf.net>

	* win32/common/libgstbase.def:
	  Add new basetransform API to win export file.

2007-12-15  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/gst/gstbin.c:
	  Adjust the test to the refcount change two days ago.

2007-12-14  David Schleef  <ds@schleef.org>

	* docs/faq/getting.xml: Fix typo.

2007-12-14  Sebastian Dröge  <slomo@circular-chaos.org>

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/base/gstbasetransform.c: (gst_base_transform_init),
	  (gst_base_transform_prepare_output_buffer),
	  (gst_base_transform_set_gap_aware):
	* libs/gst/base/gstbasetransform.h:
	  API: Add gst_base_transform_set_gap_aware() to control whether
	  the element correctly handles GST_BUFFER_FLAG_GAP or shouldn't
	  get buffers with this flag at all. Fixes #503231.

2007-12-13  Stefan Kost  <ensonic@users.sf.net>

	* libs/gst/base/gstbasesink.c:
	* libs/gst/base/gstbasesrc.c:
	* libs/gst/base/gstbasetransform.c:
	  Replace gst_pad_get_parent by GST_OBJECT_PARENT inside streaming
	  thread. Correct log message in gstbasesrc.c.

2007-12-13  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstutils.c: (element_find_unconnected_pad):
	  Fix possible compiler warning (#503417).

2007-12-13  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstobject.c: (gst_object_dispatch_properties_changed):
	  Don't use GST_CAT_EVENT here for logging, it makes no sense.

2007-12-13  Sebastian Dröge  <slomo@circular-chaos.org>

	* tools/gst-inspect.c: (print_element_properties_info):
	  Add support for GstFraction properties.

2007-12-12  Tim-Philipp Müller  <tim at centricular dot net>

	* Makefile.am:
	  Add check-exports target and run it as part of 'make check'
	  (see #499140 and #493983).

	* gst/gst_private.h:
	* gst/gstelementfactory.h:
	* gst/gstghostpad.c: (gst_proxy_pad_class_init):
	* gst/gstinfo.c: (_priv_gst_in_valgrind), (_gst_debug_init),
	  (_priv_gst_in_valgrind):
	* gst/gstinfo.h: (GstLogFunction):
	* gst/gsttypefind.c: (type_find_debug), (GST_CAT_DEFAULT),
	  (gst_type_find_register):
	* gst/gsttypefindfactory.c: (type_find_debug), (GST_CAT_DEFAULT),
	  (gst_type_find_factory_get_type):
	* libs/gst/controller/gstcontroller.c: (GST_CAT_DEFAULT),
	  (GST_CAT_DEFAULT), (parent_class), (priv_gst_controller_key),
	  (gst_controller_new_valist), (gst_controller_new_list),
	  (_gst_controller_dispose), (_gst_controller_class_init):
	* libs/gst/controller/gstcontrolsource.c: (GST_CAT_DEFAULT):
	* libs/gst/controller/gsthelper.c: (GST_CAT_DEFAULT),
	  (GST_CAT_DEFAULT), (gst_object_uncontrol_properties),
	  (gst_object_get_controller), (gst_object_set_controller),
	  (gst_object_suggest_next_sync), (gst_object_sync_values),
	  (gst_object_set_control_source), (gst_object_get_control_source),
	  (gst_object_get_value_arrays), (gst_object_get_value_array),
	  (gst_object_get_control_rate), (gst_object_set_control_rate):
	* libs/gst/controller/gstinterpolation.c: (GST_CAT_DEFAULT):
	* libs/gst/controller/lib.c: (GST_CAT_DEFAULT):
	  Make some functions that should be static static; rename some
	  private symbols so that they don't get exported; add some FIXME
	  comments so we can move accidentally exported functions into
	  our private section in 0.11.

	* win32/common/libgstreamer.def:
	  Add gst_utils_get_timestamp().

2007-12-12  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstvalue.c:
	* gst/gstvalue.h:
	  Add more missing "Since:" tags to docs.

2007-12-12  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstutils.c:
	  Add mising "Since:" to docs.

2007-12-11  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstplugin.c:
	  Include "glib-compat-private.h" to fix the build on system with
	  glib < 2.10. Fixes #503131.

2007-12-11  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstutils.c:
	* gst/gstutils.h:
	  Actually its not PURE as it gets the time from elsewhere.

2007-12-11  Stefan Kost  <ensonic@users.sf.net>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstclock.h:
	* gst/gstdebugutils.c:
	* gst/gstinfo.c:
	* gst/gstutils.c:
	* gst/gstutils.h:
	* libs/gst/base/gstbasesink.c:
	* tools/gst-launch.c:
	  Change GST_GET_TIMESTAMP into gst_util_get_timestamp and replace all
	  uses as we don't have HAVE_POSIX_TIMERS in public headers.
	  Thanks Tim for spotting.
	  API: gst_util_get_timestamp

2007-12-09  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	  Don't define GST_DISABLE_DEPRECATED for releases. Fixes #498181.

2007-12-08  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gststructure.c: (gst_structure_validate_name),
	  (gst_structure_new_valist), (gst_structure_parse_value),
	  (gst_structure_from_string):
	  Don't crash in _from_string() if the structure name is not valid
	  (fixes #501560).  Allow structure names to start with a number
	  again (this apparently broke the ubuntu codec installer).

	* tests/check/gst/gststructure.c: (GST_START_TEST), (GST_START_TEST),
	  (GST_START_TEST):
	  Add unit test for the crash; update unit tests for new behaviour.

2007-12-03  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstutils.c:
	Clarify gst_element_get_compatible_pad() documentation.
	Fixes #500919.

2007-12-02  Sebastian Dröge  <slomo@circular-chaos.org>

	* tests/check/Makefile.am:
	  Don't forget to dist {gst,libs}/struct_hppa.h.

2007-11-28  Stefan Kost  <ensonic@users.sf.net>

	* libs/gst/base/gstbasesink.c:
	  Use new API to get elapsed time.

2007-11-28  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstdebugutils.c:
	* gst/gstinfo.c:
	  Fix wrong order of args in GST_CLOCK_DIFF() usage.

	* tools/gst-launch.c:
	  Use new API to get elapsed time.

2007-11-28  Stefan Kost  <ensonic@users.sf.net>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstclock.h:
	* gst/gstdebugutils.c:
	* gst/gstinfo.c:
	  Rename new API + ChangeLog surgery to remove old name from last entry..

2007-11-28  Stefan Kost  <ensonic@users.sf.net>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstclock.h:
	* gst/gstdebugutils.c:
	* gst/gstinfo.c:
	  Now hide the different clock stuff behind a macro.

2007-11-28  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	* gst/gstdebugutils.c:
	* gst/gstinfo.c:
	  Apply the posix-timer check from #361155. Conditionally use the posix
	  timer for logging. This gives better timestamp precission, less
	  overhead and no ntp jitter.

2007-11-28  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gstminiobject.c: (gst_mini_object_get_type),
	(gst_mini_object_class_init), (gst_mini_object_copy_default),
	(gst_mini_object_finalize), (gst_mini_object_copy),
	(gst_mini_object_is_writable), (gst_mini_object_make_writable),
	(gst_mini_object_replace), (param_mini_object_validate),
	(gst_param_spec_mini_object_get_type):
	Some cleanup and checking against invalid function parameters.

2007-11-28  Wim Taymans  <wim.taymans@gmail.com>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstclock.h:
	* tests/check/gst/gstsystemclock.c: (GST_START_TEST),
	(gst_systemclock_suite):
	Start merging in the easy bits of #361155, the monotonic clock patch.
	This one adds a few handy macros with docs and a testsuite.

2007-11-27  Wim Taymans  <wim.taymans@gmail.com>

	* plugins/elements/gstfilesink.c: (gst_file_sink_event):
	Be a bit smarter when seeking, like, don't try to do a seek when it's
	not needed. This avoids errors when the file is not seekable.
	Fixes #499771.

2007-11-26  Stefan Kost  <ensonic@users.sf.net>

	* docs/gst/gstreamer-docs.sgml:
	* docs/gst/gstreamer-sections.txt:
	* docs/gst/gstreamer.types.in:
	* gst/Makefile.am:
	* gst/gst.h:
	* gst/gstpreset.c:
	* gst/gstpreset.h:
	* plugins/elements/gstqueue.c:
	  Due to popular request remove preset interface again. :-(.

2007-11-22  Stefan Kost  <ensonic@users.sf.net>

	* tools/gst-inspect.c:
	  Print 'default value' for enums and flags too.

2007-11-22  Stefan Kost  <ensonic@users.sf.net>

	* docs/random/ensonic/profiling.txt:
	  More ideas.

	* gst/gstbin.c:
	  Fix typo and give better log output.

	* gst/gstdebugutils.c:
	* gst/gstdebugutils.h:
	  More ideas, make graphs a bit smaller and fix param name in macro.

2007-11-22  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstpreset.c:
	  Try harder to use the return value from fgets().

2007-11-21  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstpreset.c:
	  For theses two fgets we handle the error below.

2007-11-21  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_send_event):
	Only send upstream events upstream. Fixes #498746.

2007-11-21  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: Laurent Glayal <spglegle at yahoo dot fr>

	* plugins/elements/gstidentity.c: (gst_identity_class_init),
	(gst_identity_init), (gst_identity_transform_ip),
	(gst_identity_set_property), (gst_identity_get_property):
	* plugins/elements/gstidentity.h:
	Add property to disable handoff signal emission. Fixes #498694.
	API: GstIdentity::signal-handoffs

2007-11-21  Julien Moutte  <julien@fluendo.com>

	* docs/faq/gst-uninstalled: Yet another missing library for the
	uninstalled script (fft)

2007-11-21  Jan Schmidt  <jan.schmidt@sun.com>

	* docs/faq/developing.xml:
	Add a question about how to submit new translations.

	* docs/random/release:
	Update the contact email address for the Translation Project

	* plugins/elements/gstfdsrc.c:
	The parent_class for fdsrc is pushsrc, not GstElement.

2007-11-20  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstpreset.c:
	  Plug a leak and fix saving.

2007-11-20  Sebastian Dröge  <slomo@circular-chaos.org>

	* docs/gst/gstreamer-sections.txt:
	Add new gst_preset__get_property_names() function to the docs
	to fix the build.

2007-11-20  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstpreset.c:
	* gst/gstpreset.h:
	  Change _get_preset_names API to return a strv with copies. Add
	  _get_property_names to allow implementations to filter and provide
	  good default implementation.

2007-11-20  Julien MOUTTE  <julien@moutte.net>

	* docs/faq/gst-uninstalled: Add another library to the uninstalled
	script (sdp).

2007-11-19  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstpreset.c:
	  More cleanups, docs, and TODOs from comments that now slowly come in.

2007-11-19  Julien MOUTTE  <julien@moutte.net>

	* docs/faq/gst-uninstalled: Add new base libraries in the LD 
	search path.

2007-11-19  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstpreset.c:
	  Fix bogus warning and make the property type specific code more
	  similar.

2007-11-19  Julien MOUTTE  <julien@moutte.net>

	* gst/gstpreset.c: (gst_preset_default_create_preset): Make
	it build on OS X.

2007-11-19  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstbin.c: (gst_bin_class_init), (gst_bin_init),
	(gst_bin_add_func), (gst_bin_remove_func),
	(gst_bin_change_state_func), (gst_bin_continue_func):
	Change email, cleanups add some more debug and comments.
	Also set bus and clock on new elements when the pipeline was in error.

2007-11-18  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstbin.c:
	* gst/gstdebugutils.c:
	  Fix build with --disable-gst-debug. Fixes #497859.
	  Spotted by Sameer Naik.

2007-11-17  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstevent.c:
	  Little documentation improvment.

	* gst/gstpreset.c:
	  More TODO cleanups. Remove c++ comments.

	* libs/gst/controller/gstcontroller.c:
	  Add TODO and use quark from static string.

	* tests/check/gst/gstmessage.c:
	* tests/check/gst/gststructure.c:
	  Use quark from static string.

2007-11-17  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstpreset.c:
	  Add some comments and TODOs.

	* gst/gstpreset.h:
	  Add padding for future changes.

	* plugins/elements/gstqueue.c:
	  Implement the iface.	  

2007-11-17  Stefan Kost  <ensonic@users.sf.net>

	* docs/gst/gstreamer-docs.sgml:
	* docs/gst/gstreamer-sections.txt:
	* docs/gst/gstreamer.types.in:
	* gst/Makefile.am:
	* gst/gst.h:
	* gst/gstpreset.c:
	* gst/gstpreset.h:
	  Add the preset interface (Fixes #396779). Do some doc cleanups along.

2007-11-16  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:

	Back to CVS

=== release 0.10.15 ===

2007-11-15  Jan Schmidt <jan.schmidt@sun.com>

	* configure.ac:
	  releasing 0.10.15, "October"

2007-11-14  Jan Schmidt  <jan.schmidt@sun.com>

	* win32/vs6/libgstreamer.dsp:
	Convert line endings back to DOS.

2007-11-13  Stefan Kost  <ensonic@users.sf.net>

	* docs/design/draft-tagreading.txt:
	* docs/random/ensonic/profiling.txt:
	Update fast tagreading draft and performance profiling ideas.

2007-11-09  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_set_last_buffer):
	Don't hold the object lock when unreffing a buffer because it could
	cause a deadlock when the finalize function wants to grab the object
	lock too. Fixes #495133.

2007-11-09  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstsegment.c: (gst_segment_set_newsegment_full),
	(gst_segment_to_stream_time), (gst_segment_to_running_time):
	Also accumulate time correctly when doing reverse playback. Fixes
	#488201,
	When converting to running and stream time, use default values for
	start/stop/time/accum when comparing different formats. Fixes #494245.

	* libs/gst/base/gstbasesink.c: (gst_base_sink_get_sync_times):
	Do running/stream time in TIME format.

	* tests/check/gst/gstsegment.c: (GST_START_TEST),
	(gst_segment_suite):
	2 new unit tests for segment accumulation.

2007-11-07  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gst.c: (init_pre):
	* gst/gstdebugutils.c: (priv_gst_dump_dot_dir), (debug_dump_element),
	  (_gst_debug_bin_to_dot_file):
	  Move getenv() back into gst_init, so everyone can live happily
	  ever after. Make sure the symbol isn't exported though.

2007-11-06  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Sebastien Moutte  <sebastien moutte net>

	* win32/common/gstenumtypes.c:
	* win32/common/gstenumtypes.h:
	  Update enum types.

	* win32/vs6/libgstreamer.dsp:
	  Update vs6 project files (#494343).

2007-11-06  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_default_query),
	(gst_base_src_perform_seek), (gst_base_src_default_event),
	(gst_base_src_set_flushing), (gst_base_src_activate_push),
	(gst_base_src_activate_pull):
	Unify flushing code, remove some old unlock code that is no longer used.
	Take the streaming lock when seeking to avoid races. Fixes #492729.
	Added some more comments.

2007-11-06  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gst.c: (_gst_disable_segtrap):
	  Make  _gst_disable_segtrap static, it's only used in gstplugin.c and
	  we can use gst_segtrap_is_enabled() there now that we have that API.
	  Move _gst_debug_dump_dot_dir into gstdebugutils.c, there's no reason
	  to do the getenv here (and export the variable).

	* gst/gstdebugutils.c: (debug_dump_element),
	  (_gst_debug_bin_to_dot_file), (_gst_debug_bin_to_dot_file_with_ts):
	  Don't use VLAs which is a C99ism and throws off MSVC (#493983).

	* gst/gstinfo.c: (_priv_gst_info_start_time), (_gst_debug_init),
	  (gst_debug_log_default):
	  Rename _gst_info_start_time to priv_gst_info_start_time so it
	  doesn't get exported (was never in any header).

	* gst/gstplugin.c: (_gst_plugin_fault_handler_setup),
	  (gst_plugin_loading_mutex):
	  Make static mutex gst_plugin_loading_mutex really static (was never
	  in any header), and use gst_segtrap_is_enabled() instead of
	  _gst_disable_segtrap.

	* gst/gsttrace.c: (_gst_trace_default):
	  Make local _gst_trace_default static (was never in any header).

2007-11-06  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Ole André Vadla Ravnås  <ole.andre.ravnas@tandberg.com>

	* win32/common/libgstbase.def:
	* win32/common/libgstcontroller.def:
	* win32/common/libgstdataprotocol.def:
	* win32/common/libgstnet.def:
	* win32/common/libgstreamer.def:
	  Add more missing symbols, remove some duplicates, and sort
	  as the 'sort' command sorts it (partially fixes #493983).

2007-11-06  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstelement.c: (gst_element_set_state_func):
	Only change the state cookie if a different state was set on the
	element. See #492729.

2007-11-06  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstvalue.c:
	  Remove unused and uninitialised type variables that were still
	  exported for some reason (they were never in any header files
	  though).

2007-11-06  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_get_sync_times),
	(gst_base_sink_do_sync), (gst_base_sink_preroll_object),
	(gst_base_sink_event), (gst_base_sink_get_position_last),
	(gst_base_sink_get_position_paused), (gst_base_sink_get_position),
	(gst_base_sink_change_state):
	Don't try to report a 0 position when we don't know, return -1 and FALSE
	instead. This mostly happens when we are prerolling.
	Make sure we can report the right position before we post the ASYNC_DONE
	message so that a message handler can query position without races.

	* tests/check/generic/sinks.c: (send_eos), (GST_START_TEST),
	(async_done_handoff), (async_done_func), (send_buffer),
	(async_done_eos_func), (gst_sinks_suite):
	Add two tests for the above.

2007-11-06  Wim Taymans  <wim.taymans@gmail.com>

	* MAINTAINERS:
	Update with new email address.

	* docs/design/part-TODO.txt:
	Add some more info about future pad-block and negotiation changes.

	* docs/design/part-buffering.txt:
	Add some ideas about buffering reporting.

2007-11-06  Jan Schmidt  <jan.schmidt@sun.com>

	* tests/check/gst/gstobject.c:
	Disable silly racy test that always fails on this combination of CPU
	and kernel.

2007-11-03  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Murray Cumming  <murrayc@murrayc.com>

	* gst/gstobject.c:
	  Corrected the registration of the parent-set and parent-unset
	  signals: The parameter is a GstObject, not a GObject (#493134).

2007-11-02  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gst_private.h:
	* gst/gstbuffer.h:
	* gst/gstevent.h:
	* gst/gstformat.h:
	* gst/gstmessage.h:
	* gst/gstplugin.h:
	* gst/gstquery.h:
	* gst/gsttaglist.h:
	* gst/gstvalue.h:
	  Move declaration of private _gst_foo_initialize() functions into
	  our private header file where they should have been all along.

2007-11-02  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/plugins/gstreamer-plugins-sections.txt:
	* gst/gstdebugutils.h:
	* gst/gstxml.h:
	* plugins/elements/gstqueue.c:
	  gtk-doc fixes; trailing-comma-in-enum fix.

2007-11-02  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gst.c: (gst_deinit):
	  Clean up on deinit (not the external ones though, doesn't seem to be
	  needed for some reason).

2007-11-01  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstinfo.h: (GST_DEBUG_CATEGORY_EXTERN):
	  Remove __declspec(dllimport) for MSVC that was copied over into core
	  from a plugin, obviously without ever having been tested (note the
	  single underscore in _declspec in the initial commit), and that doesn't
	  really make sense.  See #492077.

2007-11-01  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gst.c: (init_post):
	* gst/gstevent.c: (_gst_event_initialize):
	* gst/gstquery.c: (_gst_query_initialize):
	* libs/gst/dataprotocol/dataprotocol.c (gst_dp_init):
	  g_type_class_ref() other types as well, see #349410 and #64764.

	* gst/gstbuffer.c: (_gst_buffer_initialize):
	* gst/gstmessage.c: (_gst_message_initialize):
	  Simplify existing g_type_class_ref().

2007-11-01  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstformat.c: (_gst_format_initialize):
	  g_type_class_ref() our GstFormat type to make sure we avoid the
	  thread-unsafe bits of the GObject/GType system, ie. bug #349410 and
	  bug #64764. Should fix intermittent tee unit test failures (#474823).

2007-11-01  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/elements/tee.c: (test_num_buffers):
	  Simplify, simplify, simplify - or not.  Rewrite unit test
	  not to use gst_parse_launch(); allow N sub-streams. Increasing
	  the number of sub-streams seems to reproduce #474823 more easily.

2007-10-31  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Ole André Vadla Ravnås  <ole.andre.ravnas@tandberg.com>

	* gst/gsttrace.c:
	* libs/gst/net/gstnetclientclock.c: (gst_net_client_clock_new):
	* libs/gst/net/gstnettimepacket.c: (gst_net_time_packet_send):
	* libs/gst/net/gstnettimeprovider.c: (gst_net_time_provider_new):
	  Fix a couple of missing includes for MSVC2005 and a C99 issue. Also,
	  starting with 2.14.0, GLib won't provide a pipe() macro any longer,
	  so use _pipe() directly (#492077).

	* win32/common/dirent.c: (_treaddir):
	  Add a couple of casts to make it build without warnings with MSVC.

	* win32/common/libgstreamer.def:
	  Add some more symbols that need to be exported.

2007-10-31  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/examples/metadata/read-metadata.c: (message_loop):
	  Use _KEEP as merge mode rather than _KEEP_ALL, so tags
	  arriving in a second or third tag message are added to
	  the tag list as well.

2007-10-31  Stefan Kost  <ensonic@users.sf.net>

	* libs/gst/base/gstbasesrc.c:
	  Its "Since:" and not "@Since:". And remove an superflous cast.

2007-10-30  Wim Taymans  <wim.taymans@gmail.com>

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/base/gstbasesink.c: (gst_base_sink_class_init),
	(gst_base_sink_get_last_buffer), (gst_base_sink_set_last_buffer),
	(gst_base_sink_get_property), (gst_base_sink_render_object),
	(gst_base_sink_preroll_object),
	(gst_base_sink_queue_object_unlocked), (gst_base_sink_event),
	(gst_base_sink_change_state):
	* libs/gst/base/gstbasesink.h:
	Add a new last-buffer property that contains the last buffer used in
	basesink for preroll or rendering. useful for making snapshots.
	API: gst_base_sink_get_last_buffer()
	API: GstBaseSink::last-buffer

2007-10-29  Stefan Kost  <ensonic@users.sf.net>

	* docs/gst/running.xml:
	* gst/gst.c:
	* gst/gstdebugutils.c:
	* gst/gstdebugutils.h:
	* tools/gst-launch.c:
	  Improve bin graph dumping, by using the envvar to specify a path.
	  Rename the envvar to GST_DEBUG_DUMP_DOT_DIR.

2007-10-29  Tim-Philipp Müller  <tim at centricular dot net>

	* plugins/elements/gsttypefindelement.c:
	  (gst_type_find_element_handle_event),
	  (gst_type_find_element_activate):
	  Post special error message if we can't determine the type of a stream
	  because it's empty.

2007-10-29  Stefan Kost  <ensonic@users.sf.net>

	* docs/gst/running.xml:
	* gst/gstdebugutils.c:
	  Document new env-var. Add one log-line after dumpng a graph.

2007-10-26  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	  Ugly hack to put the (recently removed and non-portable, apparently)
	  -Wl,--export-dynamic back into libgstcheck's LDFLAGS when we're using
	  GNU ld, because without that 'make check' fails miserably on my debian
	  stable box.  Someone with more knowledge of linker intricacies and
	  portability issues than me fix this properly please.

2007-10-25  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_event):
	Reset last seen position after flushing so that we don't report the old
	position anymore.

2007-10-25  Jan Schmidt  <Jan.Schmidt@sun.com>

	* gst/gstelementfactory.c: (gst_element_register):
	* gst/gsturi.h:
	Patch from Alessandro Decina adding get_type_full and
	get_protocols_full private vfuncs to the URIHandler interface
	to allow bindings to support creating URI handlers. 
	Partially fixes: #339279
	API: GstURIHandlerInterface::get_type_full
	API: GstURIHandlerInterface::get_protocols_full

2007-10-25  Jan Schmidt  <Jan.Schmidt@sun.com>

	* plugins/elements/gstmultiqueue.c: (gst_multi_queue_set_property),
	(gst_multi_queue_request_new_pad), (gst_single_queue_flush),
	(gst_multi_queue_loop), (gst_multi_queue_sink_activate_push):
	Make it so that pads are considered linked until a buffer is pushed
	and discovered otherwise. This avoids problems with decodebin2 hanging
	after a seek in the filesrc ! decodebin2 name=d ! fakesink d. ! fakesink
	case.

	Make sure we lock the multiqueue when updating the max-size properties.
	
	Fix a crash on Solaris in a debug statement in get_request_pad that
	passes a NULL string to GST_DEBUG. 

	* tests/check/elements/multiqueue.c: (mq_dummypad_chain),
	(run_output_order_test):
	Fix the test to allow the first buffer on not-linked pads to come out
	of sequence while multiqueue discovers that they are not-linked.

2007-10-25  Jan Schmidt  <Jan.Schmidt@sun.com>

	* configure.ac:
	* libs/gst/check/Makefile.am:
	Use a custom export symbol regex for libgstcheck, as it needs
	to export symbols that don't match the standard GStreamer gst_*
	pattern, and  --export-dynamic is not portable (only works on 
	GNU ld)

	* libs/gst/check/gstcheck.c: (gst_check_setup_src_pad),
	(gst_check_setup_sink_pad):
	Make sure to pass a message parameter to the fail_* macros.

	* tests/check/gst/gstinfo.c: (GST_START_TEST):
	Fix some compiler warnings.

2007-10-25  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/gst/gststructure.c: (test_to_string):
	  Disable test that checks that white spaces are not allowed
	  in structure names or field names, since we need to
	  support that for now for backwards compatibility reasons.

2007-10-24  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/gst/gstreamer-sections.txt:
	* gst/gsttaglist.c:
	* gst/gsttaglist.h:
	  API: add GST_TAG_ARTIST_SORTNAME
	  API: add GST_TAG_ALBUM_SORTNAME
	  API: add GST_TAG_TITLE_SORTNAME
	  Add tag variants for sorting (#414539).

2007-10-24  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gststructure.c:
	  Also allow white space for names so we don't break
	  backwards compatibility.

2007-10-22  Wim Taymans  <wim.taymans@gmail.com>

	* docs/design/part-TODO.txt:
	* docs/design/part-segments.txt:
	* docs/design/part-streams.txt:
	Small updates.

2007-10-22  Edgard Lima  <edgard.lima@indt.org.br>

	* docs/gst/gstreamer-sections.txt:
	 Fixed documentation from my previous commit (added new API add
	 gst_value_set_structure(), add gst_value_get_structure() and
	 GST_VALUE_HOLDS_STRUCTURE).

2007-10-22  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstdebugutils.c:
	  Reflow code to fix uninitialized variable warning.

2007-10-22  Edgard Lima  <edgard.lima@indt.org.br>

	* gst/gstcaps.c: (gst_caps_to_string),
	(gst_caps_from_string_inplace):
	* gst/gststructure.c: (gst_structure_get_abbrs),
	(gst_structure_to_string), (gst_structure_from_string):
	* gst/gstvalue.c: (gst_value_set_structure),
	(gst_value_get_structure), (gst_value_serialize_structure),
	(gst_value_deserialize_structure), (_gst_value_initialize):
	* gst/gstvalue.h:
	* tests/check/gst/gststructure.c: (GST_START_TEST),
	(gst_structure_suite):
	* tests/check/gst/gstvalue.c: (GST_START_TEST):
	 Added GstStructure to gst_value_table and its related functions.
	 Changed gst_structure_to_string to print ';' in the end.
	 Changed gst_caps_to_string to not print ';' beteween its
	 fields (structures) anymore and remove the lastes ';' from latest
	 structure. Now it is possible to have nested structures.
	 In addition, backward compatibilty is assured by accepting '\0' as
	 end delimiter. Fixes: #487969.
	 API: add gst_value_set_structure()
	 API: add gst_value_get_structure()
	 API: add GST_VALUE_HOLDS_STRUCTURE

2007-10-19  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstbus.c:
	  When no GSource callback has been set up, tell developer
	  to use a function that actually exists.

2007-10-17  Stefan Kost  <ensonic@users.sf.net>

	* docs/gst/gstreamer-sections.txt:
	* gst/Makefile.am:
	* gst/gst.c:
	* gst/gst.h:
	* gst/gstdebugutils.c:
	* gst/gstdebugutils.h:
	* gst/gstinfo.c:
	* gst/gstinfo.h:
	* tools/gst-launch.c:
	  Allow dumping pipelines as dot graphs. Fixes #456573.

2007-10-16  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gststructure.c:
	  Allow '+' as well, it can be part of media or mime types
	  such as image/svg+xml.

2007-10-16  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstbus.c:
	* gst/gstbus.h:
	  API: add gst_bus_pop_filtered
	  API: add gst_bus_timed_pop_filtered
	  Two new functions for waiting for specific message types on the
	  bus for a specified amount of time without iterating any main
	  loops or main contexts.

	* tests/check/gst/gstbus.c:
	  Some tests for the new functions.

2007-10-16  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/libs/gstreamer-libs-sections.txt:
	  Make gtk-doc ignore stuff it should ignore.

2007-10-16  Tim-Philipp Müller  <tim at centricular dot net>

	* libs/gst/check/gstcheck.c:
	* libs/gst/check/gstcheck.h:
	  Allow runtime selection of unit tests to run via the GST_CHECKS
	  environment variable (test case function names, comma-separated).

2007-10-16  Stefan Kost  <ensonic@users.sf.net>

	* gst/gststructure.c:
	* tests/check/gst/gststructure.c:
	  Revert serialisation change and constrain structure-names after
	  consensus on irc. Update api documentation to reflect the change.

2007-10-16  Stefan Kost  <ensonic@users.sf.net>

	* gst/gststructure.c:
	  Improve serialization and fix tests.

	* tests/check/gst/gststructure.c:
	  Add another test that covers why I actually did the previous structure
	  change.

2007-10-15  Wim Taymans  <wim.taymans@gmail.com>

	* tools/gst-inspect.c: (print_element_info):
	Don't crash when inspecting an element.

2007-10-15  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/gst/gststructure.c:
	  Add unit test for escaping of structure name when serialising
	  and deserialising to/from strings.

2007-10-15  Wim Taymans  <wim.taymans@gmail.com>

	* plugins/elements/gstmultiqueue.c: (gst_single_queue_push_one),
	(gst_single_queue_new):
	* plugins/elements/gstqueue.c: (gst_queue_init),
	(gst_queue_push_one):
	Fix queue negotiation. If acceptcaps unconditionally returns TRUE,
	upstream is tricked into thinking it can suggest a format downstream
	while downstream does not support that format. The real problem is that
	core calls acceptcaps when pushing a buffer with new caps, for which we
	do a little workaround by setting the caps on the srcpad ourselves
	before pushing the buffer (until this is figured out). Fixes #486758.

2007-10-15  Stefan Kost  <ensonic@users.sf.net>

	* gst/gststructure.c:
	* gst/gstvalue.c:
	  Add some more comments and debug output. Quote structure name to fix
	  deserialisation of some strings.

2007-10-15  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstbuffer.h:
	  Define GST_BUFFER_FLAG_GAP more strictly to enable optimizations based
	  on it. Fix docs for GST_BUFFER_MALLOCDATA and GstBuffer.malloc_data.

2007-10-15  Stefan Kost  <ensonic@users.sf.net>

	* tools/gst-inspect.c:
	  Save approx. 400 1 byte allocs when printing. Use API to acces element
	  details.

	* tools/gst-run.c:
	  Avoid a strdup.

	* tools/gst-xmlinspect.c:
	  Use API to acces element details.

2007-10-15  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstinfo.c:
	  Fix some spelling errors.

2007-10-14  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstbin.c: (bin_handle_async_done):
	Correctly set the next state if all of our async children commited their
	state. This makes sure we can actually cancel the state change in
	progress. Fixes a regression in Rhythmbox when seeking.

2007-10-13  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstbin.c:
	  Don't shadow local variable.

	* gst/gstinfo.c:
	  Don't shadow global function name.

2007-10-13  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstelementfactory.c:
	* gst/gstpluginfeature.c:
	* gst/gstpluginfeature.h:
	* gst/gstregistrybinary.c:
	* gst/gstregistryxml.c:
	* gst/gsttypefind.c:
	  Use already-interned string for the private GstPluginFeature
	  plugin_name field.

2007-10-10  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/libs/gstreamer-libs-sections.txt:
	  Add new API to docs; fixes the build.

2007-10-10  Wim Taymans  <wim.taymans@gmail.com>
	
	Patch inspired by: Benoit Fouet <benoit dot fouet at purplelabs dot com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_wait_eos),
	(gst_base_sink_event):
	* libs/gst/base/gstbasesink.h:
	Add function to wait for EOS, subclasses can use this to correctly wait
	for devices to drain before performing the EOS logic. Fixes #485343.
	API: gst_base_sink_wait_eos()

2007-10-10  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstplugin.h:
	  Cast description string constants in GST_PLUGIN_DEFINE macros
	  to a (gchar*) to make C++ code using these macros compile
	  without warning with g++-4.2 (see #462737).  Even if slightly
	  ugly, this seems preferable to putting the description strings
	  into the GLib quark table or making the structure member a
	  const gchar * and doing casts in core code that allocs and
	  frees these strings, or requiring a cast in the C++ code.

2007-10-09  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstinfo.h:
	  Use __FUNCTION__ instead of __PRETTY_FUNCTION__, it's silly
	  to print the entire class/function signature into the log
	  file for C++ code.  This only affects C++ code, for C code
	  everything remains the same.

2007-10-09  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstbin.c: (remove_from_queue):
	Work around a problem with pipelines containing (semi)loops until a
	proper, more complicated solution is ready. See #475455.

2007-10-09  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstplugin.c:
	* gst/gstplugin.h:
	* gst/gstregistrybinary.c:
	* gst/gstregistryxml.c:
	  Put more strings into the GLib quark table. No need to keep
	  a hundred-something copies of identical version strings,
	  license strings, package name strings and package origin
	  strings around. 

2007-10-09  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/manual/advanced-dataaccess.xml:
	  Don't imply that it's okay to unconditionally change
	  buffer data or buffer metadata in a pad probe callback,
	  and a bunch of other comments. Fixes #430031.

2007-10-08  Tim-Philipp Müller  <tim at centricular dot net>

	* win32/common/gstenumtypes.c:
	* win32/common/gstenumtypes.h:
	* win32/common/gstversion.h:
	  Update generated files.

2007-10-08  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/manual/advanced-autoplugging.xml:
	  Prefix section with broken code with a warning (see #342432).

2007-10-08  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/manual/appendix-integration.xml:
	* docs/manual/basics-init.xml:
	  Call g_thread_init() before g_option_context_new() to
	  avoid warnings. Spotted by Ritesh Khadgaray. Fixes #484225.

2007-10-08  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_preroll_queue_flush),
	(gst_base_sink_queue_object_unlocked),
	(gst_base_sink_queue_object), (gst_base_sink_event),
	(gst_base_sink_needs_preroll), (gst_base_sink_chain_unlocked):
	When we received EOS and are waiting for when to post the EOS message,
	our state is prerolled and we should not return ASYNC.
	Reorganize some code paths to implement this behavior.

	* tests/check/generic/sinks.c: (send_eos), (GST_START_TEST),
	(gst_sinks_suite):
	Add unit test to verify above EOS fix.

2007-10-08  Wim Taymans  <wim.taymans@gmail.com>

	* plugins/elements/gsttypefindelement.c:
	(gst_type_find_element_have_type), (gst_type_find_element_init),
	(gst_type_find_element_setcaps), (gst_type_find_element_chain):
	Move detecting the input caps of the sinkpad to the setcaps function.
	This allows us to update the output caps when we receive new input caps
	instead of always using the first detected caps.

2007-10-08  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_event),
	(gst_base_sink_get_position):
	Don't try to preroll non-async elements after a flush.
	Subtract latency form clock times when reporting position.

2007-10-05  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstpad.c: (gst_pad_pause_task):
	* gst/gstutils.c:
	Small comment and documentation update.

2007-10-05  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_wait_playing),
	(gst_base_src_set_live), (gst_base_src_is_live),
	(gst_base_src_query_latency), (gst_base_src_perform_seek),
	(gst_base_src_default_event), (gst_base_src_wait),
	(gst_base_src_do_sync), (gst_base_src_get_range),
	(gst_base_src_pad_get_range), (gst_base_src_loop),
	(gst_base_src_unlock), (gst_base_src_unlock_stop),
	(gst_base_src_set_flushing), (gst_base_src_set_playing),
	(gst_base_src_activate_push), (gst_base_src_activate_pull),
	(gst_base_src_change_state):
	Rework the locking of basesrc in a similar fashion to basesink. We
	basically have one lock (LIVE_LOCK) protecting the dataflow. This allows
	us to handle live sources and semi live ones much better.
	Simplify flushing.
	Fix unlocking when seeking, shutting down and pausing in live sources.

2007-10-05  Wim Taymans  <wim.taymans@gmail.com>

	* tests/check/pipelines/simple-launch-lines.c: (run_pipeline):
	Fix compilation again.

2007-10-03  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstelement.c:
	  Use meaningful categories for the logs to clean the default one.

2007-10-03  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/pipelines/cleanup.c:
	  Print message name and not just number.

2007-10-03  Stefan Kost  <ensonic@users.sf.net>

	* docs/design/draft-tagreading.txt:
	  Add some more thoughts.

2007-10-03  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/pipelines/simple-launch-lines.c:
	  Print message name and not just number.

2007-10-03  Stefan Kost  <ensonic@users.sf.net>

	* libs/gst/base/gsttypefindhelper.c:
	  Speedup typefinding. This is work in progress (see #459862).

2007-10-03  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstplugin.c:
	  Fix docs that mention 'plugin_desc' instead of 'gst_plugin_desc'.
	  Spotted by Josep Torra Valles <josep@fluendo.com>.

2007-10-03  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstclock.h:
	  Fix up broken GST_CLOCK_FLAGS macro and GstClock docs. The flags
	  field has moved to GstObject.

2007-10-02  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_do_sync),
	(gst_base_src_get_range), (gst_base_src_change_state):
	Call unlock for live sources so that they can't get stuck in _create and
	produce a buffer before they are set back to PLAYING.

2007-10-02  Edward Hervey  <bilboed@bilboed.com>

	* plugins/elements/gstqueue.c: (gst_queue_locked_enqueue),
	(gst_queue_locked_dequeue):
	Comment the segment-related code... in the PROPER function.
	See #482147 and my commit from yesterday.

2007-10-01  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_change_state):
	Also initialize the counter that calculates the first timestamp on a
	buffer correctly for non-live sources.

2007-10-01  Edward Hervey  <bilboed@bilboed.com>

	* plugins/elements/gstqueue.c: (gst_queue_locked_dequeue):
	Disable code that's breaking the current-time-level reporting.
	See #482147

2007-09-30  Sebastian Dröge  <slomo@circular-chaos.org>

	* docs/gst/gstreamer-sections.txt:
	Add M_PI and IMPORT_SYMBOL to the private part of the GstInfo section
	as they shouldn't show up. Fixes the docs build.

2007-09-29  Sebastien Moutte  <sebastien@moutte.net>
	
	* gst/gstinfo.h:
	Add an explicit variable importation needed on VS6 (only for MSC_VER)
	Define M_PI which is used in files which are including gstinfo.h. 
	VS6 includes doesn't define it.
	* win32/common/libgstbase.def:
	* win32/common/libgstcontroller.def:
	* win32/common/libgstreamer.def:
	Add new exported functions and variables.
	* win32/vs6/libgstcontroller.dsp:
	* win32/vs6/libgstreamer.dsp:
	Update the list of files to build.
	
2007-09-28  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: Felipe Contreras <felipe dot contreras at gmail dot com>

	* plugins/elements/gstqueue.c: (update_time_level), (apply_buffer),
	(gst_queue_locked_dequeue), (gst_queue_handle_sink_event),
	(gst_queue_chain), (gst_queue_loop), (gst_queue_src_activate_push):
	Improve debugging. Fixes #480858.

2007-09-28  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: Felipe Contreras <felipe dot contreras at gmail dot com>

	* plugins/elements/gstqueue.c: (gst_queue_handle_sink_event):
	First patch of code cleanups, use the macros and right arguments in the
	macros to signal and lock the queue. See #480858.

2007-09-26  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstbus.c: (poll_func):
	Improve debugging when dealing with _poll().

2007-09-26  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstregistryxml.c:
	  Fix memory leak I introduced a few days ago.

2007-09-26  Michael Smith <msmith@fluendo.com>

	* gst/gstbuffer.c: (gst_buffer_finalize):
	  Make it once again possible to free GstBuffers in the default
	  build.
	  The poisoning scribbles on parts of the miniobject we need in
	  order to free it.
	  Fixes #480341

2007-09-25  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/gst/gstreamer-sections.txt:
	* gst/gsttaglist.c:
	* gst/gsttaglist.h:
	API: add GST_TAG_COMPOSER, fixes #459809.

2007-09-24  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gstplugin.c:
	* gst/gstplugin.h:
	Add the 3-clause BSD license and the MIT/X11 license to the license
	list. Fixes #479784.

2007-09-24  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/faq/getting.xml:
	  Add Q+A about different GStreamer versions (#364056).

2007-09-24  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_query_latency),
	(gst_base_sink_event), (gst_base_sink_change_state):
	Return correct gboolean from query function.

2007-09-24  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_query_latency),
	(gst_base_sink_event), (gst_base_sink_query),
	(gst_base_sink_change_state):
	Simplify latency query.
	When not synchronizing, we can report latency without querying the peer
	element.

2007-09-24  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstobject.h:
	* gst/gstvalue.c:
	Fix small typos in the docs.

2007-09-24  Wim Taymans  <wim.taymans@gmail.com>

	* docs/design/draft-latency.txt:
	* docs/design/draft-push-pull.txt:
	* docs/design/draft-tagreading.txt:
	* docs/design/part-MT-refcounting.txt:
	* docs/design/part-activation.txt:
	* docs/design/part-block.txt:
	* docs/design/part-element-source.txt:
	* docs/design/part-events.txt:
	* docs/design/part-gstbin.txt:
	* docs/design/part-gstelement.txt:
	* docs/design/part-gstobject.txt:
	* docs/design/part-gstpipeline.txt:
	* docs/design/part-messages.txt:
	* docs/design/part-preroll.txt:
	* docs/design/part-push-pull.txt:
	* docs/design/part-qos.txt:
	* docs/design/part-query.txt:
	* docs/design/part-scheduling.txt:
	* docs/design/part-seeking.txt:
	* docs/design/part-segments.txt:
	* docs/design/part-states.txt:
	Documentation updates and typo fixes.

2007-09-23  Tim-Philipp Müller  <tim at centricular dot net>

	* plugins/elements/gstfakesink.c:
	  Add some debug text to error message to indicate that
	  we errored out on request.

	* tools/gst-launch.c:
	  When the state change to PLAYING fails, check for an
	  error message on the bus and print it.

2007-09-22  Thomas Vander Stichele  <thomas at apestaart dot org>

	translated by: Jorge González González <aloriel@gmail.com>

	* po/LINGUAS:
	* po/es.po:
	  Added Spanish translation.

2007-09-21  Wim Taymans  <wim.taymans@gmail.com>

	* plugins/elements/gstqueue.c: (gst_queue_push_one):
	Fix printf arguments.

2007-09-20  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/generic/states.c:
	  Improved state change unit test.

2007-09-20  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstbin.h:
	  Move priv to the right place.

	* gst/gstsystemclock.c:
	  Add FIXME: and improve log.

	* tests/check/Makefile.am:
	* tests/examples/manual/Makefile.am:
	  Work with all types of registries.

2007-09-19  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_send_event):
	Don't unref the event after pushing it. Fixes #478401.

2007-09-19  Stefan Kost  <ensonic@users.sf.net>

	* .cvsignore:
	* tests/examples/manual/.cvsignore:
	  Ignore registries in any format.

2007-09-19  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/glib-compat-private.h:
	  Add compatibility macro for g_intern_string() for
	  GLib-2.8 (any reason we can't just bump the
	  requirement to at least 2.10?)

	* gst/gstpadtemplate.h:
	* gst/gstelementfactory.c:
	* gst/gstregistryxml.c:
	* gst/gstregistrybinary.c:
	  Make GstStaticPadTemplate's templ_name field a const gchar * and fix
	  up the internal code accordingly.  This shouldn't be a problem, since
	  there is no reason external code could ever assume the string in such
	  a structure is dynamically allocated unless it did that itself;  the
	  use of g_strdup() is private to element factories.  The new code also
	  saves some memory by putting pad template name strings into the GLib
	  quark table instead of allocating them dynamically.
	  Declaring this field constant fixes warnings with g++-4.2 when using
	  the GST_STATIC_PAD_TEMPLATE macro in c++ code (#478092).

2007-09-19  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstelementfactory.c:
	  Release static caps. Fixes #475723.

2007-09-18  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstinfo.c:
	* gst/gstinfo.h:
	  Make some internal API take const gchar * instead of just
	  gchar * to avoid compiler warnings with g++-4.2.2 when
	  passing string constants (partially fixes #478092).

2007-09-17  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstbin.c: (bin_query_latency_fold), (gst_bin_query):
	A latency query fails when one of the sinks fail.

	* gst/gstelement.c: (gst_element_set_base_time):
	Improve debugging.

2007-09-17  Jan Schmidt - Sun Microsystems <jan.schmidt@sun.com>

	* gst/gstbin.c: (gst_bin_continue_func):
	* libs/gst/base/gstbasesrc.c: (gst_base_src_do_sync):
	* libs/gst/base/gstcollectpads.c: (gst_collect_pads_add_pad_full):
	* plugins/elements/gstmultiqueue.c: (gst_multi_queue_loop):

	Fix minor compilation warnings shown with Forte.

2007-09-17  Wim Taymans  <wim.taymans@gmail.com>

	* plugins/elements/gstqueue.c: (apply_buffer),
	(gst_queue_locked_enqueue), (gst_queue_locked_dequeue):
	Measure queue level based on the diff between head and tail timestamps
	even when pushing the first buffer.

2007-09-14  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_preroll_queue_flush),
	(gst_base_sink_event), (gst_base_sink_change_state):
	Sinks that don't preroll can always be queried for the latency.
	Don't post ASYNC start when we are not async.

2007-09-14  Wim Taymans  <wim.taymans@gmail.com>

	* plugins/elements/gstqueue.c: (gst_queue_locked_enqueue),
	(gst_queue_handle_sink_event), (gst_queue_chain),
	(gst_queue_push_one), (gst_queue_handle_src_query),
	(gst_queue_sink_activate_push), (gst_queue_src_activate_push):
	* plugins/elements/gstqueue.h:
	When downstream returns UNEXPECTED from pushing a buffer, don't try to
	push more buffers but allow pushing of EOS and NEWSEGMENT.
	Add some more debug info here and there. Fixes #476514.

2007-09-14  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_init),
	(gst_base_sink_preroll_queue_flush), (gst_base_sink_commit_state),
	(gst_base_sink_wait_preroll), (gst_base_sink_needs_preroll),
	(gst_base_sink_set_flushing), (gst_base_sink_query),
	(gst_base_sink_change_state):
	Latency query is allowed after we are prerolled. Introduce a new flag
	for this and stop abusing other variables.

2007-09-13  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_send_event):
	Push OOB events downstream when we get them in send_event. This allows
	the application to insert events in the pipeline.
	Add some more comments.

2007-09-13  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstbin.c: (gst_bin_class_init), (clear_queue),
	(do_bin_latency), (gst_bin_change_state_func):
	* gst/gstpipeline.c: (gst_pipeline_change_state):
	Move latency query from GstPipeline to GstBin so that we can also
	use it when async-handling is enabled on bins.

2007-09-13  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_query_latency),
	(gst_base_src_do_sync), (gst_base_src_change_state):
	Update docs.
	Clean up the timestamping and syncing code for pseudo live sources.

2007-09-13  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Steve Fink  <sphink gmail com>

	* docs/manual/appendix-checklist.xml:
	  Mention less -R switch in the section about debug output (#474055).

2007-09-13  Wim Taymans  <wim.taymans@gmail.com>

	* plugins/elements/gstqueue.c: (gst_queue_handle_src_query):
	Queue can latency to the pipeline up to the configured max size in time.
	Report this fact in the latency query.

2007-09-13  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Sebastien Moutte <sebastien at moutte dot net>

	* libs/gst/controller/gstinterpolation.c:
	* libs/gst/controller/gstlfocontrolsource.c:
	Use gst_guint64_to_gdouble() when converting from a uint64 or
	GstClockTime to double to fix the build on win32. Fixes #474371.

2007-09-13  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gstbuffer.c: (gst_buffer_finalize):
	Implement poisoning for GstBuffer if --enable-poisoning is specified.
	When finalizing a buffer the complete struct is filled with 0xff,
	thus making a use of the buffer after the final unref impossible.

2007-09-13  Sebastian Dröge  <slomo@circular-chaos.org>

	* tests/check/libs/controller.c: (GST_START_TEST):
	Use fail_unless_equals_int(a, b) instead of
	fail_unless_equals (a == b) to get better output on failures.

2007-09-12  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/gst/gsturi.c:
	  Also check for the other file URI variant on win32.

2007-09-12  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gsturi.c: (gst_uri_get_location):
	  If there's no hostname, we want to return 'c:/foo/bar.txt'
	  and not '/c:/foo/bar.txt' on Windows. Fixes #469402.

	* tests/check/gst/gsturi.c:
	  Unit test for the above and a few more things.

2007-09-11  Wim Taymans  <wim.taymans@gmail.com>

	* docs/design/part-live-source.txt:
	Add docs on how live sources should timestamp.

	* libs/gst/base/gstbasesrc.c: (gst_base_src_do_sync):
	Add some more debug info.
	For subclasses that are live and like to sync, add aditional startup
	latency to sync time and timestamps so that we timstamp according to the
	design doc.

2007-09-11  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstbuffer.c:
	  Also do a g_type_class_ref() for the subbuffer type in
	  the init function.

2007-09-11  Wim Taymans  <wim.taymans@gmail.com>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstpad.c: (gst_pad_peer_query):
	* gst/gstpad.h:
	Add function to perform a query on the peer of a pad.
	API: gst_pad_peer_query()

2007-09-11  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/gst/gstsystemclock.c:
	  Cleanup the test a little (use gst-logging and not g_message). Improve
	  test to check if a wait reached the target.

2007-09-11  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/libs/gstreamer-libs-sections.txt:
	  Add new API to docs and fix the build.

2007-09-10  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_class_init),
	(gst_base_src_init), (gst_base_src_set_do_timestamp),
	(gst_base_src_get_do_timestamp), (gst_base_src_set_property),
	(gst_base_src_get_property), (gst_base_src_do_sync):
	* libs/gst/base/gstbasesrc.h:
	Add property to make the basesrc timestamp buffers based on the current
	running time.
	API: GstBaseSrc::do-timestamp
	API: gst_base_src_set_do_timestamp()
	API: gst_base_src_get_do_timestamp()

2007-09-08  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/random/release:
	  Really make sure translations are up-to-date before
	  a release (#465010).

2007-09-07  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gstregistrybinary.c: (gst_registry_binary_read_cache):
	Always destroy the timer, also in error cases.

2007-09-05  Wim Taymans  <wim.taymans@gmail.com>

	* docs/manual/highlevel-xml.xml:
	Fix XML example code. Fixes #472714.

2007-09-05  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_preroll_queue_flush),
	(gst_base_sink_wait_preroll), (gst_base_sink_needs_preroll),
	(gst_base_sink_query):
	Protect eos and have_preroll with the OBJECT lock so we don't need to
	take the PREROLL lock when querying the latency. Fixes #473846.

2007-09-05  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstelement.c:
	  Give some log-messages a category.

2007-09-04  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gststructure.c:
	(gst_structure_fixate_field_nearest_fraction):
	Fix fraction list fixation code. Take the fraction with the smallest
	difference with the target instead of the first one in the list.

	* tests/check/gst/gststructure.c: (GST_START_TEST),
	(gst_structure_suite):
	Added test to verify correct fraction list fixation behaviour.

2007-09-02  Tim-Philipp Müller  <tim at centricular dot net>

	* win32/common/libgstreamer.def:
	  Export gst_bus_add_signal_watch too.

2007-08-30  Wim Taymans  <wim.taymans@gmail.com>

	* docs/libs/gstreamer-libs-sections.txt:
	Add new methods to docs.

	* libs/gst/base/gstbasesink.c: (gst_base_sink_class_init),
	(gst_base_sink_init), (gst_base_sink_set_ts_offset),
	(gst_base_sink_get_ts_offset), (gst_base_sink_set_property),
	(gst_base_sink_get_property), (gst_base_sink_wait_clock):
	* libs/gst/base/gstbasesink.h:
	Add ts-offset property to fine-tune the synchronisation.
	API: GstBaseSink::ts-offset property
	API: gst_base_sink_set_ts_offset()
	API: gst_base_sink_get_ts_offset()

2007-08-29  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_class_init),
	(gst_base_sink_init), (gst_base_sink_set_sync),
	(gst_base_sink_get_sync), (gst_base_sink_set_max_lateness),
	(gst_base_sink_get_max_lateness), (gst_base_sink_set_qos_enabled),
	(gst_base_sink_is_qos_enabled), (gst_base_sink_set_async_enabled),
	(gst_base_sink_is_async_enabled), (gst_base_sink_set_property),
	(gst_base_sink_get_property), (gst_base_sink_change_state):
	* libs/gst/base/gstbasesink.h:
	Add async property to instruct the sink never to inform the parent about
	ASYNC state changes, update docs.
	Check argument with g_return_* for the public functions.
	API: GstBaseSink::async property
	API: gst_base_sink_set_async_enabled()
	API: gst_base_sink_is_async_enabled()

2007-08-28  Wim Taymans  <wim.taymans@gmail.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_loop):
	Improve debugging.

	* libs/gst/base/gstbasesrc.c: (gst_base_src_query_latency),
	(gst_base_src_default_query), (gst_base_src_wait),
	(gst_base_src_do_sync), (gst_base_src_change_state):
	Rearrange some code so that we can add support for measuring the 
	startup latency.

2007-08-27  Stefan Kost  <ensonic@users.sf.net>

	* docs/random/ensonic/dynlink.txt:
	  More thoughs on this.

	* plugins/elements/gstcapsfilter.c:
	  Add bugzilla ticket number to FIXME comment.

2007-08-24  Wim Taymans  <wim.taymans@gmail.com>

	* docs/design/part-TODO.txt:
	* docs/design/part-block.txt:
	Update some docs.

2007-08-24  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/Makefile.am:
	  Revert patch which uses $(gst_headers) instead of $^ because it
	  breaks make dist.

2007-08-24  Jan Schmidt  <thaytan@mad.scientist.com>

	* tests/check/gst/gstbin.c: (GST_START_TEST):
	  Fix leaks in the new unit test.

2007-08-23  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gst.c:
	  Don't use GST_INFO before the debug system is actually initialised
	  (shouldn't do any harm, but won't print anything either, so we can
	  just as well remove it).

	* gst/gstinfo.h:
	  GST_CAT_LEVEL_LOG_valist(), which is our inline helper function for
	  compilers that don't support variadic macros (such as MSVC), should
	  check for debug_level <= __gst_debug_min as well, since that's the
	  function called from all the level-specific GST_CAT_*_LOG_OBJECT()
	  inline helper functions. Should improve performance a bit, but also
	  makes sure uses of GST_INFO et.al are ignored if the debugging
	  system isn't initialised yet (instead of printing an assertion
	  failure).

2007-08-23  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* gst/Makefile.am:
	  Replace some non portable makefile constructs.

2007-08-21  Stefan Kost  <ensonic@users.sf.net>

	* common/gtk-doc-plugins.mak:
	  Grrrrr. Don't remove the types file on make clean.

2007-08-20  Wim Taymans  <wim.taymans@gmail.com>

	* tools/gst-launch.1.in:
	Add colorspace to example pipeline. Fixes #458274.

2007-08-20  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/random/release:
	  The release manager should run 'make download-po' before making a
	  release to make sure translations are up-to-date.

	* po/LINGUAS:
	* po/be.po:
	* po/pl.po:
	* po/rw.po:
	  Add some new translations.

2007-08-17  Wim Taymans  <wim.taymans@gmail.com>

	* tools/gst-launch.c: (event_loop), (main):
	Don´t try to do any state management when a live pipeline posts
	buffering messages.
	Also make the buffering string translatable.

2007-08-16  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstbin.c: (is_eos), (gst_bin_add_func),
	(bin_handle_async_start), (gst_bin_handle_message_func):
	Improve debugging.
	When adding elements, insert messages into the bus of the newly added
	element and make sure the element is the source of the message. This
	allows the parent bin to intercept the message and do the
	right thing. It also avoids us posting ASYNC_START and CLOCK_PROVIDE
	messages to the app (which is not allowed).
	Update some docs.

	* tests/check/gst/gstghostpad.c: (GST_START_TEST):
	Fix testsuite so that is does not work around messages that should not
	have been posted in the first place.

2007-08-16  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstbin.c: (add_to_queue), (remove_from_queue), (clear_queue),
	(update_degree), (gst_bin_sort_iterator_next):
	Fix annoying bug in the sorted iterator where a sink that is not really
	a sink (when it has downstream links) screwed up the iterator.

	* tests/check/gst/gstbin.c: (GST_START_TEST), (gst_bin_suite):
	Unit test to verify the fix.

2007-08-16  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstmessage.h:
	Add some more docs for the messages.

	* libs/gst/base/gstbasesink.c: (gst_base_sink_commit_state),
	(gst_base_sink_query):
	Add some more debugging.

	* tools/gst-launch.c: (event_loop):
	When interrupting, don't try to set pipeline to PAUSED twice.

2007-08-14  Wim Taymans  <wim.taymans@gmail.com>

	
	* gst/gstbin.c: (gst_bin_add_func), (gst_bin_element_set_state),
	(bin_handle_async_start), (gst_bin_handle_message_func):
	Move ASYNC_START message posting to where it belongs, similar to
	async_done. 
	Don't post ASYNC_START when we are in error. 
	Post ASYNC_START when we added an async element to a bin.

2007-08-14  Julien MOUTTE  <julien@moutte.net>

	* gst/gstindex.c: (gst_index_add_association): Fix index entry
	generation from vargs. Fixes #466595.

2007-08-14  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstbin.c: (gst_bin_element_set_state):
	Always change the state of a NO_PREROLL element even if it has ASYNC
	elements inside (in case of a bin).

	* tests/check/generic/sinks.c: (GST_START_TEST), (gst_sinks_suite):
	Unit test for this case.

2007-08-13  Stefan Kost  <ensonic@users.sf.net>

	* libs/gst/check/gstbufferstraw.c:
	* libs/gst/check/gstcheck.h:
	* libs/gst/controller/gstcontroller.c:
	* libs/gst/controller/gstcontrolsource.h:
	* libs/gst/controller/gstlfocontrolsource.h:
	* plugins/elements/gstcapsfilter.h:
	* plugins/elements/gstfdsink.h:
	* plugins/elements/gstfdsrc.h:
	  Add more missing docs.

2007-08-12  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gststructure.c:
	Add Since tag to docs.

2007-08-12  Wim Taymans  <wim.taymans@gmail.com>

	* docs/gst/gstreamer-sections.txt:
	* gst/gststructure.c: (gst_structure_get_uint):
	* gst/gststructure.h:
	Add function to get uint from a structure.
	API: gst_structure_get_uint()

2007-08-12  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstcaps.c: (gst_caps_set_simple_valist),
	(gst_caps_intersect):
	Fix proper check for simple caps.

2007-08-10  Stefan Kost  <ensonic@users.sf.net>

	* docs/gst/Makefile.am:
	* docs/libs/Makefile.am:
	  Remove cruft and do some cleanups.

	* docs/gst/gstreamer-docs.sgml:
	* docs/libs/gstreamer-libs-docs.sgml:
	  Prepare for comming gtkdoc features (rebase against online docs).

2007-08-10  Michael Smith <msmith@fluendo.com>

	* docs/gst/gstreamer-sections.txt:
	  Add gst_registry_add_path to docs.

2007-08-10  Michael Smith <msmith@fluendo.com>

	* gst/gstregistry.h:
	  Add gst_registry_add_path, which was missing from this header.

2007-08-10  Tim-Philipp Müller  <tim at centricular dot net>

	* libs/gst/controller/gstlfocontrolsource.c:
	  Printf format fix.

2007-08-09  Philippe Kalaf <philippe.kalaf@collabora.co.uk>

	* libs/gst/base/gstbasesink.c:
	  Don't send an async_start message during downwards state change if 
	  target state is less than READY

2007-08-09  Thomas Vander Stichele  <thomas at apestaart dot org>

	translated by: Gabor Kelemen <kelemeng@gnome.hu>

	* po/LINGUAS:
	* po/hu.po:
	  Added Hungarian translation.

2007-08-09  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/fi.po:
	* po/it.po:
	* po/nl.po:
	* po/sv.po:
	* po/uk.po:
	  Updated translations.

2007-08-07  Jan Schmidt  <thaytan@mad.scientist.com>

	* libs/gst/controller/Makefile.am:
	Dist gstlfocontrolsourceprivate.h

2007-08-07  Jan Schmidt  <thaytan@mad.scientist.com>

	* docs/libs/gstreamer-libs.types:
	Don't register the enum type gst_lfo_waveform_get_type() in the
	.types file - only GObject derived types belong.

2007-08-07  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: <arenevier at fdn dot fr>

	* gst/gstbuffer.h:
	Remove comma from last element in enum to avoid compile errors when
	using -pendantic. Fixes #464366.

2007-08-07  Wim Taymans  <wim.taymans@gmail.com>

	* docs/design/part-TODO.txt:
	Add some more TODO items

	* gst/gstbin.c: (find_message), (gst_bin_change_state_func):
	Improve debugging.

	* gst/gstcaps.c: (gst_caps_intersect):
	Optimize trivial intersection case between identical caps pointers.

	* gst/gstelement.c: (gst_element_continue_state),
	(gst_element_set_state_func):
	* gst/gstpad.c:
	Fix spelling and grammar mistakes.

2007-08-05  Stefan Kost  <ensonic@users.sf.net>

	* po/POTFILES.in:
	* po/POTFILES.skip:
	  Update POTFILES. Fixes #461599.

2007-08-03  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gst.c:
	Fix confusing typo in debug output.

2007-08-03  Sebastian Dröge  <slomo@circular-chaos.org>

	reviewed by: Stefan Kost <ensonic@users.sf.net>

	* libs/gst/controller/Makefile.am:
	* libs/gst/controller/gstlfocontrolsource.c: (_calculate_pos),
	(gst_lfo_waveform_get_type), (gst_lfo_control_source_reset),
	(gst_lfo_control_source_new),
	(gst_lfo_control_source_set_waveform),
	(gst_lfo_control_source_bind), (gst_lfo_control_source_init),
	(gst_lfo_control_source_finalize),
	(gst_lfo_control_source_dispose),
	(gst_lfo_control_source_set_property),
	(gst_lfo_control_source_get_property),
	(gst_lfo_control_source_class_init):
	* libs/gst/controller/gstlfocontrolsource.h:
	* libs/gst/controller/gstlfocontrolsourceprivate.h:
	API: Add GstLFOControlSource, a control source that gives values
	for specific timestamps based on several periodic waveforms.
	Fixes #459717.

	* tests/check/libs/controller.c: (GST_START_TEST),
	(gst_controller_suite):
	* docs/libs/gstreamer-libs-docs.sgml:
	* docs/libs/gstreamer-libs-sections.txt:
	* docs/libs/gstreamer-libs.types:
	Add documentation and unit tests for GstLFOControlSource.

2007-08-03  Jan Schmidt  <thaytan@mad.scientist.com>

	* configure.ac:
	Back to CVS

=== release 0.10.14 ===

2007-08-03  Jan Schmidt <thaytan@mad.scientist.com>

	* configure.ac:
	  releasing 0.10.14, "Breathing Vacuum"

2007-08-02  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstelement.c: (gst_element_class_set_details_simple):
	* gst/gstelement.h:
	  Make strings passed to gst_element_class_set_details_simple()
	  constant, as they should be (#462752).

2007-08-02  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstbin.c: (gst_bin_change_state_func),
	(bin_handle_async_done), (gst_bin_handle_message_func):
	Don't forget about the fact that some element went ASYNC even after a
	resync. This makes us post the ASYNC_DONE message correctly.
	Fixes #462558.

2007-07-31  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/gstregistry.c: (gst_registry_add_feature):
	When replacing an existing feature in the registry, make sure to
	continue holding a reference until we've replaced the name string
	within our feature hash table. Make sure to use g_hash_table_replace
	instead of g_hash_table_insert to ensure the new name string is used
	as a key instead of the old one that we're about to free.
	Fixes: #462085

2007-07-31  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/gstpluginfeature.c: (gst_plugin_feature_finalize),
	(gst_plugin_feature_set_name):
	Revert patch from #459466 until after the release and we can work
	out exactly what the problem is (if any).

2007-07-26  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/gst/gstreamer-sections.txt:
	* gst/gsttaglist.c:
	* gst/gsttaglist.h:
	  API: add GST_TAG_LICENSE_URI and GST_TAG_COPYRIGHT_URI (#451939).

2007-07-26  Jan Schmidt  <thaytan@mad.scientist.com>

	* docs/libs/Makefile.am:
	Include our build-prefix libs and includes before the generic ones to
	avoid linking against the installed libs when we want the build-tree
	ones.

2007-07-26  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Steve Fink  <sphink gmail com>

	* docs/pwg/building-testapp.xml:
	  Mention that GST_PLUGIN_PATH or --gst-plugin-path might be needed
	  if people try to build or install the example from the plugin
          template against a GStreamer from package using the configure
	  defaults.

2007-07-25  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Steve Fink  <sphink gmail com>

	* tools/gst-inspect.1.in:
	  Document --print-all and --print-plugin-auto-install-info command
	  line options in man page.

2007-07-25  Wim Taymans  <wim.taymans@gmail.com>

	* docs/gst/gstreamer-sections.txt:
	Add docs for new api function.

2007-07-25  Wim Taymans  <wim.taymans@gmail.com>

	* gst/gstelementfactory.c: (gst_element_factory_has_interface):
	* gst/gstelementfactory.h:
	API: gst_element_factory_has_interface()
	Added method to check if an element factory implements a named
	interface.

2007-07-25  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	* docs/gst/gstreamer.types.in:
	  Another conditional doc check.

	* gst/gstmessage.c:
	* gst/gstparamspecs.h:
	* gst/gstregistrybinary.c: (gst_registry_binary_read_cache):
	* gst/gstvalue.c:
	* gst/gstxml.h:
	  API-doc fixes.

2007-07-24  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstregistrybinary.c: (gst_registry_binary_check_magic),
	(gst_registry_binary_load_feature),
	(gst_registry_binary_load_plugin),
	(gst_registry_binary_read_cache):
	  Print error just once and with additional info.

2007-07-24  Stefan Kost  <ensonic@users.sf.net>

	* libs/gst/base/gsttypefindhelper.c: (helper_find_peek),
	(helper_find_suggest), (helper_find_get_length),
	(gst_type_find_helper_get_range), (buf_helper_find_suggest),
	(gst_type_find_helper_for_buffer):
	  Cleanup the typefindhelper code and add private doc comments.

2007-07-24  Edward Hervey  <bilboed@bilboed.com>

	* plugins/elements/gstcapsfilter.c: (gst_capsfilter_class_init),
	(gst_capsfilter_transform_size), (gst_capsfilter_prepare_buf):
	Fix capsfilter for cases where the caps set on capsfilter will provide
	additional information.
	Fixes #449197

2007-07-24  Stefan Kost  <ensonic@users.sf.net>

	* gst/gsttypefindfactory.c:
	  Fix docs that recommened wrong function to use.

2007-07-23  Stefan Kost  <ensonic@users.sf.net>

	* tools/gst-inspect.c: (print_plugin_features):
	  Also give media-type for typefinders in element output.

2007-07-23  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstregistry.c: (gst_registry_init), (gst_registry_finalize),
	(gst_registry_remove_features_for_plugin_unlocked),
	(gst_registry_add_feature), (gst_registry_remove_feature),
	(gst_registry_lookup_feature_locked):
	* gst/gstregistry.h:
	  Speed up gst_registry_lookup_feature_locked() by using a hashmap.
	  Fixes #459501.

2007-07-23  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstpluginfeature.c: (gst_plugin_feature_finalize),
	(gst_plugin_feature_set_name):
	  Avoid double memory usage for pluginfeature names. Fixes #459466.

2007-07-22  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstpad.h:
	  Small addition to GST_FLOW_IS_FATAL() docs: mention that elements
	  driving the pipeline may need to explicitly check for NOT_LINKED as
	  well, since IS_FATAL doesn't cover that.

2007-07-22  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/pwg/advanced-types.xml:
	  Fix typo and duplicate entry in video formats list.

2007-07-22  Sebastian Dröge  <slomo@circular-chaos.org>

	* libs/gst/controller/gstinterpolation.c:
	Also round to the nearest int when using cubic interpolation.

2007-07-19  Jan Schmidt  <thaytan@noraisin.net>

	* libs/gst/controller/gstinterpolation.c:
	When linearly interpolating integer types, round to the nearest int
	by adding 0.5. Don't do it for float/double types.
	Fixes the failing controller test on my machine, which is somehow
	rounding differently than on the buildbots.

2007-07-20  Stefan Kost  <ensonic@users.sf.net>

	* tools/gst-plot-timeline.py:
	  Better log parsing (categories can have -). Adjust text vs. lines, so
	  that they span the same y-range.	  

2007-07-20  Stefan Kost  <ensonic@users.sf.net>

	* docs/random/ensonic/audiobaseclasses.txt:
	* docs/random/ensonic/dynlink.txt:
	* docs/random/ensonic/profiling.txt:
	  Save my thoughts.

	* docs/random/moving-plugins:
	  Add note to use g_assert type macros.

2007-07-20  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	* libs/gst/check/Makefile.am:
	  Add libm check as we use in for plugins.

2007-07-18  Jan Schmidt  <thaytan@noraisin.net>

	* gst/gstbin.c: (gst_bin_continue_func):
	Check that the state_cookie hasn't changed since the continue_func
	was scheduled. Avoids problems where the state changes back to
	something it shouldn't be because it was changed in the meantime.

2007-07-17  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstregistrybinary.c: (gst_registry_binary_save_const_string),
	(gst_registry_binary_save_string),
	(gst_registry_binary_save_pad_template),
	(gst_registry_binary_save_feature),
	(gst_registry_binary_save_plugin),
	(gst_registry_binary_load_feature),
	(gst_registry_binary_load_plugin),
	(gst_registry_binary_read_cache):
	  Fix memory leak. Be less verbose in the log.

2007-07-16  Jan Schmidt  <thaytan@mad.scientist.com>

	* tests/check/elements/.cvsignore:
	Add file to cvsignore as commanded.

2007-07-16  Jan Schmidt  <thaytan@mad.scientist.com>

	* tests/check/elements/multiqueue.c: (mq_dummypad_chain),
	(mq_dummypad_event), (run_output_order_test):
	Use a GStaticMutex to protect all cases where libcheck
	fail_if/fail_unless macros might be called from multiple threads
	simultaneously to avoid errors like:
	  "check_pack.c:107: :-1081725400:Bad message type arg"

2007-07-16  Jan Schmidt  <thaytan@mad.scientist.com>

	* tests/check/pipelines/stress.c: (GST_START_TEST):
	Make sure we set the pipeline back to the NULL state before
	dropping our final reference.

2007-07-16  Jan Schmidt  <thaytan@mad.scientist.com>

	* tests/check/elements/tee.c: (GST_START_TEST):
	Make the tee stress-test a little less stressful so it doesn't just
	time out on slow-machines, and remove a small race when it's starting 
	up by adding a get_state() call.

2007-07-16  Stefan Kost  <ensonic@users.sf.net>

	* gst/gst.c:
	  Avoid reading registry twice on startup. Fixes #457322.

2007-07-13  Jan Schmidt  <thaytan@mad.scientist.com>

	* pkgconfig/gstreamer-check-uninstalled.pc.in:
	* pkgconfig/gstreamer-check.pc.in:
	Substitute the CFLAGS for libcheck into our .pc file too so that
	dependent modules will pick it up properly if libcheck is installed
	into some other prefix.

2007-07-13  Jan Schmidt  <thaytan@mad.scientist.com>

	* configure.ac:
	Revert the pkg-config check for libcheck, since it pulls in the
	wrong non-PIC libcheck.a on Ubuntu and probably Fedora too. We need
	a proper solution, either from the check project, or something else.

2007-07-12  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	  Use pkg-config to locate check.

2007-07-10  Stefan Kost  <ensonic@users.sf.net>

	* gst/gsttaglist.c:
	  Fix doc syntax.

	* gst/gstutils.c:
	* gst/gstutils.h:
	  Add deprecation guards.

	* libs/gst/base/gstcollectpads.h:
	  Don't document object (this is implicitly private).

2007-07-08  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gststructure.c: (gst_structure_parse_value):
	  When deserialising foo=bar without a type cast, check if it's a
	  boolean before falling back to a string type, otherwise things like
	  audiotestsrc ! audio/x-raw-int,signed=true ! fakesink won't work,
	  because the filtercaps end up having a signed=(string)true field,
	  which causes problems later when intersection caps.

	* tests/check/gst/gststructure.c: (GST_START_TEST):
	  Add a unit test for this.

2007-07-06  Sebastian Dröge  <slomo@circular-chaos.org>

	Reviewed by: Stefan Kost <ensonic@users.sf.net>

	* libs/gst/controller/Makefile.am:
	* libs/gst/controller/gstcontroller.c:
	(gst_controlled_property_add_interpolation_control_source),
	(gst_controlled_property_new), (gst_controlled_property_free),
	(gst_controller_find_controlled_property),
	(gst_controller_new_valist), (gst_controller_new_list),
	(gst_controller_new), (gst_controller_remove_properties_valist),
	(gst_controller_remove_properties_list),
	(gst_controller_remove_properties),
	(gst_controller_set_property_disabled),
	(gst_controller_set_disabled), (gst_controller_set_control_source),
	(gst_controller_get_control_source), (gst_controller_get),
	(gst_controller_sync_values), (gst_controller_get_value_array),
	(_gst_controller_dispose), (gst_controller_get_type),
	(gst_controlled_property_set_interpolation_mode),
	(gst_controller_set), (gst_controller_set_from_list),
	(gst_controller_unset), (gst_controller_unset_all),
	(gst_controller_get_all), (gst_controller_set_interpolation_mode):
	* libs/gst/controller/gstcontroller.h:
	* libs/gst/controller/gstcontrollerprivate.h:
	* libs/gst/controller/gstcontrolsource.c:
	(gst_control_source_class_init), (gst_control_source_init),
	(gst_control_source_get_value),
	(gst_control_source_get_value_array), (gst_control_source_bind):
	* libs/gst/controller/gstcontrolsource.h:
	* libs/gst/controller/gsthelper.c: (gst_object_set_control_source),
	(gst_object_get_control_source):
	* libs/gst/controller/gstinterpolation.c:
	(gst_interpolation_control_source_find_control_point_node),
	(gst_interpolation_control_source_get_first_value),
	(_interpolate_none_get), (interpolate_none_get),
	(interpolate_none_get_boolean_value_array),
	(interpolate_none_get_enum_value_array),
	(interpolate_none_get_string_value_array),
	(_interpolate_trigger_get), (interpolate_trigger_get),
	(interpolate_trigger_get_boolean_value_array),
	(interpolate_trigger_get_enum_value_array),
	(interpolate_trigger_get_string_value_array):
	* libs/gst/controller/gstinterpolationcontrolsource.c:
	(gst_control_point_free), (gst_interpolation_control_source_reset),
	(gst_interpolation_control_source_new),
	(gst_interpolation_control_source_set_interpolation_mode),
	(gst_interpolation_control_source_bind),
	(gst_control_point_compare), (gst_control_point_find),
	(gst_interpolation_control_source_set_internal),
	(gst_interpolation_control_source_set),
	(gst_interpolation_control_source_set_from_list),
	(gst_interpolation_control_source_unset),
	(gst_interpolation_control_source_unset_all),
	(gst_interpolation_control_source_get_all),
	(gst_interpolation_control_source_get_count),
	(gst_interpolation_control_source_init),
	(gst_interpolation_control_source_finalize),
	(gst_interpolation_control_source_dispose),
	(gst_interpolation_control_source_class_init):
	* libs/gst/controller/gstinterpolationcontrolsource.h:
	* libs/gst/controller/gstinterpolationcontrolsourceprivate.h:
	API: Refactor GstController into the core controller which can take
	a GstControlSource for providing actual values for timestamps.
	Implement a interpolation control source and use this for backward
	compatibility, deprecate a bunch of functions that are now handled
	by GstControlSource or GstInterpolationControlSource.
	Make it possible to disable the controller completely or only for
	specific properties. Fixes #450711.
	* docs/libs/gstreamer-libs-docs.sgml:
	* docs/libs/gstreamer-libs-sections.txt:
	* docs/libs/gstreamer-libs.types:
	Add new functions and classes to the docs.
	* tests/check/libs/controller.c: (GST_START_TEST),
	(gst_controller_suite):
	* tests/examples/controller/audio-example.c: (main):
	Port unit test and example to the new API and add some new
	unit tests.

2007-07-05  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: Mark Nauwelaerts <manauw at skynet be>

	* plugins/elements/gstmultiqueue.c:
	(gst_multi_queue_get_internal_links), (apply_buffer),
	(single_queue_overrun_cb), (gst_single_queue_new):
	Implement non-default GstPadIntLinkFunction for multiqueue pads so that
	the pipeline layout can be tracked correctly. Fixes #453732.

2007-07-05  Stefan Kost  <ensonic@users.sf.net>

	* docs/gst/Makefile.am:
	* docs/libs/Makefile.am:
	* docs/plugins/Makefile.am:
	  Simplify --extra-dir as gtkdoc scans recursively.

2007-07-03  Wim Taymans  <wim.taymans@gmail.com>

	* tools/gst-launch.c: (main):
	When we got an error, there is no point in waiting for preroll when
	shutting down.

2007-07-03  Wim Taymans  <wim.taymans@gmail.com>

	* plugins/elements/gsttee.c: (gst_tee_base_init),
	(gst_tee_request_new_pad), (gst_tee_release_pad),
	(gst_tee_find_buffer_alloc), (gst_tee_buffer_alloc),
	(gst_tee_do_push), (clear_pads), (gst_tee_handle_buffer),
	(gst_tee_chain):
	Be a lot smarter when deciding what srcpad to use for proxying
	the buffer_alloc. Also handle pad added/removed when doing so.
	Fixes #357959.
	Keep track of what pads we already pushed on in case we have pads
	added/removed while pushing. Fixes #374639 

	* tests/check/Makefile.am:
	* tests/check/elements/tee.c: (handoff), (GST_START_TEST),
	(tee_suite):
	Added unit test for pad resync.

2007-07-01  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/nl.po:
	* po/sv.po:
	  Updated translations.

2007-07-01  Thomas Vander Stichele  <thomas at apestaart dot org>

	translation by: Tommi Vainikainen <Tommi.Vainikainen@iki.fi>

	* po/LINGUAS:
	* po/fi.po:
	  Added new Finnish translation.

2007-06-28  Wim Taymans  <wim@fluendo.com>

	* plugins/elements/gstmultiqueue.c: (apply_buffer),
	(single_queue_overrun_cb):
	When figuring out when a queue is filled, use our internal time estimate
	based on segments, just like check_full does.

2007-06-27  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstminiobject.c: (gst_mini_object_get_type):
	  Remove 3 do-nothing methods.

2007-06-27  Wim Taymans  <wim@fluendo.com>

	Patch by: Tim Angus <tim at ngus dot net>

	* plugins/elements/gstcapsfilter.c: (gst_capsfilter_class_init),
	(gst_capsfilter_set_property):
	Take a reference instead of a copy when setting "caps".
	Fix documentation to clarify this behaviour. Fixes #449414.

2007-06-27  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstindexfactory.c: (gst_index_factory_get_type):
	* gst/gstplugin.c: (gst_plugin_init):
	* gst/gstpluginfeature.c: (gst_plugin_feature_init):
	* gst/gstquery.c: (gst_query_get_type):
	* gst/gstregistry.c: (gst_registry_init):
	* gst/gsturi.c: (gst_uri_handler_base_init):
	  Remove empty instance_init() functions to save relocs and lessen the
	  noise. Remove some of the function prototypes that are doubled by
	  G_DEFINE_TYPE.
	  
2007-06-27  Wim Taymans  <wim@fluendo.com>

	Patch by: Étienne Noreau-Hébert <etienne at deepunder dot org>

	* gst/gstghostpad.c: (gst_proxy_pad_save_thyself):
	Add peer and direction in the XML serialisation of ghostpads.
	Fixes #449226.

2007-06-26  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	  Preserve useful information, thanks Tim.

2007-06-26  Jan Schmidt  <thaytan@noraisin.net>

	* plugins/elements/gstmultiqueue.c: (gst_multi_queue_init),
	(gst_single_queue_flush), (apply_segment), (apply_buffer),
	(gst_single_queue_push_one), (gst_multi_queue_loop),
	(gst_multi_queue_sink_activate_push), (gst_multi_queue_sink_event),
	(gst_multi_queue_src_activate_push), (wake_up_next_non_linked),
	(compute_high_id), (gst_single_queue_new):
	* plugins/elements/gstmultiqueue.h:
	Take the multiqueue lock when updating the fill level so we don't get
	confused. 

	After applying a buffer or event on the src pad segment, make sure to
	call gst_data_queue_limits_changed() to get the data queue to unblock
	and check the filled state again.
	
	Rework the not-linked pad handling so the logic is that not-linked 
	pads can push as fast as they like, but only so they never get 
	ahead of any linked pads.

	* tests/check/elements/multiqueue.c: (mq_sinkpad_to_srcpad),
	(mq_dummypad_getcaps), (mq_dummypad_chain), (mq_dummypad_event),
	(run_output_order_test), (GST_START_TEST), (multiqueue_suite):

	Add a test to check that not-linked pads always stay behind
	linked pads.

	Fixes: #430682

2007-06-26  Jan Schmidt  <thaytan@mad.scientist.com>

	* docs/random/release:
	  Some updates to the release procedure.

2007-06-26  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstelementfactory.c: (__gst_element_details_clear):
	  Microoptimization that saves stunning 80 bytes.

2007-06-25  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/gstreamer-plugins.args:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* docs/plugins/inspect/plugin-coreindexers.xml:
	  Update docs with caps info.

2007-06-24  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/it.po:
	  Updated Italian translation.

2007-06-23  Thomas Vander Stichele  <thomas at apestaart dot org>

	* ChangeLog:
	* po/vi.po:
	  Update Vietnamese translations.

2007-06-21  Tim-Philipp Müller  <tim at centricular dot net>

	* libs/gst/base/gstbasesink.c:
	  Remove unused signal enum.

2007-06-21  Jan Schmidt  <thaytan@mad.scientist.com>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstelement.c:
	* gst/gstutils.c: (gst_type_register_static_full):
	Beef up and include the docs for gst_type_register_static_full and
	gst_element_class_set_details_simple and add the API keyword
	in the ChangeLog.

2007-06-21  Jan Schmidt  <thaytan@mad.scientist.com>

	* plugins/elements/gstmultiqueue.c: (gst_multi_queue_set_property),
	(update_time_level), (gst_single_queue_push_one),
	(gst_multi_queue_chain), (gst_multi_queue_sink_event),
	(single_queue_overrun_cb), (single_queue_underrun_cb),
	(single_queue_check_full):
	Fix setting max-* properties after adding queues.
	Use IS_FILLED for checking visible items.
	Signal overrun if multiple queues overrun.
	Add extra debug output.
	Patch by: Wim Taymans <wim@fluendo.com>

2007-06-21  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstelement.c: (gst_element_class_set_details_simple):
	* gst/gstelement.h:
	* gst/gstutils.c: (gst_type_register_static_full):
	* gst/gstutils.h:
	* plugins/elements/gstcapsfilter.c: (gst_capsfilter_base_init):
	* plugins/elements/gstfakesink.c: (gst_fake_sink_base_init):
	* plugins/elements/gstfakesrc.c: (gst_fake_src_base_init):
	* plugins/elements/gstfdsink.c: (gst_fd_sink_base_init):
	* plugins/elements/gstfdsrc.c: (gst_fd_src_base_init):
	* plugins/elements/gstfilesink.c: (gst_file_sink_base_init):
	* plugins/elements/gstfilesrc.c: (gst_file_src_base_init):
	* plugins/elements/gstidentity.c: (gst_identity_base_init):
	* plugins/elements/gstmultiqueue.c: (gst_multi_queue_base_init):
	* plugins/elements/gstqueue.c: (gst_queue_base_init),
	(apply_buffer), (gst_queue_chain):
	* plugins/elements/gsttee.c: (gst_tee_base_init):
	* plugins/elements/gsttypefindelement.c:
	(gst_type_find_element_base_init),
	(gst_type_find_element_class_init):
	  Saving relocations for GTypeInfo and GstElementDetails. Fixes #437457.
	  API: add gst_type_register_static_full
	  API: add gst_element_class_set_details_simple

2007-06-21  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/pwg/advanced-types.xml:
	  Fix typo in iana.org URI.

2007-06-19  Andy Wingo  <wingo@pobox.com>

	* tests/check/pipelines/simple-launch-lines.c
	(test_state_change_returns): Enable pull-mode tests now that
	basesink has been fixed.

	* libs/gst/base/gstbasesink.c (gst_base_sink_needs_preroll):
	Changed from gst_base_sink_is_prerolled, reversing the sense of
	the return value. Returns FALSE also if the sink is in pull mode,
	in which case it needs no preroll.
	(gst_base_sink_query, gst_base_sink_change_state): Update for
	needs_preroll change.
	(gst_base_sink_change_state): Add a case for READY_TO_PAUSED after
	chaining up, in which we return SUCCESS directly if we activated
	in pull mode instead of ASYNC. Involves countering an async_start
	message sent before chaining up; not sure if this is correct, in
	an ideal world we only send async-start when activating in push
	mode.

	* tests/check/pipelines/simple-launch-lines.c
	(test_state_change_returns): New test, partially disabled until
	basesink is fixed.

2007-06-19  Wim Taymans  <wim@fluendo.com>

	* plugins/elements/gstmultiqueue.c: (apply_buffer),
	(gst_multi_queue_sink_event):
	Fix event leak.

2007-06-19  Wim Taymans  <wim@fluendo.com>

	* gst/gstbin.c: (gst_bin_add_func), (gst_bin_remove_func),
	(gst_bin_change_state_func), (bin_push_state_continue),
	(bin_handle_async_start), (bin_handle_async_done),
	(gst_bin_handle_message_func):
	Move the common code for posting state-change messages into
	one function.
	Broadcast the state signal after we posted the messages.
	Mark the bin as busy when it's doing a state-change.
	Make sure async-start/done messages don't interfere with the bin's
	state when it's busy.
	After the state change, let the bin check which elements completed the
	state change while it was busy so that it can update its state.

2007-06-19  Jan Schmidt  <thaytan@mad.scientist.com>

	* docs/random/release:
	Add a note about updating the doap file to the release checklist

2007-06-18  Wim Taymans  <wim@fluendo.com>

	* plugins/elements/gstmultiqueue.c: (apply_buffer),
	(gst_single_queue_push_one), (gst_multi_queue_chain),
	(gst_multi_queue_sink_event):
	Make sure we don't reference the buffer/event after we have given away
	ownership in the queue.

2007-06-18  Wim Taymans  <wim@fluendo.com>

	* plugins/elements/gstmultiqueue.c: (gst_single_queue_flush),
	(gst_multi_queue_chain), (gst_multi_queue_sink_event):
	Update queue state _after_ adding the item in the queue because else we
	could end up being full without the element added yet.

2007-06-18  Wim Taymans  <wim@fluendo.com>

	* gst/gstbin.c: (gst_bin_init), (gst_bin_add_func),
	(gst_bin_remove_func), (gst_bin_get_state_func),
	(gst_bin_element_set_state), (gst_bin_continue_func),
	(bin_push_state_continue), (bin_handle_async_start),
	(bin_handle_async_done), (gst_bin_handle_message_func):
	* gst/gstbin.h:
	Immediatly commit the toplevel bin state when receiving an async-done
	message. This enables us to avoid spawning a thread to commit the state
	in some common cases and it also avoids some races.
	Avoid spawning a state thread when adding/removing async elements to a
	toplevel bin. Instead we immediatly update the bin state.
	Get rid of iterating all the children when getting the state in the bin
	because it is now always up-to-date.
	Fix bug where locked elements would always return _SUCCESS even it they
	returned NO_PREROLL before being locked.
	Fix the order of the state_change, async-start/done messages that was
	sometimes incorrect.
	Mark the state_dirty field as deprecated, we don't need it anymore as we
	are always up-to-date.

	* gst/gstelement.c: (gst_element_get_state_func),
	(gst_element_continue_state):
	Small debug inprovements.
	Return the previous element state return when nothing is pending instead
	of blindly returning SUCCESS.

	* tests/check/generic/sinks.c: (GST_START_TEST), (pad_blocked_cb),
	(gst_sinks_suite):
	Add a whole bunch of new testcases.

2007-06-17  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/uk.po:
	* po/vi.po:
	  Update translations.

2007-06-15  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/gstpad.c:
	Fix typo in the docs.

2007-06-15  Wim Taymans  <wim@fluendo.com>

	* docs/libs/gstreamer-libs-sections.txt:
	Add docs for new methods.

2007-06-15  Wim Taymans  <wim@fluendo.com>

	* plugins/elements/gstmultiqueue.c: (gst_multi_queue_item_destroy),
	(gst_multi_queue_item_new):
	Don't use GSlice because we don't depend on >= 2.10 yet.

2007-06-15  Wim Taymans  <wim@fluendo.com>

	* plugins/elements/gstmultiqueue.c: (gst_single_queue_flush),
	(update_time_level), (apply_segment), (apply_buffer),
	(gst_single_queue_push_one), (gst_multi_queue_item_new),
	(gst_multi_queue_loop), (gst_multi_queue_sink_activate_push),
	(gst_multi_queue_sink_event), (single_queue_overrun_cb),
	(single_queue_underrun_cb), (single_queue_check_full):
	Remove debug printf.

2007-06-15  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstdataqueue.c: (gst_data_queue_cleanup),
	(gst_data_queue_finalize), (gst_data_queue_locked_is_empty),
	(gst_data_queue_set_flushing), (gst_data_queue_push),
	(gst_data_queue_pop), (gst_data_queue_drop_head),
	(gst_data_queue_limits_changed), (gst_data_queue_get_level):
	* libs/gst/base/gstdataqueue.h:
	Various cleanups.
	Added methods to get the current levels and to inform the queue that the
	'full' limits changed.

	* plugins/elements/gstmultiqueue.c: (gst_multi_queue_init),
	(gst_multi_queue_finalize), (gst_multi_queue_set_property),
	(gst_single_queue_flush), (update_time_level), (apply_segment),
	(apply_buffer), (gst_single_queue_push_one),
	(gst_multi_queue_item_steal_object),
	(gst_multi_queue_item_destroy), (gst_multi_queue_item_new),
	(gst_multi_queue_loop), (gst_multi_queue_chain),
	(gst_multi_queue_sink_activate_push), (gst_multi_queue_sink_event),
	(gst_multi_queue_getcaps), (gst_multi_queue_src_activate_push),
	(gst_multi_queue_src_query), (single_queue_overrun_cb),
	(single_queue_underrun_cb), (single_queue_check_full),
	(gst_single_queue_new):
	Keep track of time in the queue by measuring the difference between
	running_time on input and output. This gives more accurate results and
	can compensate for segments correctly.
	Make a queue by default only 5 buffers deep. We will now increase the
	buffer size depending on the filledness of the other queues.
	Factor out commong flush code.
	Make sure we don't add additional refcounts to buffers when we can avoid
	it.
	Propagate GstFlowReturn differently.
	Use GSlice for intermediate GstMultiQueueItems.
	Keep track of EOS.
	Resize queues on over and underruns based on filled level of other
	queues.
	When checking if the queue is filled, prefer to measure in time if we
	can and fall back to bytes when no time is known.

	* plugins/elements/gstqueue.c:
	Fix return value.

2007-06-15  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstbasetransform.c:
	(gst_base_transform_sink_event):
	Work around the brokenness of the event vmethod in basetransform. Prefer
	to return TRUE when the subclass returned FALSE (meaning don't forward
	the event). 

	* libs/gst/base/gstbasetransform.h:
	Clarify the docs.

2007-06-15  Wim Taymans  <wim@fluendo.com>

	* gst/gstpad.c: (gst_pad_push_event), (gst_pad_send_event):
	* libs/gst/base/gstbasesrc.c: (gst_base_src_query_latency),
	(gst_base_src_default_query), (gst_base_src_get_range),
	(gst_base_src_start):
	* tests/check/pipelines/parse-launch.c: (setup_pipeline):
	Improve debugging.

2007-06-15  Stefan Kost  <ensonic@users.sf.net>

	* docs/pwg/advanced-types.xml:
	  Added more formats to caps table.

2007-06-15  Stefan Kost  <ensonic@users.sf.net>

	* tools/gst-launch.c: (main):
	  Remove crufy code. GOption does not need this workaround.

2007-06-14  Stefan Kost  <ensonic@users.sf.net>

	* libs/gst/controller/gstcontroller.c:
	(gst_controlled_property_set_interpolation_mode):
	  Fix wrong getter for enums in controller.

2007-06-14  Tim-Philipp Müller  <tim at centricular dot net>

	* libs/gst/check/gstcheck.c: (gst_check_init):
	  Intercept criticals and warnings in the Gst-Phonon log domain, so
	  ASSERT_CRITICAL() etc. can be used in gst-phonon's unit tests as
	  well.
	
2007-06-14  Edward Hervey  <edward@fluendo.com>

	* gst/gstparamspecs.c: (_gst_param_fraction_validate):
	Since this file doesn't include "gst.h" it will not go through the
	macros that disable GST_LOG if debugging was disabled.

2007-06-14  Tim-Philipp Müller  <tim at centricular dot net>

	* libs/gst/check/Makefile.am:
	* libs/gst/check/gstcheck.h:
	* pkgconfig/gstreamer-check-uninstalled.pc.in:
	* pkgconfig/gstreamer-check.pc.in:
	  Ugly 'fix' for the controller unit test on the p5 bot: in
	  fail_unless_equals_float() check whether the values are 'almost
	  equal' by allowing a small absolute error, which should be good
	  enough for our use cases (normal numbers and values close to 0).
	  Proper fixage left to floating point arithmetic aficionados.

2007-06-14  Stefan Kost  <ensonic@users.sf.net>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_reset_qos),
	(gst_base_sink_render_object), (gst_base_sink_get_position):
	  Add two breaks thats where missing.

2007-06-14  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/check/gstcheck.h:
	  API: add fail_unless_equals_float() and assert_equals_float().
	  Add documentation for some of the macros.

	* tests/check/libs/controller.c: (GST_START_TEST):
	  Use newly-added asserts.

2007-06-14  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstpad.c: (gst_pad_alloc_buffer_full), (gst_pad_push):
	  Show the caps change in the log to help spotting the case of not
	  exactly matching caps.

2007-06-14  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/pwg/building-boiler.xml:
	  Fix typos, spotted by Thijs Vermeir (#447190).

2007-06-13  Jan Schmidt  <thaytan@mad.scientist.com>

	* docs/plugins/tmpl/.cvsignore:
	Ignore file to keep the buildbots happy

2007-06-13  Jan Schmidt  <thaytan@mad.scientist.com>

	* docs/plugins/Makefile.am:
	* docs/plugins/gstreamer-plugins-docs.sgml:
	* docs/plugins/gstreamer-plugins-sections.txt:
	Pull fdsink into the docs too.

2007-06-11  Sebastian Dröge  <slomo@circular-chaos.org>

	* libs/gst/controller/gstinterpolation.c:
	Actually use the new functions with min/max checks for the trigger and
	none interpolation modes for get() and get_value_array() instead of
	just the latter.

2007-06-10  Sebastian Dröge  <slomo@circular-chaos.org>

	* libs/gst/controller/gstcontroller.c:
	(gst_controlled_property_free):
	Unset the minimum and maximum GValues when freeing the corresponding
	GstControllerProperty struct.

2007-06-09  Sebastian Dröge  <slomo@circular-chaos.org>

	* libs/gst/controller/gstcontroller.c:
	(gst_controlled_property_new):
	* libs/gst/controller/gstcontrollerprivate.h:
	* libs/gst/controller/gstinterpolation.c:
	(gst_controlled_property_find_control_point_node),
	(interpolate_none_get), (interpolate_none_get_enum_value_array),
	(interpolate_none_get_string_value_array),
	(interpolate_trigger_get),
	(interpolate_trigger_get_enum_value_array),
	(interpolate_trigger_get_string_value_array):
	Protect against values larger or smaller than the minimum or maximum
	allowed value for the property when using values that can be compared.

	Optimize trigger interpolator a bit by taking the last requested value
	into account instead of always looping through the complete list.

	Fix coding style a bit, everywhere else we use "return foo" instead
	of "return (foo)".
	
	* tests/check/libs/controller.c: (GST_START_TEST),
	(gst_controller_suite):
	Add unit test for the protection against too large or too small
	values.

2007-06-08  Sebastian Dröge  <slomo@circular-chaos.org>

	* docs/random/slomo/controller.txt:
	Add some thoughts about the future of the controller.

2007-06-08  Wim Taymans  <wim@fluendo.com>

	* plugins/elements/gstidentity.c: (gst_identity_transform_ip):
	Don't overflow in retimestamping code.

2007-06-07  Sebastien Moutte  <sebastien@moutte.net>

	* libs/gst/controller/gstinterpolation.c: (DEFINE_CUBIC_GET):
	Use gst_util_guint64_to_gdouble for conversions.
	* win32/common/libgstreamer.def:
	Add new exported functions.

2007-06-07  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstutils.c:
	  Small docs addition.

2007-06-07  Stefan Kost  <ensonic@users.sf.net>

	* README:
	  Remove that test line again.

2007-06-07  Stefan Kost  <ensonic@users.sf.net>

	* README:
	  Test commit mail sending.

2007-06-07  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	  Fix typo and test commit mail sending.

2007-06-07  Stefan Kost  <ensonic@users.sf.net>

	* tests/examples/controller/audio-example.c:
	  Improve comment and test commit mail sending.

2007-06-07  Wim Taymans  <wim@fluendo.com>

	* gst/gstbin.c: (find_message), (bin_replace_message), (is_eos),
	(gst_bin_remove_func), (gst_bin_element_set_state),
	(bin_handle_async_start), (bin_handle_async_done),
	(gst_bin_handle_message_func):
	Add helper function to find messages.
	Generate the async-done messages together with the state change
	messages.
	Small cleanups in handling toplevel bins.

2007-06-06  Tim-Philipp Müller  <tim at centricular dot net>

	* libs/gst/base/gstdataqueue.c:
	* libs/gst/base/gstdataqueue.h:
	* plugins/elements/gstmultiqueue.c: (gst_single_queue_push_one),
	(gst_multi_queue_item_new), (gst_multi_queue_chain),
	(gst_multi_queue_sink_event):
	* tests/check/elements/multiqueue.c: (multiqueue_suite):
	  Fix multiqueue leaking buffers and events when downstream or the
	  queue are flushing. Make refcounting assumptions explicit and
	  document them (shouldn't break existing code that uses it other than
	  maybe leak miniobjects, but that already happens anyway). Add unit
	  test for the most common flushing case. Fixes #423700.
	  
2007-06-06  Sebastian Dröge  <slomo@circular-chaos.org>

	* libs/gst/controller/gstcontroller.c:
	Clarify docs: The get_all, get_value_array(s) functions
	don't modify the GObject properties.

2007-06-06  Sebastian Dröge  <slomo@circular-chaos.org>

	* libs/gst/controller/gstcontroller.c:
	(gst_controlled_property_set_interpolation_mode),
	(gst_controlled_property_prepend_default),
	(gst_controlled_property_new), (gst_controller_set_unlocked),
	(gst_controller_set), (gst_controller_set_from_list),
	(gst_controller_unset), (gst_controller_unset_all):
	* libs/gst/controller/gstcontrollerprivate.h:
	* libs/gst/controller/gstinterpolation.c:
	Factor out the 'set' logic into gst_controller_set_unlocked for the
	gst_controller_set and gst_controller_set_from_list functions.

	To make life of the interpolators easier always add a control point
	at timestamp zero with the default value.

	In the linear interpolator make things more obvious by better variable
	naming (slope).

	Implement cubic interpolation mode (by using a natural cubic spline)
	and map the quadratic interpolation mode to this too (as quadratic
	doesn't make much sense, see discussion on the list).

	* tests/check/libs/controller.c: (GST_START_TEST),
	(gst_controller_suite):
	Add unit test for the cubic interpolation mode and check everywhere
	if the interpolation mode could be set as expected.

2007-06-06  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstparamspecs.c: (gst_param_spec_fraction_get_type):
	  Don't use GLib-2.10 functions, we still depend on
	  GLib-how-old-is-it-again-2.8.

2007-06-06  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/gst/gstreamer-sections.txt:
	* gst/Makefile.am:
	* gst/gst.c:
	* gst/gst.h:
	* gst/gstparamspecs.c: (_gst_param_fraction_init),
	(_gst_param_fraction_set_default), (_gst_param_fraction_validate),
	(_gst_param_fraction_values_cmp),
	(gst_param_spec_fraction_get_type), (gst_param_spec_fraction):
	* gst/gstparamspecs.h:
	* gst/gstvalue.c:
	* tests/check/Makefile.am:
	* tests/check/gst/.cvsignore:
	* tests/check/gst/gstparamspecs.c: (gst_dummy_obj_base_init),
	(gst_dummy_obj_class_init), (gst_dummy_obj_init),
	(gst_dummy_obj_set_property), (gst_dummy_obj_get_property),
	(GST_START_TEST), (gst_param_spec_suite):
	  API: add GstParamSpecFraction, so elements can have fraction
	  properties without lots of painful string parsing (#444648).

2007-06-05  Wim Taymans  <wim@fluendo.com>

	* gst/gstobject.c: (gst_object_class_init):
	Fix signal signature.

	* gst/gstsegment.c:
	Add small clarification in the api docs.

	* plugins/elements/gstfilesrc.c: (gst_file_src_set_location):
	States are protected with object lock.

2007-06-05  Jan Schmidt  <thaytan@mad.scientist.com>

	* AUTHORS:
	I should probably be listed as an author by now.

	* docs/random/release:
	Update the release doc

2007-06-05  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstvalue.c:
	  Make docs for gst_value_compare() mention return enums that
	  actually exist.

2007-06-05  Jan Schmidt  <thaytan@mad.scientist.com>

	* configure.ac:
	  Back to CVS

=== release 0.10.13 ===

2007-06-05  Jan Schmidt <thaytan@mad.scientist.com>

	* configure.ac:
	  releasing 0.10.13, "With or without you"

2007-05-25  Wim Taymans  <wim@fluendo.com>

	* gst/gstbin.c: (bin_handle_async_done):
	Make sure that the child bin stops after completing the async state
	change so that the parent can continue the state change to PLAYING.
	Fixes #441159.

2007-05-25  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstcollectpads.c: (gst_collect_pads_finalize),
	(unref_data), (gst_collect_pads_remove_pad),
	(gst_collect_pads_check_pads):
	Use additional refcounting to avoid crashes when dynamically adding and
	removing pads. Fixes #420206.

2007-05-24  Wim Taymans  <wim@fluendo.com>

	* tools/gst-launch.c: (event_loop):
	When buffering goes from a two digit to a single digit number, make sure
	to remove the old second digit by writing a blank over it.

2007-05-24  Tim-Philipp Müller  <tim at centricular dot net>

	* libs/gst/base/gstdataqueue.c:
	  Eliminate tabs and trailing comma in enum list; fix some typos.

2007-05-24  Wim Taymans  <wim@fluendo.com>

	* tests/check/gst/gstbin.c: (GST_START_TEST):
	Allow refcount of 3 and 4 because some state thread might still be busy
	with it.

2007-05-24  Tim-Philipp Müller  <tim at centricular dot net>

	* plugins/elements/Makefile.am:
	* plugins/elements/gstmultiqueue.h:
	* plugins/elements/gstqueue.h:
	  These are not installed headers, no need for padding.

2007-05-24  Wim Taymans  <wim@fluendo.com>

	* gst/gstbin.c: (gst_bin_class_init), (gst_bin_get_state_func),
	(gst_bin_continue_func):
	Enable latency for next release.
	Restore STATE_LOCK around recalc_state that was left out during the
	rewrite and could result in racy behaviour when _get_state and
	recalc_state are run concurrently. See #440463.

2007-05-23  Wim Taymans  <wim@fluendo.com>

	* tests/check/gst/gstsystemclock.c: (store_callback),
	(GST_START_TEST):
	Improve test_async_order to also work when both timers are already
	expired when we get scheduled to check it.

2007-05-22  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstbin.c: (gst_bin_init), (gst_bin_dispose),
	(gst_bin_set_property), (gst_bin_get_property),
	(gst_bin_remove_func), (gst_bin_handle_message_func):
	* gst/gstbin.h:
	  'private' is a c++ keyword, let's not use that in header files,
	  otherwise c++ compilers will throw a tantrum.

2007-05-22  Tim-Philipp Müller  <tim at centricular dot net>

	* plugins/elements/gstelements.c:
	* plugins/elements/gstfilesink.c: (gst_file_sink_do_seek),
	(gst_file_sink_get_current_offset):
	* plugins/indexers/gstindexers.c: (plugin_init):
	  Use #ifdef for HAVE_XYZ for consistency.

	* tests/check/Makefile.am:
	* tests/check/elements/.cvsignore:
	* tests/check/elements/filesink.c: (setup_filesink),
	(cleanup_filesink), (GST_START_TEST), (filesink_suite):
	  Add some unit tests for filesink.

2007-05-22  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Mark Nauwelaerts <manauw at skynet be>

	* plugins/elements/gstfilesink.c: (gst_file_sink_open_file),
	(gst_file_sink_query), (gst_file_sink_do_seek),
	(gst_file_sink_get_current_offset), (gst_file_sink_render):
	* plugins/elements/gstfilesink.h:
	  Fix position reporting; rename data_written member to current_pos to
	  reflect its real meaning (fixes #412648).

2007-05-22  Edward Hervey  <edward@fluendo.com>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstbin.c: (gst_bin_class_init), (gst_bin_init),
	(gst_bin_dispose), (gst_bin_set_property), (gst_bin_get_property),
	(gst_bin_remove_func), (gst_bin_handle_message_func):
	* gst/gstbin.h:
	Add a property for bins that handle the state change of their childs.
	Fixes #435880

2007-05-22  Sebastian Dröge  <slomo@circular-chaos.org>

	* libs/gst/controller/gstinterpolation.c:
	Use an array of the correct type when using _get_value_array with
	linear interpolation.

2007-05-22  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstelement.c (gst_element_requires_clock,
	  gst_element_provides_clock, gst_element_request_pad,
	  gst_element_class_set_details, gst_element_class_set_details_simple,
	  gst_element_default_send_event, gst_element_abort_state,
	  gst_element_continue_state, gst_element_set_state,
	  gst_element_set_state_func, iterator_activate_fold_with_resync):
	* gst/gstpad.c (gst_pad_activate_pull, gst_pad_set_getcaps_function,
	  gst_pad_fixate_caps, gst_pad_configure_sink, gst_pad_configure_src,
	  gst_pad_query, gst_pad_save_thyself, handle_pad_block, gst_pad_push,
	  gst_pad_get_range, gst_pad_pull_range):
	* gst/gstpad.h (GST_PAD_LINK_SUCCESSFUL, GST_FLOW_CUSTOM_SUCCESS,
	  GST_FLOW_NOT_SUPPORTED, GST_FLOW_IS_FATAL, GstPadActivateFunction,
	  GstPadActivateModeFunction, GstPadChainFunction,
	  GstPadGetCapsFunction, GstPadAcceptCapsFunction,
	  GstPadFixateCapsFunction, GstPadTemplate):
	* gst/gstpipeline.c (gst_pipeline_change_state,
	  gst_pipeline_set_new_stream_time, gst_pipeline_use_clock,
	  gst_pipeline_set_clock, gst_pipeline_auto_clock,
	  gst_pipeline_get_delay):
	  Whitespace and docs fixes.

2007-05-21  Sebastian Dröge  <slomo@circular-chaos.org>

	* libs/gst/controller/gstinterpolation.c:
	(interpolate_trigger_get_enum_value_array),
	(interpolate_trigger_get_string_value_array):
	Add support for retrieving value arrays when using the trigger
	interpolation mode. 

2007-05-21  Sebastian Dröge  <slomo@circular-chaos.org>

	* libs/gst/controller/gstcontroller.c:
	(gst_controller_get_value_array):
	* libs/gst/controller/gstcontroller.h:
	Clarify the docs of gst_controller_get_value_array(): The array where
	the values should be written to must be allocated as there seems to be
	no way to get the size of a random GType. This doesn't change any
	behaviour. Also fix some typos all over the place and remove an unused,
	commented function that is not necessary as g_object_set() could be
	used instead.
	* tests/check/libs/controller.c: (GST_START_TEST),
	(gst_controller_suite):
	Add unit test for gst_controller_get_value_array().

2007-05-21  Jan Schmidt  <thaytan@mad.scientist.com>

	* tests/check/gst/gstbuffer.c: (GST_START_TEST):

	Disable part of the gst_buffer_try_new_and_alloc test, because
	it can happily succeed on 64-bit systems where there's more address
	space available.

2007-05-21  Sebastian Dröge  <slomo@circular-chaos.org>

	* tests/check/gst/gstpad.c: (GST_START_TEST), (gst_pad_suite):
	Add unit test for the improved caps checking from bug #421543.

2007-05-21  Wim Taymans  <wim@fluendo.com>

	* docs/design/part-synchronisation.txt:
	Small addition.

	* gst/gstbin.c: (gst_bin_query):
	* plugins/elements/gstqueue.c: (apply_segment):
	Improve debugging.

	* gst/gstmessage.h:
	Improve docs.

2007-05-21  Wim Taymans  <wim@fluendo.com>

	* gst/gstpad.c: (gst_pad_get_caps_unlocked),
	(gst_pad_acceptcaps_default), (gst_pad_configure_sink),
	(gst_pad_configure_src):
	Added simple version of improved caps checking. It was previously
	assumed that a setcaps function would check the validity of the caps but
	people prefer us to check caps against the template automatically. 
	Fixes #421543.

2007-05-21  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstbasetransform.h:
	Fix macro for locking/unlocking the transform lock.

2007-05-19  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/plugins/tmpl/.cvsignore:
	  Ignore more.

2007-05-18  Edward Hervey  <edward@fluendo.com>

	* plugins/elements/gstqueue.c: (gst_queue_loop):
	Hello, I am Mr Taymans' personal debugger. Today I will introduce a fix
	for the subtle art of warning a potentially blocking thread that it
	should check the source pad return value, and relay the information
	upstream.

2007-05-18  Edward Hervey  <edward@fluendo.com>

	* plugins/elements/gstqueue.c: (gst_queue_handle_sink_event):
	Release the queue lock !

2007-05-17  Sebastian Dröge  <slomo@circular-chaos.org>

	* docs/libs/gstreamer-libs-sections.txt:
	Add the two new controller functions to the appropiate places.

2007-05-17  Sebastian Dröge  <slomo@circular-chaos.org>

	reviewed by: Stefan Kost <ensonic@users.sf.net>

	* libs/gst/controller/gstcontroller.c:
	(gst_controller_suggest_next_sync), (gst_controller_sync_values),
	(_gst_controller_get_property), (_gst_controller_set_property),
	(_gst_controller_init), (_gst_controller_class_init):
	* libs/gst/controller/gstcontroller.h:
	* libs/gst/controller/gsthelper.c: (gst_object_suggest_next_sync),
	(gst_object_get_control_rate), (gst_object_set_control_rate):
	API: gst_controller_suggest_next_sync(), gst_object_suggest_next_sync()
	Add API that provides sync suggestion timestamps for elements that
	call gst_object_sync_values() from which those elements can subdivide
	their processing loop to get the best results for the controlled
	properties. For now it just suggests last_sync + control_rate as
	new timestamp but this will be improved in the future.

	While doing that change the control-rate property to a GstClockTime
	from guint and change it's meaning from samples to nanoseconds as
	the GstController doesn't know anything about sampling rate. Strictly
	speaking this breaks ABI but as the control-rate property didn't do
	anything in the past and as such couldn't be used this should be no
	problem.	

2007-05-17  Sebastian Dröge  <slomo@circular-chaos.org>

	reviewed by: Stefan Kost <ensonic@users.sf.net>

	* libs/gst/controller/gstcontroller.c: (gst_controller_unset),
	(gst_controller_unset_all):
	* libs/gst/controller/gstcontrollerprivate.h:
	* libs/gst/controller/gstinterpolation.c:
	(gst_controlled_property_find_control_point_node):
	Save last synced value from the list to continue searching from there
	in future syncs. This speeds everything up a bit.
	
2007-05-17  Sebastian Dröge  <slomo@circular-chaos.org>

	reviewed by: Stefan Kost <ensonic@users.sf.net>

	* libs/gst/controller/gstcontroller.c: (gst_control_point_compare),
	(gst_control_point_find), (gst_controlled_property_new),
	(gst_control_point_free), (gst_controlled_property_free),
	(gst_controller_set), (gst_controller_set_from_list),
	(gst_controller_unset), (gst_controller_unset_all),
	(gst_controller_sync_values):
	* libs/gst/controller/gstcontroller.h:
	* libs/gst/controller/gstcontrollerprivate.h:
	* libs/gst/controller/gstinterpolation.c:
	(gst_controlled_property_find_control_point_node),
	(interpolate_none_get), (interpolate_trigger_get):
	Add a new private GstControlPoint struct which "inherits" from
	GstTimedValue to allow different interpolators to store internal
	values next to each control point. From the outside everything is
	still a GstControlPoint so we don't loose binary compatibility.
	Also fixup all the GValue handling to not leak GValues or list nodes.
	* tests/check/libs/controller.c: (GST_START_TEST):
	Free the list nodes and GValues in the controller_misc test.

2007-05-17  Edward Hervey  <edward@fluendo.com>

	* gst/gstsegment.c:
	Small doc fix.

2007-05-16  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstplugin.c: (gst_plugin_load_file):
	  If we fail to load a plugin because of unresolved symbols or missing
	  libraries and spew a warning to stderr, we may just as well mention
	  which plugin it was that failed to load.

2007-05-13  David Schleef  <ds@schleef.org>

	* docs/Makefile.am: the gtk-doc makefile snippet correctly
	  handles the case when ENABLE_GTK_DOC is false, and installs
	  the prebuilt documentation.  So gtk-doc subdirs are 
	  unconditionally enabled.  Fixes: #349099.

2007-05-13  David Schleef  <ds@schleef.org>

	* gst/gstutils.h: Reword some documentation.

2007-05-12  David Schleef  <ds@schleef.org>

	* gst/gstplugin.c: gst_plugin_register_func() doesn't actually
	  do anything with the passed "module" parameter, so remove it.
	  Allows removal of additional vestigal code.

2007-05-12  David Schleef  <ds@schleef.org>

	* gst/gstplugin.c:
	  Using sigaction should depend on HAVE_SIGACTION, not HAVE_WIN32.
	  Switch to using g_stat() because it's more portable.

2007-05-12  David Schleef  <ds@schleef.org>

	* gst/gst.c:
	  Add GST_DISABLE_OPTION_PARSING, in order to disable option
	  parsing for embedded systems.
	* gst/gstelementfactory.c:
	  Allow gst_element_register() to be called with plugin==NULL.
	  Did nobody notice that static elements were broken?

2007-05-12  Wim Taymans  <wim@fluendo.com>

	* tools/gst-launch.c: (event_loop):
	Give more interesting info when buffering starts and stops.
	Fix case where buffering starts but we fail to update the buffering flag
	because the target state is not PLAYING.

2007-05-12  Wim Taymans  <wim@fluendo.com>

	* plugins/elements/gstqueue.c: (gst_queue_init),
	(gst_queue_finalize), (update_time_level), (apply_segment),
	(apply_buffer), (gst_queue_locked_flush),
	(gst_queue_locked_enqueue), (gst_queue_locked_dequeue),
	(gst_queue_handle_sink_event), (gst_queue_chain),
	(gst_queue_push_one), (gst_queue_loop):
	* plugins/elements/gstqueue.h:
	Refactor an cleanup queue a bit.
	Do better time level calculations that also work when the srcpad is not
	yet running.
	Remove some unneeded debug lines.

	* tests/check/elements/queue.c: (GST_START_TEST), (queue_suite):
	Added testcase for time level measurement.
	Try to make some stuff more racefree.

2007-05-11  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gsturi.c: (gst_element_make_from_uri):
	  Don't leak plugin feature.

	* tests/check/Makefile.am:
	* tests/check/gst/.cvsignore:
	* tests/check/gst/gsturi.c: (GST_START_TEST), (gst_uri_suite):
	  Add brain-dead unit test.

2007-05-11  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Jeroen Wouters <woutersj at gmail com>

	* gst/gsturi.c: (gst_uri_get_protocol), (search_by_entry):
	  Treat protocol strings in a case-insensitive way (#437563).

2007-05-11  Michael Smith <msmith@fluendo.com>

	* gst/gstplugin.c: (gst_plugin_load_file):
	* gst/gstregistry.c: (gst_registry_scan_path_level):
	  Don't print a g_warning for any failure to load a shared object.
	  Instead, push this down into gstplugin.c, and warn _only_ if we
	  failed to open the module (i.e. failure to link).
	  Avoids warnings on normal, working, non-plugin .so files.

2007-05-11  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstplugin.c (gst_plugin_load_file):
	* gst/gstregistry.c (GST_CAT_DEFAULT,
	  gst_registry_lookup_feature_locked, gst_registry_scan_path_level):
	  Print a g_warning if there was an error when loading a plugins during
	  registry scan. The shuld help beginners starting with gst-plugin
	  template.

2007-05-10  Wim Taymans  <wim@fluendo.com>

	* plugins/elements/gstqueue.c: (gst_queue_class_init),
	(update_time_level), (gst_queue_locked_flush),
	(gst_queue_handle_sink_event), (gst_queue_chain),
	(gst_queue_push_one), (gst_queue_loop):
	* plugins/elements/gstqueue.h:
	Be smarter when calculating the current amount of data in the queue by
	measuring the difference between start and end timestamps (in running
	time) inside the queue. Fixes #432876.
	API: GstQueue::pushing to notify elements that we are pushing data again
	since the running signal is rather broken for this purpose.

2007-05-10  Stefan Kost  <ensonic@users.sf.net>

	* plugins/elements/gstqueue.c (_do_init, gst_queue_signals,
	  gst_queue_base_init, gst_queue_init):
	  use GST_BOILERPLATE

2007-05-09  Sebastien Moutte  <sebastien@moutte.net>

	* win32/common/libgstreamer.def:
	Add new exported functions.
	* win32/vs6/grammar.dsp:
	Use grammar pre-generated files.

2007-05-09  Tim-Philipp Müller  <tim at centricular dot net>

	Based on patch by: Peter Kjellerstedt  <pkj at axis com>

	* gst/Makefile.am:
	* gst/gstparse.c: (gst_parse_launchv), (gst_parse_launch):
	* gst/gstparse.h:
	* gst/gstutils.c: (gst_parse_bin_from_description):
	* gst/gstutils.h:
	  Maintain API and ABI when --disable-parse is used. Now that
	  we have an appropriate error code, we can just return NULL and the
	  appropriate error when gst_parse_launch() is used despite it having
	  been disabled (#342564).

	* tests/check/Makefile.am:
	* tests/check/pipelines/.cvsignore:
	* tests/check/pipelines/parse-disabled.c:
	  Make sure these functions exist and return NULL plus a GError when
	  --disable-parse is used.

2007-05-09  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/benchmarks/complexity.c: (main):
	* tests/benchmarks/mass-elements.c: (main):
	  Set a good example and don't leak messages.

2007-05-06  Stefan Kost  <ensonic@users.sf.net>

	* docs/gst/Makefile.am:
	* docs/libs/Makefile.am:
	  Correct fixxrefs options.

	* docs/plugins/Makefile.am:
	* docs/plugins/gstreamer-plugins-docs.sgml:
	* docs/plugins/gstreamer-plugins-sections.txt:
	* plugins/elements/Makefile.am:
	* plugins/elements/gstcapsfilter.c (gst_capsfilter_details):
	* plugins/elements/gstcapsfilter.h (__GST_CAPSFILTER_H__,
	  GST_TYPE_CAPSFILTER, GST_CAPSFILTER, GST_CAPSFILTER_CLASS,
	  GST_IS_CAPSFILTER, GST_IS_CAPSFILTER_CLASS, GstCapsFilter,
	  GstCapsFilterClass, _GstCapsFilter, trans, filter_caps,
	  _GstCapsFilterClass, trans_class):
	* plugins/elements/gstelements.c (name, rank, type, _elements):
	* plugins/elements/gstidentity.c
	  (gst_identity_check_imperfect_timestamp,
	  gst_identity_check_imperfect_offset):
	  Document capsfilter and add doc-blurb to identity.

2007-05-04  Tim-Philipp Müller  <tim at centricular dot net>

	* libs/gst/controller/gstcontroller.c:
	(gst_controlled_property_set_interpolation_mode):
	* libs/gst/controller/gstinterpolation.c:
	  Don't crash if someone tries to set an interpolation mode that
	  is invalid or that isn't supported yet. Fixes #422295.

	* tests/check/libs/controller.c: (GST_START_TEST),
	(gst_controller_suite):
	  Add a test case for the above.

2007-05-03  Edward Hervey  <edward@fluendo.com>

	* libs/gst/base/gstbasetransform.c: (gst_base_transform_chain):
	Properly set the last_stop position on GstSegment. This will only happen
	if there is a buffer to push out.

2007-05-03  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstbasetransform.c:
	(gst_base_transform_buffer_alloc):
	always_in_place does not mean that the sink and source caps are the
	same! Make sure we don't blindly proxy the buffer_alloc in this case.

2007-05-03  Wim Taymans  <wim@fluendo.com>

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/base/gstbasesrc.c: (gst_base_src_query_latency),
	(gst_base_src_default_query), (gst_base_src_get_range):
	* libs/gst/base/gstbasesrc.h:
	API: gst_base_src_query_latency(). Added method so that subclasses can
	easily get the latency values of the base source class.

2007-05-02  Zaheer Abbas Merali  <<zaheerabbas at merali dot org>>

	* tools/gst-inspect.c (print_implementation_info):
	Remove 0.8 cruft.

2007-05-02  Tim-Philipp Müller  <tim at centricular dot net>

	* tools/Makefile.am:
	* tools/gst-launch.1.in:
	  Don't create a customised man page based on the host architecture,
	  describe the default registry path generically. That way the man
	  page is the same for all architectures and packagers have one
	  multilib issue less to deal with. Fixes #434926.

2007-05-02  Wim Taymans  <wim@fluendo.com>

	* gst/gstpad.c:
	Fix documentation as spotted by rg on IRC. 

2007-04-29  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstutils.c:
	  Improve docs for gst_element_{link,unlink}.

2007-04-28  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/design/part-events.txt:
	* docs/design/part-overview.txt:
	* gst/gstevent.c:
	* gst/gsturi.c:
	* gst/gsturi.h:
	* libs/gst/base/gstbasesink.c:
	  Typo fixes; minor docs addition.

2007-04-27  Sebastian Dröge  <slomo@circular-chaos.org>

	* docs/gst/gstreamer-sections.txt:
	* gst/gsturi.c: (get_element_factories_from_uri_protocol),
	(gst_uri_protocol_is_supported), (gst_element_make_from_uri):
	* gst/gsturi.h:
	API: Add gst_uri_protocol_is_supported(), which checks if a sink
	or src that supports a given URI protocol exists.

2007-04-27  Sebastian Dröge  <slomo@circular-chaos.org>

	* plugins/elements/gstfilesink.c: (gst_file_sink_uri_set_uri):
	* plugins/elements/gstfilesrc.c: (gst_file_src_uri_set_uri):
	Set the location to NULL if "file://" is set as URI. Otherwise
	some random previous URI would still be set if "file://" is
	set on an already used filesink/filesrc.

2007-04-27  Sebastian Dröge  <slomo@circular-chaos.org>

	* plugins/elements/gstfilesink.c: (gst_file_sink_uri_set_uri):
	* plugins/elements/gstfilesrc.c: (gst_file_src_uri_set_uri):
	Special case the "file://" URI as as this is used by some
	applications to test with gst_element_make_from_uri if there's
	an element that supports the URI protocol.
	Also move the g_path_is_absolute() check for the location part
	of the URI to also check this for "file://localhost/bla" URIs.

2007-04-26  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstbuffer.c: (gst_buffer_try_new_and_alloc):
	* gst/gstbuffer.h:
	* tests/check/gst/gstbuffer.c: (GST_START_TEST),
	(gst_buffer_suite):
	  API: add gst_buffer_try_new_and_alloc() plus unit test (#431940).

2007-04-26  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstregistrybinary.c: (gst_registry_binary_write_cache),
	(gst_registry_binary_load_pad_template),
	(gst_registry_binary_load_plugin),
	(gst_registry_binary_read_cache):
	* gst/gstregistrybinary.h:
	  Implement no-mmap alternative for registry reading. Do code cleanups.
	  Add more comments about avoiding strdups for all text data. Comments
	  welcome.

2007-04-25  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstregistrybinary.h (GstBinaryPluginElement,
	  GstBinaryPluginFeature, _GstBinaryElementFactory, plugin_feature,
	  GstBinaryElementFactory, _GstBinaryTypeFindFactory, plugin_feature):
	  Comment structs and reformat to fix the build (that stuff should go
	  into a priv. header).

2007-04-25  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstregistrybinary.c: (gst_registry_binary_save_feature),
	(gst_registry_binary_load_feature):
	* gst/gstregistrybinary.h:
	  Refactor so that we can implement multiple features. Add support for
	  TypeFindFactory features.

2007-04-24  Stefan Kost  <ensonic@users.sf.net>

	Patch by: Peter Kjellerstedt <Peter.Kjellerstedt@axis.com>

	* configure.ac:
	  Fix AM_CONDITIONAL(GST_DISABLE_GST_DEBUG,...) and update comment.

2007-04-23  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstbin.c: (gst_bin_element_set_state),
	(iterator_activate_fold_with_resync), (gst_bin_continue_func),
	(bin_handle_async_done), (gst_bin_handle_message_func):
	  Fix build with --gst-disable-gst-debug

2007-04-21  Tim-Philipp Müller  <tim at centricular dot net>

	* libs/gst/base/gstbasetransform.c: (gst_base_transform_activate):
	  Make sure streaming has finished before calling the ::stop() vfunc,
	  since that vfunc might clear state which is being used in the
	  streaming thread. This fixes a race that caused crashes in
	  audioresample when shutting down a pipeline (#420106).

2007-04-20  Stefan Kost  <ensonic@users.sf.net>

	* docs/gst/gstreamer-sections.txt:
	  That was one byte missing.

2007-04-20  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	* docs/gst/gstreamer-sections.txt:
	* gst/Makefile.am:
	* gst/gstconfig.h.in:
	* gst/gstobject.c: (gst_object_class_init),
	(gst_signal_object_class_init):
	* gst/gstobject.h:
	  2nd attempt to have a xml-less build as a joined effort of #413123
	  and #421480.

2007-04-20  Stefan Kost  <ensonic@users.sf.net>

	* docs/design/draft-tagreading.txt:
	  Added open issues/thoughts to draft.

2007-04-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/parse/grammar.tab.pre.c:
	* gst/parse/grammar.tab.pre.h:
	* gst/parse/lex._gst_parse_yy.pre.c:
	Update the prebuild parser sources.

2007-04-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/parse/Makefile.am:
	And now fix the building of the flex sources. Now everything should
	work as expected.

2007-04-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/parse/Makefile.am:
	Now hopefully fix the build failures by setting proper rule
	dependencies and moving instead of copying.

2007-04-19  Stefan Kost  <ensonic@users.sf.net>

	* tests/benchmarks/complexity.gnuplot:
	* tests/benchmarks/complexity.scm:
	* tests/benchmarks/mass-elements.gnuplot:
	* tests/benchmarks/mass-elements.scm:
	  Total licensification.

2007-04-19  Stefan Kost  <ensonic@users.sf.net>

	* gst/parse/Makefile.am:
	  Fix the build by correcting the rule that gave wrong files to flex.

2007-04-19  Stefan Kost  <ensonic@users.sf.net>

	* tests/benchmarks/complexity.c:
	* tests/benchmarks/mass-elements.c:
	  Change licence to LGPL as granted by Benjamin and Andy.

2007-04-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/parse/Makefile.am:
	Add correct grammar.tab.h dependency if compiling without new enough
	flex. Fixes #431150.

2007-04-18  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/parse/Makefile.am:
	Fix typo and use outdated sources if the flex/bison sources are newer
	than the pregenerated ones but flex is too old. Print a warning in
	that case. This should fix the build on the build bot.

2007-04-18  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Marc-Andre Lureau <marcandre dot lureau at gmail dot com>
	* gst/parse/Makefile.am:
	* gst/parse/grammar.y:
	* gst/parse/parse.l:
	Make the parser reentrant and recursively callable. This requires flex
	>= 2.5.31, for older versions pregenerated sources are used as we
	can't bump the build dependency. Finally fixes #349180.

	* gst/gstparse.c: (gst_parse_launch):
	Drop the HAVE_MT_SAVE_FLEX #ifdefs as we always use a new enough flex
	now anyway.

	* docs/gst/Makefile.am:
	* docs/gst/Makefile.am:
	* gst/parse/grammar.tab.pre.c: (__gst_parse_strdup),
	(__gst_parse_strfree), (__gst_parse_link_new),
	(__gst_parse_link_free), (__gst_parse_chain_new),
	(__gst_parse_chain_free), (SET_ERROR), (YYPRINTF),
	(gst_parse_element_set), (gst_parse_free_link),
	(gst_parse_found_pad), (gst_parse_perform_delayed_link),
	(gst_parse_perform_link), (yytnamerr), (yysyntax_error), (yyerror),
	(_gst_parse_launch):
	* gst/parse/grammar.tab.pre.h:
	* gst/parse/lex._gst_parse_yy.pre.c: (PRINT), (yy_get_next_buffer),
	(yy_get_previous_state), (yy_try_NUL_trans), (input),
	(_gst_parse_yyrestart), (_gst_parse_yy_switch_to_buffer),
	(_gst_parse_yy_load_buffer_state), (_gst_parse_yy_create_buffer),
	(_gst_parse_yy_delete_buffer), (_gst_parse_yy_init_buffer),
	(_gst_parse_yy_flush_buffer), (_gst_parse_yypush_buffer_state),
	(_gst_parse_yypop_buffer_state),
	(_gst_parse_yyensure_buffer_stack), (_gst_parse_yy_scan_buffer),
	(_gst_parse_yy_scan_string), (_gst_parse_yy_scan_bytes),
	(yy_fatal_error), (_gst_parse_yyget_extra),
	(_gst_parse_yyget_lineno), (_gst_parse_yyget_column),
	(_gst_parse_yyget_in), (_gst_parse_yyget_out),
	(_gst_parse_yyget_leng), (_gst_parse_yyget_text),
	(_gst_parse_yyset_extra), (_gst_parse_yyset_lineno),
	(_gst_parse_yyset_column), (_gst_parse_yyset_in),
	(_gst_parse_yyset_out), (_gst_parse_yyget_debug),
	(_gst_parse_yyset_debug), (_gst_parse_yyget_lval),
	(_gst_parse_yyset_lval), (_gst_parse_yylex_init),
	(yy_init_globals), (_gst_parse_yylex_destroy), (yy_flex_strncpy),
	(yy_flex_strlen), (_gst_parse_yyalloc), (_gst_parse_yyrealloc),
	(_gst_parse_yyfree):
	If the installed flex version is too old use pre-generated parser
	sources. These pre-generated parser sources are always updated when
	the actual flex/bison sources change but require everybody who wants
	to change something in the parser to have flex >= 2.5.31 installed.

2007-04-18  Stefan Kost  <ensonic@users.sf.net>

	* common/m4/gst-gettext.m4:
	* gst/gst-i18n-lib.h:
	  Make --disable-nls to work

2007-04-17  Wim Taymans  <wim@fluendo.com>

	* gst/gstconfig.h.in:
	Revert previous change that broke the build.

2007-04-17  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	* gst/Makefile.am:
	* gst/gstconfig.h.in:
	  Drop libxml2 dependency when building with 
	  --enable-binary-registry --disable-loadsave

2007-04-16  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstregistrybinary.c: (gst_registry_binary_write_cache),
	(gst_registry_binary_read_cache):
	* gst/gstregistrybinary.h:
	  Remove unnecessary <sys/mman.h> include which broke the win32 build
	  with MingW; move includes from header file to .c file, even if the
	  header file isn't installed; use g_strerror() where UTF-8 strings
	  are expected, such as in GST_DEBUG messages.

2007-04-13  Jan Schmidt  <thaytan@mad.scientist.com>

	* docs/libs/gstreamer-libs-sections.txt:
	Remove bogus addition for API I didn't end up keeping.

	* libs/gst/base/gstbasesrc.h:
	Mention Since: 0.10.13 in the documentation.

	Add the API keyword to the previous ChangeLog entry.

2007-04-13  Jan Schmidt  <thaytan@mad.scientist.com>

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/base/gstbasesrc.c: (gst_base_src_class_init),
	(gst_base_src_default_prepare_seek_segment),
	(gst_base_src_prepare_seek_segment), (gst_base_src_perform_seek):
	* libs/gst/base/gstbasesrc.h:
	Allow basesrc derived classes to execute seeks in other formats
	by providing a prepare_seek_segment vmethod. Sub-classes can choose
	to prepare the GstSegment in any format that their perform_seek method
	will be able to understand. The default implementation provides the
	old behaviour of attempting to convert the seek offsets to the 
	configured native format.

	API: basesrc::prepare_seek_segment vmethod.

2007-04-13  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/gstelement.c: (gst_element_get_state_func):
	Don't output the same debug statement twice.

	* libs/gst/base/gstadapter.c: (gst_adapter_try_to_merge_up),
	(gst_adapter_peek), (gst_adapter_take_buffer):
	Optimise the case where we have buffers at the head of the queue that
	can be joined quickly (because they're contiguous sub-buffers) by
	merging them together rather than copying data out into new memory.

	* gst/parse/grammar.y:
	* tests/check/pipelines/parse-launch.c:
	Fix a leak in an error path for parse_launch, and add a check 
	for it to the testsuite.

2007-04-13  Jan Schmidt  <thaytan@mad.scientist.com>

	* plugins/elements/gstmultiqueue.c: (gst_multi_queue_release_pad):
	  Don't deadlock when releasing a pad - gst_pad_set_active may try
	  and take the multiqueue lock too.

2007-04-12  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gsterror.c: (_gst_core_errors_init):
	* gst/gsterror.h:
	  API: add GST_CORE_ERROR_DISABLED (#392804).

2007-04-12  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/faq/gst-uninstalled:
	  don't get empty paths on the PATH variables
	* gst/gstpad.c (gst_pad_is_active, gst_pad_set_blocked_async):
	  Don't format for the uncommon terminal width of 84 characters.

2007-04-06  Wim Taymans  <wim@fluendo.com>

	* gst/gstpipeline.c: (reset_stream_time),
	(gst_pipeline_change_state), (gst_pipeline_set_new_stream_time):
	Only try to select a different pipeline clock when we went back to
	PAUSED and not when we merely got flushed.

2007-04-05  Michael Smith  <msmith@fluendo.com>

	* tools/gst-launch.1.in:
	  fractions are better supported in gstreamer than ractions, so
	  suggest using those.

2007-04-05  Thomas Vander Stichele  <thomas at apestaart dot org>

	Submitted by: Mogens Jaeger <mogens@jaeger.tf>

	* po/LINGUAS:
	* po/da.po:
	  Added Danish translation.

2007-04-05  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstbasesink.c:
	(gst_base_sink_queue_object_unlocked), (gst_base_sink_event):
	Fix leak caused when refusing newsegment after EOS.

	* plugins/elements/gstfakesink.c: (gst_fake_sink_class_init),
	(gst_fake_sink_init), (gst_fake_sink_set_property),
	(gst_fake_sink_get_property), (gst_fake_sink_preroll),
	(gst_fake_sink_render), (gst_fake_sink_change_state):
	* plugins/elements/gstfakesink.h:
	Add num-buffers property to make the element generate EOS after a
	configurable amount of buffers.
	API: fakesink::num-buffers property.

	* tests/check/elements/fakesink.c: (GST_START_TEST),
	(fakesink_suite):
	Fix GstBus leak in test.
	Test for fakesink num-buffers.

2007-04-05  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstbasesink.c:
	(gst_base_sink_queue_object_unlocked), (gst_base_sink_event),
	(gst_base_sink_change_state):
	Don't accept anything after an EOS, return UNEXPECTED instead.

	* tests/check/elements/fakesink.c: (GST_START_TEST),
	(fakesink_suite):
	Unit test for new EOS behaviour.

2007-04-05  Wim Taymans  <wim@fluendo.com>

	* gst/gstelement.c: (gst_element_get_request_pad):
	Make padtemplates also work when they don't contain %s or %d.

2007-04-05  Wim Taymans  <wim@fluendo.com>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstclock.c: (gst_clock_adjust_unlocked),
	(gst_clock_unadjust_unlocked), (gst_clock_set_calibration):
	* gst/gstclock.h:
	Improve _adjust_unlocked() so that it overflows less.
	Add gst_clock_unadjust_unlocked to convert from external time to
	internal time based on calibration.
	Add some more debug.
	API: GstClock::gst_clock_unadjust_unlocked()

2007-04-03  Wim Taymans  <wim@fluendo.com>

	Patch by: Tommi Myöhänen <ext-tommi dot myohanen at nokia dot com>

	* plugins/elements/gstmultiqueue.c: (gst_multi_queue_release_pad):
	Deactivate pads and free GstSingleQueue with gst_single_queue_free()
	when releasing sink pad. Fixes #425400.

2007-04-02  Stefan Kost  <ensonic@users.sf.net>

	* docs/random/ensonic/dynlink.txt:
	  More work on proposal for new core api.

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/base/gstbasetransform.h:
          API: GST_BASE_TRANSFORM_LOCK/UNLOCK added
          
	* libs/gst/controller/gstcontroller.c:
	(on_object_controlled_property_changed),
	(gst_controller_sync_values),
	(gst_controller_set_interpolation_mode):
	* libs/gst/controller/gstcontroller.h:
	  Less verbose logging add docs for unimplemented parts and correctly
	  return when using unavailable parts.

2007-03-29  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/gstclock.c: (gst_clock_set_master), (do_linear_regression):
	Move all the debug to the CLOCK category, and associate it with
	the clock object.

2007-03-29  Jan Schmidt  <thaytan@mad.scientist.com>

	* libs/gst/base/gstadapter.c: (gst_adapter_take_buffer):
	Make take_buffer a bit quicker by removing redundant checks
	caused by calling gst_adapter_take.

2007-03-28  Tim-Philipp Müller  <tim at centricular dot net>

	* plugins/elements/gstmultiqueue.c: (gst_single_queue_free):
	  Don't leak GCond.

	* tests/check/Makefile.am:
	* tests/check/elements/.cvsignore:
	* tests/check/elements/multiqueue.c: (setup_multiqueue),
	(GST_START_TEST), (multiqueue_suite):
	  Add some dead simple unit tests for the 'multiqueue' element
	  (some bits don't work yet and are disabled for now).

2007-03-28  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstelement.c: (gst_element_get_request_pad),
	(gst_element_class_get_request_pad_template):
	  Make gst_element_get_request_pad() create request pads only for
	  request pad templates and not for, say, sometimes pad templates.

2007-03-28  Stefan Kost  <ensonic@users.sf.net>

	* docs/design/draft-klass.txt:
	  Add example that needs more thinking.
	
	* docs/design/draft-missing-plugins.txt:
	  More thoughts about wrapper plugins.
	
	* docs/random/ensonic/embedded.txt:
	* docs/random/ensonic/profiling.txt:
	  More design work.

2007-03-25  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_get_range),
	(gst_base_src_loop):
	Only push the segment events in the PLAYING state for live sources.

2007-03-23  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/gstpipeline.c: (gst_pipeline_change_state):
	Modify the clock distribution path in PAUSED->PLAYING so that we 
	never attempt to choose a new clock unless we're actually leaving
	the PAUSED state for the first time. This prevents choosing a
	different clock when the state_change gets called for a 2nd time due
	to some element doing an async state change.

2007-03-22  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gstpad.c: (gst_pad_set_caps), (gst_pad_configure_sink),
	(gst_pad_configure_src), (gst_pad_alloc_buffer_full),
	(gst_pad_chain_unchecked), (gst_pad_push):
	Revert last commit. This needs some more thoughts.

2007-03-22  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/gstpad.c: (gst_pad_set_caps), (gst_pad_alloc_buffer_full),
	(gst_pad_chain_unchecked), (gst_pad_push):
	Check in set_caps if the caps are compatible with the pad and remove
	two functions that are redundant now. Fixes #421543.

2007-03-22  Wim Taymans  <wim@fluendo.com>

	* tests/check/gst/gstsystemclock.c: (GST_START_TEST),
	(mixed_thread), (mixed_async_cb), (gst_systemclock_suite):
	Unref some more to make valgrind happy.

2007-03-22  Wim Taymans  <wim@fluendo.com>

	* gst/gstsystemclock.c: (gst_system_clock_id_wait_jitter_unlocked),
	(gst_system_clock_id_wait_jitter),
	(gst_system_clock_id_wait_async), (gst_system_clock_id_unschedule):
	Fix anoying regression that survived a few releases. When adding an
	async entry while blocking on a sync entry, the sync entry will unblock
	but still be busy, so it should continue to wait instead of returning
	_BUSY to the app.
	Add some comments here and there.

	* tests/check/gst/gstsystemclock.c: (mixed_thread),
	(mixed_async_cb), (GST_START_TEST), (gst_systemclock_suite):
	Add testcase for this.

2007-03-22  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_get_range):
	Handle errors from the clock sync better, only UNSCHEDULED indicates a
	WRONG_STATE and can silently pause the task. All other cases should
	error out.

2007-03-22  Wim Taymans  <wim@fluendo.com>

	Patch by: Ville Syrjala <syrjala at sci dot fi>

	* gst/gstpad.c: (gst_pad_alloc_buffer_full), (gst_pad_send_event):
	Fix possible deadlock if pad eventfunc is not specified.  Fixes #421177.
	Improve debugging.

2007-03-21  Michael Smith  <msmith@fluendo.com>

	* docs/pwg/advanced-types.xml:
	  Fix some errors in the typefinding docs pointed out on irc.

2007-03-21  Jan Schmidt  <thaytan@mad.scientist.com>

	* libs/gst/base/gstbasesrc.c:
	Clarify FIXME comment in the face of having added unlock_stop()

2007-03-21  Wim Taymans  <wim@fluendo.com>

	* gst/gstbin.c: (gst_bin_get_type), (gst_bin_element_set_state):
	Prepare for release where we warn against possible app breakage in the
	case of live pipelines along with an env var to enable/disable live
	preroll mode (GST_COMPAT=[no-]live-preroll).

2007-03-20  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* plugins/elements/gstidentity.c (gst_identity_check_imperfect_offset):
	So we should use correct constants for checking for None offset.

2007-03-20  Wim Taymans  <wim@fluendo.com>

	* docs/design/part-block.txt:
	Mention the fact that the newly switched element should be set to at
	least PAUSED.

2007-03-20  Wim Taymans  <wim@fluendo.com>

	* gst/gst.c:
	Fix compilation with registry disabled as spotted by Saur.

2007-03-20  Wim Taymans  <wim@fluendo.com>

	Patch by: Olivier Crete <tester at tester dot ca>

	* gst/gstelement.c: (gst_element_sync_state_with_parent):
	Look at the pending state too when syncing the element state to the
	parent. Fixes #420133.

2007-03-19  Jan Schmidt  <thaytan@mad.scientist.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_set_flushing),
	(gst_base_sink_change_state):
	* libs/gst/base/gstbasesink.h:
	* libs/gst/base/gstbasesrc.c: (gst_base_src_perform_seek),
	(gst_base_src_default_event), (gst_base_src_unlock_stop),
	(gst_base_src_deactivate):
	* libs/gst/base/gstbasesrc.h:
	Add ::unlock_stop to basesrc and basesink. This allows an opportunity
	for sub-classes to correctly clear any state they set trying to
	unlock, such as clearing out unlock commands from a command fd.
	API: basesrc::unlock_stop
	API: basesink::unlock_stop

	* plugins/elements/gstfdsink.c: (gst_fd_sink_class_init),
	(gst_fd_sink_render), (gst_fd_sink_unlock),
	(gst_fd_sink_unlock_stop):
	* plugins/elements/gstfdsrc.c: (gst_fd_src_class_init),
	(gst_fd_src_init), (gst_fd_src_unlock), (gst_fd_src_unlock_stop),
	(gst_fd_src_create), (gst_fd_src_get_size), (gst_fd_src_do_seek):

	Implement unlock_stop in fdsrc and fdsink.
	Implement seeking in fdsrc when a seekable fd is passed, as in
	gst-launch-0.10 fdsrc ! ... ! xvimagesink < /path/to/file

2007-03-19  Wim Taymans  <wim@fluendo.com>

	Patch by: Evan Nemerson <evan at coeus dash group dot com>

	* gst/gstelement.c: (gst_element_class_init):
	Fix pad-added and pad-removed signal signatures so that the pad type is
	stated as GST_TYPE_PAD instead of G_TYPE_OBJECT. Fixes #419851.

2007-03-19  Wim Taymans  <wim@fluendo.com>

	* docs/gst/gstreamer-sections.txt:
	Add new element field and method.

	* gst/gstbin.c: (gst_bin_class_init), (gst_bin_init),
	(bin_remove_messages), (gst_bin_add_func), (gst_bin_remove_func),
	(gst_bin_recalc_state), (gst_bin_get_state_func),
	(gst_bin_element_set_state), (gst_bin_change_state_func),
	(gst_bin_continue_func), (bin_bus_handler),
	(bin_push_state_continue), (bin_handle_async_start),
	(bin_handle_async_done), (gst_bin_handle_message_func):
	Make async state changes a bit smarter by using new ASYNC_START and
	ASYNC_DONE messages. This reduces the number of times we run the state
	recalculation thread.
	Don't change state of element with a pending ASYNC_START message.
	Deprecate STATE_DIRTY messages.
	
	* gst/gstelement.c: (gst_element_init), (gst_element_send_event),
	(gst_element_get_state_func), (gst_element_continue_state),
	(gst_element_lost_state), (gst_element_set_state_func),
	(gst_element_change_state):
	* gst/gstelement.h:
	Keep the state that was last set by the app in a new element field.
	Don't allow state changes when handling an element event.
	Post ASYNC_START and ASYNC_DONE messages.
	Change lost_state so that we go to PAUSED and wait for the parent to set
	us to PLAYING again (so latency calculation can be performed)
	Export gst_element_change_state() method so that subclasses can use it.
	API: gst_element_change_state()
	API: GST_STATE_TARGET

	* gst/gstpipeline.c: (gst_pipeline_class_init),
	(reset_stream_time), (gst_pipeline_change_state),
	(gst_pipeline_handle_message), (gst_pipeline_set_new_stream_time):
	Using the new ASYNC_START message we can reset the base_time when
	needed. This can then be used to implement base_time redistribution in
	flushing seeks so that we can remove the explicit seek handling.
	Perform latency query and configuration when going to PLAYING.

	* libs/gst/base/gstbasesink.c: (gst_base_sink_commit_state),
	(gst_base_sink_query), (gst_base_sink_change_state):
	Post new ASYNC_START/ASYNC_DONE messages.

	* tests/check/generic/sinks.c: (GST_START_TEST):
	Fix test because the bin will not set the async element to PLAYING right
	away.

	* tests/check/gst/gstbin.c: (pop_async_done), (GST_START_TEST):
	Make the message check a little stronger.
	Handle ASYNC messages.

	* tests/check/pipelines/cleanup.c: (GST_START_TEST):
	* tests/check/pipelines/simple-launch-lines.c: (GST_START_TEST):
	Expect ASYNC_DONE messages.

2007-03-19  Wim Taymans  <wim@fluendo.com>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstmessage.c: (gst_message_new_async_start),
	(gst_message_new_async_done), (gst_message_parse_info),
	(gst_message_parse_async_start):
	* gst/gstmessage.h:
	Add ASYNC_START and ASYNC_DONE messages to prepare for latency
	support.

2007-03-15  Tim-Philipp Müller  <tim at centricular dot net>

	* tools/gst-inspect.c:
	(print_plugin_automatic_install_info_codecs):
	  Now that we don't check for the 'Codec' keyword any longer in the
	  klass, we shouldn't spew a warning if the klass isn't a decoder or
	  encoder (since it might be a Source/Network, for example).

2007-03-14  Tim-Philipp Müller  <tim at centricular dot net>

	* tools/gst-inspect.c:
	(print_plugin_automatic_install_info_codecs):
	  Don't require decoder/demuxer/depayloader elements or
	  encoder/muxer/paylader elements to have 'Codec' as part of their
	  factory class string when introspecting a plugin's capabilities.
	  draft-klass.txt mentions that it might be removed in future, and
	  flump3dec doesn't have it as part of its class string, so chances
	  are others might also not have it.

2007-03-14  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/de.po:
	* po/en_GB.po:
	* po/fr.po:
	* po/it.po:
	* po/nb.po:
	* po/nl.po:
	* po/ru.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po:
	  Update translations from translation project

2007-03-14  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstchildproxy.c: (gst_child_proxy_get_property),
	(gst_child_proxy_set_property):
	  Invert precondition check to be alike the ones in the mimiced gobject
	  api.

2007-03-13  Stefan Kost  <ensonic@users.sf.net>

	* docs/design/draft-tagreading.txt:
	* docs/random/ensonic/audiobaseclasses.txt:
	  Do some Architect work.

	* gst/gstobject.c: (gst_object_set_name):
	  Add a WARNING.

	* gst/gstpad.c:
	  Add docs that point from gst_pad_get_range to gst_pad_pull_range

2007-03-12  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/gstsystemclock.c: (gst_system_clock_init),
	(gst_system_clock_start_async), (gst_system_clock_id_wait_async):
	Defer starting the async system clock thread until the first async
	wait is scheduled. Fixes #414986.

2007-03-12  Tim-Philipp Müller  <tim at centricular dot net>

	* plugins/elements/gstmultiqueue.c: (gst_multi_queue_finalize),
	(gst_single_queue_free):
	  Fix small leak (free GstSingleQueue structure too, not only contents).

2007-03-10  Sebastien Moutte  <sebastien@moutte.net>

	* gst/gstbin.c:(gst_bin_add):
	Use GST_STR_NULL to prevent NULL pointer to be passed to GST_CAT_DEBUG.
	* win32/common/libgstbase.def:
	* win32/common/libgstreamer.def:
	Add new exported functions.

2007-03-09  Wim Taymans  <wim@fluendo.com>

	* docs/plugins/gstreamer-plugins-sections.txt:
	Fix GstTee docs.

2007-03-09  Wim Taymans  <wim@fluendo.com>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstbuffer.c: (gst_buffer_copy_metadata), (_gst_buffer_copy):
	* gst/gstbuffer.h:
	Add metadata copy functions. Fixes #393099.
	API: gst_buffer_copy_metadata()

	* gst/gstutils.c: (gst_buffer_stamp):
	* libs/gst/base/gstbasetransform.c:
	(gst_base_transform_prepare_output_buffer):
	Use new metadata copy functions.

2007-03-09  Thomas Vander Stichele  <thomas at apestaart dot org>

	* plugins/elements/gstidentity.c: (gst_identity_class_init),
	(gst_identity_init), (gst_identity_check_perfect),
	(gst_identity_check_imperfect_timestamp),
	(gst_identity_check_imperfect_offset), (gst_identity_transform_ip),
	(gst_identity_set_property), (gst_identity_get_property):
	* plugins/elements/gstidentity.h:
	Separate out check-imperfect-timestamp and check-imperfect-offset.
	Put back check-perfect as it was to keep compatibility.

2007-03-09  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/gstelement.c: (gst_element_dispose):
	There's no need to warn if VOID_PENDING is not NONE here, as
	long as the state is NULL it's ok, and that's checked immediately
	above.

2007-03-08  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* plugins/elements/gstidentity.c: (gst_identity_check_perfect):
	Fix check for perfect stream to ignore buffers with -1 
	offsets/offset ends when checking data contiguity.

2007-03-08  Wim Taymans  <wim@fluendo.com>

	* tools/gst-launch.c: (event_loop):
	Print INFO messages.

2007-03-08  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstbasetransform.c:
	(gst_base_transform_sink_eventfunc),
	(gst_base_transform_handle_buffer), (gst_base_transform_chain),
	(gst_base_transform_activate):
	* libs/gst/base/gstbasetransform.h:
	Add support for dropping buffers with custom GstFlowReturn.
	Set DISCONT flags on outgoing buffers based on QoS, incomming DISCONT
	buffers or dropped buffers.

	* docs/libs/gstreamer-libs-sections.txt:
	docs for new custom return code.

	* plugins/elements/gstidentity.c: (gst_identity_transform_ip):
	Use drop support in base class to implement drop-probability.

2007-03-07  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gst.c: (load_plugin_func):
	* gst/gstplugin.c: (gst_plugin_load_by_name), (gst_plugin_load):
	* gst/gstregistrybinary.c: (gst_registry_binary_read_cache):
	* gst/gsttrace.c: (gst_trace_new), (gst_alloc_trace_set_flags_all):
	  Remove newlines at end of debug log strings.

2007-03-07  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* plugins/elements/gstidentity.c: (gst_identity_check_perfect):
	Only post bus message at max, once per buffer received.

2007-03-07  Wim Taymans  <wim@fluendo.com>

	* docs/design/Makefile.am:
	* docs/design/part-synchronisation.txt:
	Add doc about synchronisation

	* docs/design/draft-latency.txt:
	* docs/design/part-TODO.txt:
	* docs/design/part-clocks.txt:
	* docs/design/part-events.txt:
	* docs/design/part-gstbus.txt:
	* docs/design/part-gstpipeline.txt:
	* docs/design/part-live-source.txt:
	* docs/design/part-messages.txt:
	* docs/design/part-overview.txt:
	* docs/design/part-streams.txt:
	* docs/design/part-trickmodes.txt:
	Documentation updates.

2007-03-07  Jan Schmidt  <thaytan@mad.scientist.com>

	* gstreamer.doap:
	Update the doap file.

2007-03-07  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* plugins/elements/gstidentity.c: (gst_identity_check_perfect):
	Rename non-perfect to imperfect for Mike and for the sanctity of the
	language.
	Also make sure bus message gets emitted for data-incontiguities.

2007-03-07  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* plugins/elements/gstidentity.c: (gst_identity_check_perfect),
	(gst_identity_start):
	* plugins/elements/gstidentity.h:
	Emit bus message if check-perfect is true and we encounter a
	non-perfect stream between 2 consecutive buffers.
	Fixes #415394.

2007-03-07  Jan Schmidt  <thaytan@mad.scientist.com>

	* configure.ac:
	Back to CVS

=== release 0.10.12 ===

2007-03-07  Jan Schmidt <thaytan@mad.scientist.com>

	* configure.ac:
	  releasing 0.10.12, "Inevitable Demise"

2007-03-01  Jan Schmidt  <thaytan@mad.scientist.com>

	* configure.ac:
	 Version 0.10.11.2 (0.10.12 pre-release)
	 Bump libtool versioning.

2007-03-01  Stefan Kost  <ensonic@users.sf.net>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_loop):
	  Log flow-names and not numbers.

2007-02-28  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	  Convert to new AG_GST style.

2007-02-28  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_query_latency):
	Don't unref query twice.

2007-02-28  Wim Taymans  <wim@fluendo.com>

	* gst/gstvalue.c: (gst_value_transform_object_string),
	(_gst_value_initialize):
	Implement GstObject -> string transform so we print object names
	when serializing GValues containing GstObjects.

2007-02-28  Wim Taymans  <wim@fluendo.com>

	* docs/gst/gstreamer-sections.txt:
	Add new stuff to docs.

2007-02-28  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstbasesink.c: (gst_base_sink_query_latency),
	(gst_base_sink_queue_object_unlocked), (gst_base_sink_send_event),
	(gst_base_sink_change_state):
	Improve latency query code.
	Don't leak latency events.

	* tests/check/gst/gstbin.c: (GST_START_TEST):
	Improve debugging.

2007-02-28  Wim Taymans  <wim@fluendo.com>

	* gst/gstelement.c: (gst_element_message_full),
	(gst_element_get_state_func):
	* gst/gstelement.h:
	Improve docs a little. Added Since: for new macro.

	* gst/gstobject.c: (gst_object_sink):
	* gst/gstpipeline.c: (gst_pipeline_change_state),
	(gst_pipeline_set_new_stream_time):
	* gst/gstpipeline.h:
	Improve debugging and docs.

	* gst/gstutils.c: (gst_element_state_change_return_get_name):
	Improve debugging.

2007-02-28  Wim Taymans  <wim@fluendo.com>

	* gst/gstelement.c: (gst_element_message_full),
	(gst_element_set_locked_state), (gst_element_get_state_func),
	(gst_element_change_state):
	Handle INFO messages from the GST_ELEMENT_INFO macro as well.
	Documentation updates.
	Small code cleanups.

	* gst/gstmessage.c: (gst_message_new_info),
	(gst_message_parse_info):
	* gst/gstmessage.h:
	API: gst_message_new_info()
	API: gst_message_parse_info()
	Add INFO message create and parse code.

2007-02-28  Wim Taymans  <wim@fluendo.com>

	* gst/gstbin.c: (bin_query_min_max_init), (bin_query_latency_fold),
	(bin_query_latency_done):
	Also report the live parameter of a latency query.

2007-02-28  Thomas Vander Stichele  <thomas at apestaart dot org>

	* tests/check/generic/states.c: (GST_START_TEST), (states_suite):
	  Copy the current generic/states example from -base and adapt so
	  we can use the exact same code everywhere.
	  Check a STATES_IGNORE_ELEMENTS env var which can be used
	  to ignore certain element factories for this test, which is
	  what is being done in -base
	* tests/check/Makefile.am:
	  Mention this environment variable.

2007-02-27  Wim Taymans  <wim@fluendo.com>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstbus.c: (gst_bus_init), (gst_bus_dispose), (gst_bus_post),
	(gst_bus_timed_pop), (gst_bus_pop):
	* gst/gstbus.h:
	API: gst_bus_timed_pop()
	Implement gst_bus_timed_pop() to do a blocking timed wait for a
	message to arrive on the bus.

	* tests/check/gst/gstbus.c: (GST_START_TEST), (pop_thread),
	(gst_bus_suite):
	Two unit tests for new _timed_pop() function.

2007-02-23  Wim Taymans  <wim@fluendo.com>

	* gst/gstpipeline.c: (gst_pipeline_change_state),
	(gst_pipeline_provide_clock_func), (gst_pipeline_set_delay):
	Don't ref a NULL clock in _provide_clock_func().
	Don't allow an INVALID delay.
	Don't try to calculate base_time with an invalid start_time.
	Also distribute and notify a NULL clock when it was selected.

	* tools/gst-launch.c: (event_loop):
	Don't crash when a NULL clock was selected in the pipeline.

2007-02-23  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/design/Makefile.am:
	* docs/design/draft-missing-plugins.txt:
	* docs/random/draft-missing-plugins.txt:
	  Some small updates: update plugin system identifier prefix
	  ('gstreamer.net' to 'gstreamer'), mention our new install
	  API in libgstbaseutils rather than libgimme-codec, add
	  reference to the online docs.

2007-02-21  Thomas Vander Stichele  <thomas at apestaart dot org>

	* win32/common/config.h:
	  Pretty sure Bill never made a powerpc version.  Powerpc hackers,
	  use moap cl ci to only check in what is mentioned in the ChangeLog.

2007-02-21  Thomas Vander Stichele  <thomas at apestaart dot org>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstelement.h:
	  Fix up documentation to link to the correct GstGError section.
	  Add GST_ELEMENT_INFO macro since someone else added a Info message.

2007-02-21  Thomas Vander Stichele  <thomas at apestaart dot org>

	* tools/gst-launch.c: (event_loop):
	  Make sure that we actually show the important message part of a
	  warning message.
	  No need to check if the gerror is not NULL to free; first of all
	  g_free accepts NULL; and second the default error handler would
	  segfault if gerror was NULL.

2007-02-21  Wim Taymans  <wim@fluendo.com>

	* docs/gst/gstreamer-sections.txt:
	Removed docs as well.

2007-02-21  Wim Taymans  <wim@fluendo.com>

	* gst/gstmessage.c: (gst_message_parse_duration):
	* gst/gstmessage.h:
	Remove new messages for release.

2007-02-20  Wim Taymans  <wim@fluendo.com>

	* docs/design/part-gstghostpad.txt:
	* gst/gstghostpad.c: (gst_ghost_pad_dispose),
	(gst_ghost_pad_new_full):
	Make the ghostpad a parent of the internal pad again for better backward
	compatibility. Don't write code that relies on this however.

	* gst/gstpad.c: (gst_pad_activate_pull), (gst_pad_activate_push),
	(gst_pad_link_check_hierarchy):
	Require that parents should be GstElements in the hierarchy check.

2007-02-20  Wim Taymans  <wim@fluendo.com>

	* gst/gstbin.c: (bin_replace_message), (gst_bin_add_func),
	(gst_bin_change_state_func), (bin_query_min_max_init),
	(bin_query_latency_fold), (bin_query_latency_done),
	(gst_bin_query):
	Improve debug info.
	Implement latency query.

2007-02-20  Wim Taymans  <wim@fluendo.com>

	* docs/design/part-gstghostpad.txt:
	* gst/gstghostpad.c: (gst_ghost_pad_class_init),
	(gst_ghost_pad_internal_do_activate_push),
	(gst_ghost_pad_internal_do_activate_pull),
	(gst_ghost_pad_do_activate_push), (gst_ghost_pad_do_activate_pull),
	(gst_ghost_pad_do_link), (gst_ghost_pad_dispose),
	(gst_ghost_pad_new_full), (gst_ghost_pad_set_target):
	Do not set the internal pad as a parent anymore so we can avoid
	hierarchy linking errors when the ghostpad has no parent yet. This also
	fixes failed activation because of unlinked internal pads, which in
	turn fixes the impossible case where you have to activate a pad before
	you can add it to a running element.
	Also fix the docs.

	* gst/gstpad.c: (pre_activate), (post_activate),
	(gst_pad_set_active), (gst_pad_activate_pull),
	(gst_pad_activate_push), (gst_pad_check_pull_range):
	Add some more debug info.
	Mark activation mode in pre_activate so that we don't try to activate in
	endless loops. Fixes #385084.

2007-02-19  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstbasetransform.c: (gst_base_transform_init),
	(gst_base_transform_check_get_range):
	Implement a checkgetrange function instead of relying on the default
	core behaviour that assumes we can operate in pull mode if we have a
	getrange function. First step at fixing #385084.

2007-02-15  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstchildproxy.h:
	* libs/gst/base/gstbasesink.h:
	* libs/gst/base/gstbasesrc.h:
	* libs/gst/base/gstbasetransform.h:
	More docs coverage and some ChangeLog surgery (add missing names)

2007-02-15  Wim Taymans  <wim@fluendo.com>

	* docs/design/part-TODO.txt:
	* docs/design/part-activation.txt:
	* docs/design/part-block.txt:
	* docs/design/part-buffering.txt:
	* docs/design/part-clocks.txt:
	* docs/design/part-element-source.txt:
	* docs/design/part-events.txt:
	* docs/design/part-gstbin.txt:
	* docs/design/part-gstbus.txt:
	* docs/design/part-gstpipeline.txt:
	* docs/design/part-live-source.txt:
	* docs/design/part-messages.txt:
	* docs/design/part-overview.txt:
	* docs/design/part-qos.txt:
	* docs/design/part-query.txt:
	* docs/design/part-states.txt:
	* docs/design/part-trickmodes.txt:
	Some doc updates. Start renaming from stream_time to running_time where
	it was used wrongly.

2007-02-15  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_default_query):
	Answer LATENCY query.

2007-02-15  Wim Taymans  <wim@fluendo.com>

	* tests/check/gst/gstevent.c: (event_probe), (test_event),
	(GST_START_TEST):
	Improve debugging.

2007-02-15  Wim Taymans  <wim@fluendo.com>

	* gst/gstpad.c: (gst_pad_get_internal_links_default),
	(gst_pad_dispatcher):
	Improve debugging of default pad dispatcher and query functions.

2007-02-15  Wim Taymans  <wim@fluendo.com>

	* docs/gst/gstreamer-sections.txt:
	Remove old unused method.

2007-02-13  Wim Taymans  <wim@fluendo.com>

	* tests/check/gst/gstsegment.c: (GST_START_TEST):
	Fix check

2007-02-13  Wim Taymans  <wim@fluendo.com>

	* docs/design/part-seeking.txt:
	Some small update.

	* gst/gstsegment.c: (gst_segment_set_seek):
	Revert old bogus change that should make seeking work again.

2007-02-13  Stefan Kost  <ensonic@users.sf.net>

	* docs/random/ensonic/dynlink.txt:
	* docs/random/ensonic/interfaces.txt:
	* docs/random/ensonic/receipies.txt:
	  Possible dynamic reconnection api, plus some type fixes the other two
	  docs.

2007-02-13  Sebastian Dröge  <slomo@circular-chaos.org>

	* plugins/elements/gstfilesink.c: (gst_file_sink_uri_set_uri):
	* plugins/elements/gstfilesrc.c: (gst_file_src_uri_set_uri):
	Also check for an absolute path following file:// in the filesrc
	element. Remove redundant check and call g_path_is_absolute() on the
	unescaped location.

2007-02-13  Stefan Kost  <ensonic@users.sf.net>

	* docs/design/draft-klass.txt:
	  Add existing category analysis.
	  
	* gst/gstcaps.c:
	  Fix doc example, framerate is a fraction.

2007-02-12  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	* docs/gst/Makefile.am:
	* docs/gst/gstreamer-sections.txt:
	* docs/libs/Makefile.am:
	  Erm, forgot a bunch of --extra-dir.

2007-02-12  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	* docs/gst/Makefile.am:
	* docs/libs/Makefile.am:
	* docs/plugins/Makefile.am:
	  Add crossreferences to glib/gobject docs.

2007-02-12  Wim Taymans  <wim@fluendo.com>

	* docs/design/draft-latency.txt:
	Small update.

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/base/gstbasesink.c: (gst_base_sink_class_init),
	(gst_base_sink_get_latency), (gst_base_sink_query_latency),
	(gst_base_sink_wait_clock), (gst_base_sink_send_qos),
	(gst_base_sink_perform_qos), (gst_base_sink_queue_object_unlocked),
	(gst_base_sink_chain_unlocked), (gst_base_sink_send_event),
	(gst_base_sink_get_position), (gst_base_sink_query),
	(gst_base_sink_change_state):
	* libs/gst/base/gstbasesink.h:
	API: gst_base_sink_query_latency() to let subclasses query the upstream
	latency.
	API: gst_base_sink_get_latency() to let subclasses query the configured
	latency in the sink.
	Implement query and set latency.
	Update some docs.
	As spotted by Will Newton <will dot newton at gmail dot com>: Make sure we
	don't continue preroll when we are flushing. Fixes #405284.

	* tests/check/pipelines/stress.c: (change_state_timeout),
	(quit_timeout), (GST_START_TEST), (stress_suite):
	Test for #405284.

2007-02-09  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: René Stadler <mail at renestadler de>

	* docs/gst/gstreamer-sections.txt:
	* gst/gsttaglist.c: (_gst_tag_initialize):
	* gst/gsttaglist.h:
	  API: add GST_TAG_REFERENCE_LEVEL (#403597).

2007-02-11  Stefan Kost  <ensonic@users.sf.net>

	* docs/libs/Makefile.am:
	  Fix path to core docs.

	* gst/gstbin.c: (gst_bin_get_by_interface),
	(gst_bin_iterate_all_by_interface):
	  Refix docs by also renaming 'interface' to 'iface' in implementation.

	* docs/gst/gstreamer-sections.txt:
	* gst/gstcaps.c:
	* gst/gstchildproxy.c: (gst_child_proxy_base_init):
	* gst/gstchildproxy.h:
	* gst/gstelementfactory.c:
	* gst/gstpadtemplate.h:
	* libs/gst/controller/gstcontroller.c:
	(gst_controlled_property_new):
	  Document more.

2007-02-10  Sébastien Moutte  <sebastien@moutte.net>

	* gst/gstbin.h:(gst_bin_get_by_interface),
	(gst_bin_iterate_all_by_interface):
	Replace interface parameter name by iface as interface is 
	a reserved keyword in Visual Studio for C++ projects so it removes
	a build error for application developpers using VS.
	* plugins/elements/gstfilesrc.c:(gst_file_src_uri_set_uri):
	Fix a bug on Windows in uri format check. Now the prefix checked
	is file:// and next we check if the path after file:// is absolute.
	* win32/common/libgstbase.def:
	* win32/common/libgstdataprotocol.def:
	* win32/common/libgstgstreamer.def:
	Add new exported functions.

2007-02-09  Andy Wingo  <wingo@pobox.com>

	* tests/check/pipelines/simple-launch-lines.c
	(simple_launch_lines_suite, test_tee): Disable tee test until I
	have time to fix it :-(

	* tests/check/Makefile.am (noinst_HEADERS): 
	* tests/check/libs/libsabi.c: 
	* tests/check/libs/struct_ppc32.h: Add ABI checks for PPC32.
	* tests/check/gst/gstabi.c: 
	* tests/check/gst/struct_ppc32.h: Add ABI checks for PPC32.

	* tests/check/pipelines/simple-launch-lines.c (test_tee): Add
	tests for push and pull tee behavior.

	* plugins/elements/gsttee.h: 
	* plugins/elements/gsttee.c: Describe has-sink-loop better, and
	mark as deprecated as well as unimplemented. It was a crack idea.
	Add support for tee operating in pull mode, off by default.

	* gst/gstregistryxml.c (load_feature, load_plugin): Drop some
	normal-case logs down to LOG, raise errors to WARNING.
	(gst_registry_xml_read_cache): Don't log before calling a function
	that logs.

	* gst/gstregistry.c (gst_registry_finalize): Less debug on program
	exit (registry finalize).
	(gst_registry_add_plugin, gst_registry_add_feature): No need for a
	DEBUG log when we emit signals that people don't even have the
	chance to connect to.
	(gst_registry_scan_path_level): Less logging in the normal case.

2007-02-05  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Michal Benes <michal dot benes at itonis dot tv>

	* plugins/elements/gstfilesrc.c: (gst_file_src_create_read):
	Correctly generate EOS for non-seekable files. We don't have a total
	length for them and would get an unexpected end of file if we only
	special-cased for regular files. (Fixes: #404569)

2007-02-05  Sebastian Dröge  <slomo@circular-chaos.org>

	* tests/check/elements/filesrc.c: (GST_START_TEST),
	(filesrc_suite):
	Add unit test for the GstURIHandler interface in filesrc. This also
	tests the newly added file://localhost/foo/bar support.

2007-02-04  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstelementfactory.h:
	  The klass string is not a hierarchy. Add reference to the design doc
	  for more information and common types.

2007-02-02  Wim Taymans  <wim@fluendo.com>

	* gst/gstquery.c: (gst_query_new_latency):
	Remove old structure field.

2007-02-02  Stefan Kost  <ensonic@users.sf.net>

	* tools/gst-launch.1.in:
	  Give example for network streaming (#351998)

2007-02-02  Wim Taymans  <wim@fluendo.com>

	* docs/gst/gstreamer-sections.txt:
	Add docs for new methods.

	* gst/gstevent.c: (gst_event_new_latency),
	(gst_event_parse_latency):
	* gst/gstevent.h:
	Add new LATENCY event to configure latency in a pipeline.
	API: gst_event_new_latency
	API: gst_event_parse_latency

	* gst/gstmessage.c: (gst_message_new_buffering),
	(gst_message_new_lost_preroll), (gst_message_new_prerolled),
	(gst_message_new_latency), (gst_message_parse_buffering),
	(gst_message_parse_lost_preroll):
	* gst/gstmessage.h:
	Added messages used in draft-latency.
	API: gst_message_new_lost_preroll
	API: gst_message_parse_lost_preroll
	API: gst_message_new_prerolled
	API: gst_message_new_latency

	* gst/gstquery.c: (gst_query_new_latency), (gst_query_set_latency),
	(gst_query_parse_latency):
	* gst/gstquery.h:
	Implemented new latency query as in design doc.
	API: gst_query_new_latency
	API: gst_query_set_latency
	API: gst_query_parse_latency

2007-02-02  Wim Taymans  <wim@fluendo.com>

	* docs/design/draft-latency.txt:
	Slight redesign to allow for dynamic latency adjustments.

	* docs/design/part-negotiation.txt:
	Fix some typos.

2007-02-02  Sebastian Dröge  <slomo@circular-chaos.org>

	reviewed by: Wim Taymans <wim@fluendo.com>

	* plugins/elements/gstfilesink.c: (gst_file_sink_uri_set_uri):
	* plugins/elements/gstfilesrc.c: (gst_file_src_uri_set_uri):
	Allow file://localhost/foo/bar URLs and correctly fail for every other
	hostname that one sets. This was gnomevfssrc is linked for those if
	installed as it can handle it (#403172)

2007-02-01  Sebastian Dröge  <slomo@circular-chaos.org>

	reviewed by: Tim-Philipp Müller <tim at centricular dot net>

	* libs/gst/base/gstcollectpads.c: (gst_collect_pads_finalize),
	(unref_data), (gst_collect_pads_add_pad_full):
	* libs/gst/base/gstcollectpads.h:
	Don't put the previously added destroy notify in the GstCollectData
	struct as all it's padding is already used and we don't want to break
	ABI. Instead put in the pad's GObject data for now. This should be
	cleaned up for 0.11 (#402393).

2007-02-01  Sebastian Dröge  <slomo@circular-chaos.org>

	reviewed by: Wim Taymans <wim@fluendo.com>

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/base/gstcollectpads.c: (gst_collect_pads_finalize),
	(unref_data), (gst_collect_pads_add_pad),
	(gst_collect_pads_add_pad_full):
	* libs/gst/base/gstcollectpads.h:
	API: Add function to specify a destroy notification for custom
	GstCollectData when adding new pads in GstCollectPads (#402393).

2007-02-01  Tim-Philipp Müller  <tim at centricular dot net>

	* po/sv.po:
	  Update Swedish translation (#378255).

2007-01-31  Stefan Kost  <ensonic@users.sf.net>

	* docs/design/draft-klass.txt:
	  Fix the previous change, this is a list of categories and not a hierarchy.

2007-01-31  Stefan Kost  <ensonic@users.sf.net>

	* docs/design/draft-klass.txt:
	  Add info about how to get a list of used classes.

2007-01-30  Tim-Philipp Müller  <tim at centricular dot net>

	* plugins/elements/gsttypefindelement.c:
	(gst_type_find_element_chain_do_typefinding),
	(gst_type_find_element_change_state):
	  Don't leak found caps in chain function (no idea why that never
	  showed up as a leak anywhere).

2007-01-30  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstplugin.h:
	  Fix and expand GstPluginDesc API docs.

2007-01-29  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstcaps.c:
	* gst/gstelementfactory.c:
	* gst/gstpadtemplate.h:
	  api doc fixes

	* libs/gst/controller/gstcontroller.c:
	(gst_controlled_property_new):
	* tests/examples/controller/audio-example.c:
	  comment fixes

2007-01-29  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	  comment about refining the xml deps

	* docs/manuals.mak:
	  comments about moving away from jade for docs
	
	* gst/gst.c:
	  recommit the ifdefs to use the binary registry
	
	* gst/gstbin.c: (gst_bin_change_state_func):
	  this break is obsolete

	* gst/gstelementfactory.h:
	  better GST_ELEMENT_DETAILS docs, add comment about translation

	* gst/gstinfo.h:
	  remove eol slash

	* gst/gstobject.c: (gst_signal_object_get_type):
	  add G_UNLIKELY as usual

	* gst/gstpad.c: (gst_pad_event_default):
	  add fall trhu comment

	* gst/gstregistrybinary.c: (gst_registry_binary_write),
	(gst_registry_binary_initialize_magic),
	(gst_registry_binary_save_string),
	(gst_registry_binary_save_pad_template),
	(gst_registry_binary_save_feature),
	(gst_registry_binary_save_plugin),
	(gst_registry_binary_write_cache),
	(gst_registry_binary_check_magic),
	(gst_registry_binary_load_pad_template),
	(gst_registry_binary_load_feature),
	(gst_registry_binary_load_plugin),
	(gst_registry_binary_read_cache):
	  comment typo and formatting

	* gst/gstutils.c: (gst_element_state_get_name),
	(gst_element_state_change_return_get_name):
	  remove obsolete breaks

	* gst/gstvalue.c: (gst_date_get_type), (_gst_value_initialize):
	  add FIXME 0.11 and remove cpp comment

2007-01-29  Edward Hervey  <edward@fluendo.com>

	* gst/gstregistrybinary.c: (gst_registry_binary_read_cache):
	Fix print statement in an even more portable way.

2007-01-29  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstutils.h:
	  API: add GST_ROUND_DOWN_* macros (#401781).

2007-01-27  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/gst/gstreamer.types.in:
	* gst/gstregistry.c: (gst_registry_class_init):
	  Document registry signals and make gtk-doc pick them up (#401381).

2007-01-26  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/pwg/building-testapp.xml:
	  Add some audioconverts and audioresample to the pipeline, and some
	  more comments and error handling.

2007-01-26  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/manual/manual.xml:
	* docs/pwg/pwg.xml:
	  Fix typo (#400987).

2007-01-26  Wim Taymans  <wim@fluendo.com>

	* gst/gstcaps.c: (gst_static_caps_get):
	Init caps flags too.

2007-01-25  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Jindrich Makovicka <jindrich.makovick at itonis dot tv>

	* plugins/elements/gstfilesrc.c: (gst_file_src_start):
	If not using mmap'ed files try to seek to the end instead of the
	start to determine whether we can seek at all. This fixes the case
	of 2GB+ files over NFS, where seeks in the first 2GB can succeed but
	seeks for everything afterwards fail. Fixes #400656

2007-01-25  Wim Taymans  <wim@fluendo.com>

	* gst/gstcaps.c: (_gst_caps_free), (gst_static_caps_get):
	Add some refcount debugging.
	Make gst_static_caps_get threadsafe, which is needed when autoplugging
	in multiple streaming threads.

2007-01-25  Wim Taymans  <wim@fluendo.com>

	Patch by: David Schleef <ds at schleef dot org>

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/base/gstadapter.c: (gst_adapter_copy):
	* libs/gst/base/gstadapter.h:
	API: gst_adapter_copy() that can reduce the amount of memcpy when
	getting data from the adapter. Fixes #388201.

2007-01-25  Edward Hervey  <edward@fluendo.com>

	* gst/gstregistrybinary.c: (gst_registry_binary_read_cache):
	In print statements, "%x" is for guint. Fixes build on macosx.

2007-01-24  Edward Hervey  <edward@fluendo.com>

	* plugins/elements/gstmultiqueue.c:
	(gst_multi_queue_loop):
	Small fix.
	(single_queue_overrun_cb), (single_queue_underrun_cb),
	(single_queue_check_full), (gst_single_queue_new):
	Implement single queue growth system.
	This uses the extra-size properties, and will grow single queues by
	that much if one goes full whereas there are others empty. This is
	called extra-mode in the code.
	When a single queue's levels go back below the initial max-size
	limits, it is no longer in extra-mode. This is to ensure we don't
	consume too much memory.
	Fixes #399875

2007-01-23  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gst.c: (gst_init_get_option_group):
	  Make warning about late g_thread_init() calls a bit more explicit,
	  so that it's more obvious to application developers what they need
	  to do if a user files a bug against their application.

2007-01-22  Edward Hervey  <edward@fluendo.com>

	* plugins/elements/gstmultiqueue.c:
	(gst_multi_queue_src_activate_push), (gst_single_queue_new):
	Remove previous hack of unsetting the flushing flag for the source pad
	instead of activating it. Instead, fix the source pad activate function
	so that it no longer depends on having a parent set or not.

2007-01-22  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Carlos Sanmartin Dominguez <csanmartin@igalia.com>

	* docs/manual/basics-bus.xml:
	  Fix example code, gst_element_unref() doesn't exist any longer.

2007-01-21  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Mark Nauwelaerts <manauw at skynet be>

	* gst/gstpad.c:
	  Fix two docs typoes (#399094).

2007-01-19  Edward Hervey  <edward@fluendo.com>

	* docs/faq/gst-uninstalled:
	Add gst-plugins-base/gst/utils/ to LD_LIBRARY_PATH so that plugins
	depending on libgstbaseutils can work in uninstalled environment.

2007-01-18  Stefan Kost  <ensonic@users.sf.net>

	* gst/gsttaglist.h:
	* gst/gsttagsetter.c:
	Add more docs regarding tag merge-modes and when to send tags. Fix 'since'
	statement for new tag.

2007-01-17  Edward Hervey  <edward@fluendo.com>

	* plugins/elements/gstmultiqueue.c: (gst_single_queue_new):
	When dynamically creating single queues, activate sinkpad before adding
	it.
	We should be doing the same thing for the source pad, but we can't
	since it would call a method which needs the parent to be set in order
	to work propertly. Instead of activating the source pad, we just unset
	the flushing flag, which is the minimal requirement for adding a pad
	to an element in a state greater than READY.

2007-01-17  Edward Hervey  <edward@fluendo.com>

	* docs/faq/gst-uninstalled:
	Add DYLD_LIBRARY_PATH declarations so we can also use this script on
	Mac OS X.

2007-01-17  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/gst/gstabi.c:
	* tests/check/gst/struct_hppa.h:
	* tests/check/libs/libsabi.c:
	* tests/check/libs/struct_hppa.h:
	  Add ABI structs for HPPA (see #393796).

2007-01-16  Tim-Philipp Müller  <tim at centricular dot net>

	* libs/gst/check/gstcheck.c: (gst_check_abi_list):
	  Actually write ABI structs to the file specified in the GST_ABI
	  environment variable, as the message we print claims we would.

2007-01-15  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/gst/gsttask.c:
	  Fix header comment.

2007-01-15  Stefan Kost  <ensonic@users.sf.net>

	* gst/gsttaglist.c: (_gst_tag_initialize):
	  Change tag type from STRING to DOUBLE. Apply ChangeLog surgery for my
	  previous two entries.

2007-01-15  Stefan Kost  <ensonic@users.sf.net>

	* docs/gst/gstreamer-sections.txt:
	* gst/gsttaglist.c: (_gst_tag_initialize):
	* gst/gsttaglist.h:
	  Add tag support for beat-per-minute.

2007-01-15  Stefan Kost  <ensonic@users.sf.net>

	* gst/gstregistrybinary.c: (gst_registry_binary_write),
	(gst_registry_binary_initialize_magic),
	(gst_registry_binary_save_string), (gst_registry_binary_make_data),
	(gst_registry_binary_save_pad_template),
	(gst_registry_binary_save_feature),
	(gst_registry_binary_save_plugin),
	(gst_registry_binary_write_cache),
	(gst_registry_binary_check_magic),
	(gst_registry_binary_load_pad_template),
	(gst_registry_binary_load_feature),
	(gst_registry_binary_load_plugin),
	(gst_registry_binary_read_cache):
	* gst/gstregistrybinary.h:
	  Use glib types, cleanup comments, impement interfaces and uri-types.

2007-01-13  Andy Wingo  <wingo@pobox.com>

	* gst/gstpad.c (gst_pad_get_range, gst_pad_pull_range): Allow
	getrange() to return buffers with other caps, while we fix
	demuxers and typefind, or otherwise change part-negotiation.txt.

2007-01-12  Andy Wingo  <wingo@pobox.com>

	* libs/gst/base/gstbasetransform.c (gst_base_transform_activate):
	Factor start/stop into this private function instead of partially
	in activate functions and partially in the change_state function.
	Fixes setup before the element has changed from READY->PAUSED, as
	is the case in pull-mode pipelines.
	(gst_base_transform_sink_activate_push)
	(gst_base_transform_src_activate_pull): Refactor to use
	gst_base_transform_activate().
	(gst_base_transform_change_state): Removed, not needed any more.

	* libs/gst/base/gstbasesink.c (gst_base_sink_negotiate_pull):
	Truncate before fixating.
	
	* libs/gst/base/gstbasesink.c (gst_base_sink_negotiate_pull):
	Don't set_caps() if the result of fixating is ANY, as it's not
	supported, and not necessary in the case of a link with no
	template caps on either side. Fixes tests/check/libs/basesrc in
	some pull-mode tests.

	* libs/gst/base/gstbasetransform.c (_GstBaseTransformPrivate):
	(gst_base_transform_init, gst_base_transform_sink_activate_push)
	(gst_base_transform_src_activate_pull): 
	Track the activation mode.
	(gst_base_transform_setcaps): In pull mode, when activating the
	src pad, after activating the sink pad, activate the sink pad's
	peer, as discussed in part-negotiation.txt.

	* libs/gst/base/gstbasesrc.h: 
	* libs/gst/base/gstbasesrc.c (gst_base_src_fixate): Add fixate
	vmethod, as in basesink.

	* libs/gst/base/gstbasesink.h: Reformat docs, add fixate vmethod.

	* libs/gst/base/gstbasesink.c (gst_base_sink_pad_setcaps): In pull
	mode, first proxy the setcaps to the peer pad.
	(gst_base_sink_pad_fixate): Add a fixate function that calls the
	new fixate vmethod.
	(gst_base_sink_default_activate_pull): Rename from
	gst_base_sink_activate_pull.
	(gst_base_sink_negotiate_pull): New function, performs negotiation
	in pull mode before calling ::activate_pull().
	(gst_base_sink_pad_activate_pull): Actually call the activate_pull
	vmethod instead of the default implementation. I have no idea how
	this worked before. Negotiate before calling activate_pull.

	* gst/gstpad.c (gst_pad_activate_pull): Refuse to activate unlinked
	sink pads in pull mode. In addition to being correct, fixes
	filesrc ! decodebin ! identity ! fakesink.
	(gst_pad_get_range, gst_pad_pull_range): Don't call
	gst_pad_set_caps() if the caps changes; instead error out with
	GST_FLOW_NOT_NEGOTIATED, as discussed in part-negotiation.txt.

2007-01-12  Andy Wingo  <wingo@pobox.com>

	* docs/design/part-negotiation.txt: Update with more policy.

2007-01-12  Tim-Philipp Müller  <tim at centricular dot net>

	* libs/gst/check/gstbufferstraw.h:
	* libs/gst/check/gstcheck.h:
	  Add G_BEGIN_DECLS and G_END_DECLS. Move GST_CHECK_MAIN where it
	  belongs.

2007-01-12  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/Makefile.am:
	* tests/check/gst/.cvsignore:
	* tests/check/gst/gsttagsetter.c: (gst_dummy_enc_add_interfaces),
	(gst_dummy_enc_base_init), (gst_dummy_enc_class_init),
	(gst_dummy_enc_init), (tag_list_foreach), (tag_setter_list_length),
	(GST_START_TEST), (gst_tag_setter_suite):
	  Add minimal unit test for beforementioned GstTagSetter bug.

2007-01-12  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: René Stadler <mail at renestadler dot de>

	* gst/gsttagsetter.c: (gst_tag_setter_merge_tags):
	  gst_tag_list_merge() returns a new list, so it's not the best idea
	  to ingore its return value. Effectively meant that tags could only
	  be merged on a GstTagSetter once using _merge_tags(). Fixes #395554.
	  Also add function guard to require a non-NULL taglist as input (has
	  always been so due to gst_tag_list_copy(), just making it explicit).

2007-01-11  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/random/draft-missing-plugins.txt:
	  Some additions: mention new API that is supposed to be used at the
	  various stages; short blob about new gst-inspect introspection
	  option; mention potential future problem with plugins that have
	  a dynamic list of elements (such as ladspa, pitfdll, libvisual).

2007-01-11  Tim-Philipp Müller  <tim at centricular dot net>

	* tools/gst-inspect.c:
	(print_plugin_automatic_install_info_codecs),
	(print_plugin_automatic_install_info_protocols),
	(print_plugin_automatic_install_info), (main):
	Add --print-plugin-auto-install-info option to gst-inspect, so we can
	introspect plugin files and get machine-parsable output that corresponds
	to the last bit of the missing-plugin installer string (small gotcha:
	doesn't take into account ranks).

2007-01-11  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	* docs/gst/gstreamer-sections.txt:
	* gst/Makefile.am:
	* gst/gstregistry.c: (gst_registry_lookup_feature_locked),
	(gst_registry_lookup_locked):
	* gst/gstregistry.h:
	* gst/gstregistrybinary.c: (gst_registry_binary_write),
	(gst_registry_binary_initialize_magic),
	(gst_registry_binary_save_string),
	(gst_registry_binary_save_pad_template),
	(gst_registry_binary_save_feature),
	(gst_registry_binary_save_plugin),
	(gst_registry_binary_write_cache),
	(gst_registry_binary_check_magic),
	(gst_registry_binary_load_pad_template),
	(gst_registry_binary_load_feature),
	(gst_registry_binary_load_plugin),
	(gst_registry_binary_read_cache):
	* gst/gstregistrybinary.h:
	* gst/gstregistryxml.c: (load_feature),
	(gst_registry_xml_read_cache):
	  commit binary registry (disabled by default, see #359653)

2007-01-11  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/gst/gstpad.c: (test_get_allowed_caps):
	  Fix 'make check' too.

2007-01-10  Andy Wingo  <wingo@pobox.com>

	* docs/design/part-negotiation.txt: Fix a typo, add a couple
	notes.
	
	* docs/design/part-negotiation.txt: Update with, um, one way that
	pull-mode negotiation might work?

	* gst/gstpad.h: 
	* gst/gstpad.c (gst_pad_get_allowed_caps): Remove the restriction
	that the pad must be a src pad; makes sense to call it the other
	way in pull mode, and the logic is symmetric anyway.

2007-01-10  Tim-Philipp Müller  <tim at centricular dot net>

	* plugins/elements/gstfilesink.c:
	  Include <stdio.h> for fseeko().

2007-01-10  Wim Taymans  <wim@fluendo.com>

	* gst/gstevent.c:
	* gst/gstevent.h:
	Reserve LATENCY event.

2007-01-09  Wim Taymans  <wim@fluendo.com>

	* docs/design/draft-latency.txt:
	Updates.

2007-01-09  Wim Taymans  <wim@fluendo.com>

	* docs/design/draft-latency.txt:
	Updates.

	* gst/gstelement.h:
	* gst/gststructure.c:
	* gst/gsttrace.c:
	Small typo fixes.

2007-01-09  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/.cvsignore:
	  Ignore test-registry.xml as well.

2007-01-09  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstcollectpads.c: (gst_collect_pads_remove_pad):
	unref data at the end when we are done with the pad.

2007-01-08  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/gst/gstreamer-sections.txt:
	* gst/gst.c: (load_plugin_func), (scan_and_update_registry),
	(init_post), (gst_deinit), (gst_update_registry):
	* gst/gst.h:
	  API: add gst_update_registry() (#391296).

	* tests/check/Makefile.am:
	* tests/check/gst/gstregistry.c:
	* tests/check/gst/.cvsignore:
	  Simple unit test for the above.

2007-01-08  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstregistry.c: (gst_registry_scan_path_level):
	  Plugin extension on HP-UX is .sl, add that to the list of approved
	  plugin extensions (see #393796).

	* tests/check/gst/gstpad.c: (GST_START_TEST):
	  ulong => gulong. Fixes compilation with HP-UX compiler.

	* tests/check/pipelines/parse-launch.c: (GST_START_TEST):
	  Fix compilation if valgrind headers are not available.

2007-01-07  Sébastien Moutte  <sebastien@moutte.net>

	* win32/common/libgstreamer.def: 
	  Add new exported function.
	* win32/vs6/libgstbase.dsp: 
	  Add gstdataqueue.c to the build.
	* win32/vs6/libgstcoreelements.dsp:
	  Add gstmultiqueue.c to the build.
	
2007-01-06  Andy Wingo  <wingo@pobox.com>

	* libs/gst/base/gstbasesink.h: New GstBaseSinkClass vmethod,
	activate_pull(), providing for a way to specialize the process of
	spawning a thread to pull on the sink pad. There is a default
	implementation.

	* libs/gst/base/gstbasesink.c (gst_base_sink_pad_activate_pull)
	(gst_base_sink_pad_activate_push, gst_base_sink_pad_activate)
	(gst_base_sink_init): Renamed pad activation functions (inserting
	"_pad" in their names). Refactor to use the new activate_pull
	vmethod, as appropriate.
	(gst_base_sink_class_init, gst_base_sink_activate_pull): Set the
	default activate_pull function to start a task pulling from the
	sink pad, as before.

	* gst/gstpad.c (gst_pad_get_range, gst_pad_pull_range): Set caps
	on the pads if necessary, as in push()/chain(). Update docs.
	Shouldn't affect existing pull() usage as it is currently only
	being used on buffers without caps.

2007-01-05  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gst.c: (gst_init_get_option_group), (gst_init_check),
	(init_pre):
	  Call g_thread_init() first thing in gst_init() / gst_check_init().
	  When initialisation is done via gst_init_get_option_group() and
	  GOption parsing, issue a warning if the GLib thread system has not
	  been initialised yet by the time gst_init_get_option_group() is
	  called, as it's quite likely other GLib functions such as
	  g_option_context_new() have been called already then, and
	  g_thread_init() must be called before any other GLib function. The
	  application in question must be fixed in that case, since memory
	  corruption might happen otherwise.
	  We issue the warning because even if the GLib folks decide to work
	  around the problem on their end in future, this is still an issue
	  with all GLib versions >= 2.10.0, so we should warn until we depend
	  on a GLib version we know to be safe.
	  Update documentation as well.
	  Closes bug #391278.

2007-01-05  Tim-Philipp Müller  <tim at centricular dot net>

	* tools/gst-inspect.c: (main):
	* tools/gst-launch.c: (main):
	* tools/gst-typefind.c: (main):
	* tools/gst-xmlinspect.c: (main):
	  Call g_thread_init() really really early, before any other GLib
	  function (see #342564 and recent discussion on gtk-devel-list).

2007-01-05  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Vincent Torri  <vtorri at univ-evry dot fr>

	* gst/gst_private.h:
	* gst/gstconfig.h.in:
	* gst/gstinfo.h:
	  On win32, all the __declspec stuff for symbol exporting is
	  apparently only needed with MSVC, but doesn't work with MingW.
	  Fixes compilation with MingW and #391909.

2007-01-05  Tim-Philipp Müller  <tim at centricular dot net>

	* libs/gst/base/gstbasesrc.c: (gst_base_src_activate_push):
	  Change some GST_ERROR_OBJECT that aren't really errors to
	  GST_WARNING_OBJECT in order to reduce terminal spam.

2007-01-04  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/Makefile.am:
	  disable test again, as there seem to be still race problems

2007-01-04  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/Makefile.am:
	* tests/check/elements/queue.c: (queue_overrun), (queue_underrun),
	(GST_START_TEST), (queue_suite):
	  enable queue test again, add tests for the leaky behaviour

2007-01-02  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	* tests/examples/Makefile.am:
	  Compile adapter test/example only if the required headers are
	  available (fixes #391915).

2007-01-01  David Schleef  <ds@schleef.org>

	* gst/gstplugin.c:
	  Restore the previous signal handler for SIGSEGV instead of
	  setting to default, since we may have stolen it away from
	  someone.  (i.e., Mono)

2006-12-26  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/random/draft-missing-plugins.txt:
	  Some small additions and clarifications.

2006-12-26  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstregistryxml.c: (gst_registry_save_escaped):
	  Make sure we don't pass non-UTF-8 strings to g_markup_escape(),
	  since that can lead to random memory corruptions and crashes
	  (may or may not be related to #383244, #386711, and #386711).

2006-12-21  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/.cvsignore:
	* tests/check/Makefile.am:
	  sync .cvsignome and CLEANFILES

2006-12-21  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/Makefile.am:
	  fix distcheck

2006-12-21  Stefan Kost  <ensonic@users.sf.net>

	* docs/design/part-states.txt:
	  two tiny additional comments
	
	* gst/gststructure.c:
	  doc fixing

	* tests/check/Makefile.am:
	* tests/check/elements/queue.c: (queue_overrun), (queue_underrun),
	(GST_START_TEST):
	  disable test for now, unless it gets fixed

2006-12-21  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/elements/queue.c: (queue_overrun), (queue_underrun),
	(GST_START_TEST):
	  fix race in underrun test

2006-12-21  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/elements/.cvsignore:
	  ignore more

	* tests/check/elements/queue.c: (queue_overrun), (queue_underrun),
	(GST_START_TEST):
	  try to narrow test failure

2006-12-21  David Schleef  <ds@schleef.org>

	* plugins/elements/gstfakesrc.c:
	  Use g_random_int_range(), since it produces better random
	  numbers in a range than almost-correct floating point code.

2006-12-21  Stefan Kost  <ensonic@users.sf.net>

	* libs/gst/check/gstcheck.c: (gst_check_setup_src_pad),
	(gst_check_teardown_src_pad), (gst_check_setup_sink_pad),
	(gst_check_teardown_sink_pad):
	  do not automatically (de)activate pads

	* tests/check/Makefile.am:
	* tests/check/elements/queue.c: (queue_overrun), (queue_underrun),
	(setup_queue), (cleanup_queue), (GST_START_TEST), (queue_suite):
	  add new, yet simple tests for queue

	* tests/check/elements/fakesrc.c: (cleanup_fakesrc):
	* tests/check/elements/fdsrc.c: (cleanup_fdsrc):
	* tests/check/elements/filesrc.c: (cleanup_filesrc),
	(GST_START_TEST):
	* tests/check/elements/identity.c: (cleanup_identity):
	  consistent pad (de)activation

2006-12-20  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Sebastian Dröge  <slomo ubuntu com>

	* libs/gst/base/gstcollectpads.c:
	  Fix two doc typos (#387866).

2006-12-19  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/manual/advanced-dparams.xml:
	  Fix typo (g_object_control_properties() doesn't exist).

2006-12-19  Edward Hervey  <edward@fluendo.com>

	* gst/gstsegment.c: (gst_segment_set_seek):
	Fine tune the cases where the segment start/stop values are really
	updated.
	* tests/check/gst/gstsegment.c: (GST_START_TEST):
	Add tests for the return values of gst_segment_set_seek().

2006-12-19  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gst.c:
	  Docs typo fix.

	* plugins/elements/gstqueue.c: (gst_queue_class_init),
	(gst_queue_init):
	  Fix incorrect documentation and flesh it out a bit more.
	  Set default values for the max properties on the GParamSpec as well,
	  so it shows up correctly in gst-inspect.

2006-12-18  Stefan Kost  <ensonic@users.sf.net>

	* plugins/elements/gstqueue.c: (queue_leaky_get_type):
	  Correct docs of queue, add more detail and crosslink it more.

2006-12-16  Tim-Philipp Müller  <tim at centricular dot net>

	* plugins/elements/gstidentity.c: (gst_identity_check_perfect):
	  Print additional debug info when the stream isn't perfectly
	  timestamped; don't try to use invalid durations.

2006-12-16  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/design/Makefile.am:
	  Dist new design docs.

2006-12-16  Wim Taymans  <wim@fluendo.com>

	Patch by: Sjoerd Simons <sjoerd at luon dot net>

	* libs/gst/base/gstcollectpads.c: (ref_data), (unref_data),
	(gst_collect_pads_add_pad), (gst_collect_pads_remove_pad),
	(gst_collect_pads_stop), (gst_collect_pads_event),
	(gst_collect_pads_chain):
	* libs/gst/base/gstcollectpads.h:
	Add refcounting to the collectpads data so we can track when it's safe
	to free the data. Fixes #383382.

2006-12-15  Wim Taymans  <wim@fluendo.com>

	* libs/gst/base/gstcollectpads.c: (gst_collect_pads_add_pad),
	(gst_collect_pads_remove_pad):
	Automatically activate/deactivate pads when they are added to a
	started/stoped collectpads.

2006-12-15  Wim Taymans  <wim@fluendo.com>

	* gst/gstelement.c: (gst_element_add_pad):
	* gst/gstghostpad.c: (gst_ghost_pad_new_full):
	* gst/gstpad.c: (gst_pad_init):
	Set pads to FLUSHING when they are created. Check, warn and fix when a
	demuxer adds an inactive pad to itself when running. Fixes #339326.

2006-12-15  Wim Taymans  <wim@fluendo.com>

	* gst/gstelement.c: (gst_element_class_init),
	(gst_element_default_send_event), (gst_element_send_event),
	(gst_element_default_query), (gst_element_query):
	Expose default element send_event and query handling as vmethods that
	subclasses can chain up to.

2006-12-15  Wim Taymans  <wim@fluendo.com>

	* gst/gstelement.c: (gst_element_set_state_func):
	Small documentation fixes.

2006-12-15  Wim Taymans  <wim@fluendo.com>

	* docs/design/draft-latency.txt:
	Checked in draft for handling latency in pipelines.

2006-12-15  Thomas Vander Stichele  <thomas at apestaart dot org>

	* Makefile.am:
	* gstreamer.doap:
	* gstreamer.spec.in:
	  adding .doap file

2006-12-14  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gst.c: (init_pre), (init_post):
	  init_pre() and init_post() might be called via our GOptionGroup or
	  from gst_init(), and we should skip both of them if we've already
	  been initialised, otherwise we will init some things twice or add
	  two default log functions.

2006-12-13  Edward Hervey  <edward@fluendo.com>

	* docs/manual/basics-bus.xml:
	No, gst_main_loop does not exist. Its g_main_loop.
	Discovered by somebody who abused the copy-paste technique of coding :)

2006-12-13  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/gstghostpad.c:
	  Log ghostpad debug stuff to the GST_PADS category as well rather
	  than just to the default category.

2006-12-12  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	* gst/gst.c: (init_pre):
	  Add some basic system details such as OS and architecture
	  to the debug output if possible, courtesy of uname().

2006-12-11  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/gst/running.xml:
	  Document GST_REGISTRY_FORK and GST_DEBUG_NO_COLOR
	  environment variables.

2006-12-09  Jan Schmidt  <thaytan@mad.scientist.com>

	* tests/check/gst/gstbin.c: (GST_START_TEST):
	It is acceptable to have a refcount of 2 or 3 at this point in the
	test, because the pipeline might be just posting its state_change
	message. The next line then waits for that message to appear using
	bus_poll, so that should be fine too.

